------------------------------------------------------------------------
r3081 | massiot | 2002-12-31 02:59:46 +0100 (Tue, 31 Dec 2002) | 2 lines
Changed paths:
   M /trunk/modules/codec/mpeg_video/synchro.c

Less verbosity.

------------------------------------------------------------------------
r3082 | jlj | 2003-01-01 12:14:50 +0100 (Wed, 01 Jan 2003) | 6 lines
Changed paths:
   M /trunk/modules/gui/macosx/Modules.am
   D /trunk/modules/gui/macosx/adev_discovery.h
   M /trunk/modules/gui/macosx/aout.m
   D /trunk/modules/gui/macosx/asystm.h
   D /trunk/modules/gui/macosx/asystm.m
   M /trunk/modules/gui/macosx/intf.h
   M /trunk/modules/gui/macosx/intf.m
   M /trunk/src/misc/darwin_specific.m

  * ./modules/gui/macosx/aout.m: cleaned up the code, removed intf dep.
  * ./src/misc/darwin_specific.m: fixed segfault (o_enumerator was being
                                  released twice) and memory leak.

    Bonne Ann?\239?\191?\189e!

------------------------------------------------------------------------
r3083 | gbazin | 2003-01-02 21:48:28 +0100 (Thu, 02 Jan 2003) | 6 lines
Changed paths:
   M /trunk/modules/codec/adpcm.c
   M /trunk/modules/codec/araw.c
   M /trunk/modules/codec/faad/decoder.c
   M /trunk/modules/codec/ffmpeg/audio.c
   M /trunk/modules/codec/lpcm.c
   M /trunk/modules/codec/mad/libmad.c
   M /trunk/modules/codec/mpeg_audio/decoder.c
   M /trunk/modules/codec/vorbis.c
   M /trunk/src/audio_output/dec.c


* modules/codec/*: reverted my previous patch that explicitly set
i_bytes_per_frame and i_frame_length in each audio decoder.
* src/audio_output/dec.c: proper fix to correctly set i_bytes_per_frame
and i_frame_length.

------------------------------------------------------------------------
r3084 | jlj | 2003-01-02 23:49:19 +0100 (Thu, 02 Jan 2003) | 2 lines
Changed paths:
   M /trunk/modules/gui/macosx/aout.m

  * ./modules/gui/macosx/aout.m: added support for 4 Channel PCM.

------------------------------------------------------------------------
r3085 | massiot | 2003-01-03 00:09:30 +0100 (Fri, 03 Jan 2003) | 4 lines
Changed paths:
   M /trunk/modules/gui/macosx/intf.h
   M /trunk/modules/gui/macosx/intf.m
   M /trunk/src/misc/darwin_specific.m

MacOS X port :
* Fixed the Device submenu,
* There is still a segfault in darwin_specific.m.

------------------------------------------------------------------------
r3086 | massiot | 2003-01-03 00:50:55 +0100 (Fri, 03 Jan 2003) | 2 lines
Changed paths:
   M /trunk/extras/MacOSX/Resources/English.lproj/MainMenu.nib/info.nib
   M /trunk/extras/MacOSX/Resources/English.lproj/MainMenu.nib/objects.nib
   M /trunk/modules/demux/util/sub.h
   M /trunk/modules/gui/macosx/intf.m
   M /trunk/modules/misc/network/ipv4.c
   M /trunk/modules/misc/sap.c
   M /trunk/src/misc/modules.c

Cosmetic.

------------------------------------------------------------------------
r3087 | jlj | 2003-01-03 01:03:13 +0100 (Fri, 03 Jan 2003) | 4 lines
Changed paths:
   M /trunk/src/misc/darwin_specific.m

  * ./src/misc/darwin_specific.m:
    Fixed (really!) segfault. Don't release o_lang objects, they're managed
    by NSUserDefaults.

------------------------------------------------------------------------
r3088 | massiot | 2003-01-03 01:11:44 +0100 (Fri, 03 Jan 2003) | 3 lines
Changed paths:
   M /trunk/Makefile.am

Automatically create the vlc.app/Contents/PkgInfo (otherwise I keep forgetting
it).

------------------------------------------------------------------------
r3089 | massiot | 2003-01-03 14:07:17 +0100 (Fri, 03 Jan 2003) | 3 lines
Changed paths:
   M /trunk/include/vlc_config.h
   M /trunk/modules/access/file.c

* modules/access/file.c: we now regularly check the size of the file, in
  case it is being downloaded.

------------------------------------------------------------------------
r3090 | sam | 2003-01-03 15:44:46 +0100 (Fri, 03 Jan 2003) | 3 lines
Changed paths:
   M /trunk/modules/gui/gtk/common.h
   M /trunk/modules/gui/gtk/gnome.c
   M /trunk/modules/gui/gtk/gtk.c

  * ./modules/gui/gtk/gtk.c, ./modules/gui/gtk/gnome.c: fixed drag'n'drop
    support in the Gtk+ and GNOME interfaces.

------------------------------------------------------------------------
r3091 | jpsaman | 2003-01-03 21:55:01 +0100 (Fri, 03 Jan 2003) | 2 lines
Changed paths:
   M /trunk/modules/gui/familiar/callbacks.c
   M /trunk/modules/gui/familiar/callbacks.h
   M /trunk/modules/gui/familiar/familiar.c
   M /trunk/modules/gui/familiar/familiar.glade
   M /trunk/modules/gui/familiar/familiar.h
   M /trunk/modules/gui/familiar/interface.c

Slider functionality for Familiar interface.

------------------------------------------------------------------------
r3092 | jlj | 2003-01-03 22:38:37 +0100 (Fri, 03 Jan 2003) | 2 lines
Changed paths:
   M /trunk/Makefile.am

  * ./Makefile.am: Meuuh, did you mean TAB instead of 8 spaces? :-)

------------------------------------------------------------------------
r3093 | jpsaman | 2003-01-04 00:58:02 +0100 (Sat, 04 Jan 2003) | 2 lines
Changed paths:
   M /trunk/ipkg/control.gpe

Updated package release number

------------------------------------------------------------------------
r3094 | jpsaman | 2003-01-04 01:21:00 +0100 (Sat, 04 Jan 2003) | 2 lines
Changed paths:
   M /trunk/configure.ac.in
   M /trunk/modules/gui/familiar/familiar.c
   M /trunk/modules/gui/familiar/familiar.h

Updating slider status uses no longer FPU calculations when compiled for strongarm1100.

------------------------------------------------------------------------
r3095 | jlj | 2003-01-04 05:11:08 +0100 (Sat, 04 Jan 2003) | 3 lines
Changed paths:
   M /trunk/extras/MacOSX/Resources/English.lproj/MainMenu.nib/classes.nib
   M /trunk/extras/MacOSX/Resources/English.lproj/MainMenu.nib/info.nib
   M /trunk/extras/MacOSX/Resources/English.lproj/MainMenu.nib/objects.nib
   M /trunk/modules/gui/macosx/controls.m
   M /trunk/modules/gui/macosx/intf.h
   M /trunk/modules/gui/macosx/intf.m

  MacOS X port:
  * main window controls are back. based on suggestion by Dan Macpherson.

------------------------------------------------------------------------
r3096 | jpsaman | 2003-01-04 14:30:02 +0100 (Sat, 04 Jan 2003) | 2 lines
Changed paths:
   M /trunk/configure.ac.in
   M /trunk/modules/gui/familiar/familiar.c
   M /trunk/modules/gui/familiar/familiar.h

Removed define in favor of (p_intf->p_libvlc->i_cpu & CPU_CAPABILITY_FPU) for detection of FPU hardware support.

------------------------------------------------------------------------
r3097 | jpsaman | 2003-01-04 14:50:16 +0100 (Sat, 04 Jan 2003) | 2 lines
Changed paths:
   M /trunk/modules/gui/familiar/familiar.c

Cosmetic changes.

------------------------------------------------------------------------
r3098 | gbazin | 2003-01-04 17:27:49 +0100 (Sat, 04 Jan 2003) | 4 lines
Changed paths:
   M /trunk/src/audio_output/output.c


* src/audio_output/output.c: don't forget to free the audio buffer when
we are trashing it.

------------------------------------------------------------------------
r3099 | titer | 2003-01-04 18:14:22 +0100 (Sat, 04 Jan 2003) | 3 lines
Changed paths:
   M /trunk/modules/gui/beos/AudioOutput.cpp

 We now check if the BSoundPlayer's buffer size is not the one we
 were expecting.

------------------------------------------------------------------------
r3100 | gbazin | 2003-01-05 00:49:58 +0100 (Sun, 05 Jan 2003) | 3 lines
Changed paths:
   M /trunk/configure.ac.in


* configure.ac.in: fixed typo in wxWindows headers detection code.

------------------------------------------------------------------------
r3101 | massiot | 2003-01-05 02:55:07 +0100 (Sun, 05 Jan 2003) | 2 lines
Changed paths:
   M /trunk/extras/MacOSX/Resources/English.lproj/MainMenu.nib/info.nib
   M /trunk/extras/MacOSX/Resources/English.lproj/MainMenu.nib/objects.nib
   M /trunk/modules/gui/macosx/intf.h
   M /trunk/modules/gui/macosx/intf.m
   M /trunk/modules/gui/macosx/vout.h
   M /trunk/modules/gui/macosx/vout.m

* Added a Close Window and a close box to our QuickTime video output.

------------------------------------------------------------------------
r3102 | massiot | 2003-01-05 03:39:48 +0100 (Sun, 05 Jan 2003) | 3 lines
Changed paths:
   M /trunk/extras/MacOSX/Resources/English.lproj/MainMenu.nib/classes.nib
   M /trunk/extras/MacOSX/Resources/English.lproj/MainMenu.nib/info.nib
   M /trunk/extras/MacOSX/Resources/English.lproj/MainMenu.nib/objects.nib
   M /trunk/modules/gui/macosx/open.h
   M /trunk/modules/gui/macosx/open.m

* Added the possibility to select DVD menus with VIDEO_TS folder in the
  OS X open panel.

------------------------------------------------------------------------
r3103 | jlj | 2003-01-05 04:21:50 +0100 (Sun, 05 Jan 2003) | 4 lines
Changed paths:
   M /trunk/extras/MacOSX/Resources/English.lproj/MainMenu.nib/classes.nib
   M /trunk/extras/MacOSX/Resources/English.lproj/MainMenu.nib/info.nib
   M /trunk/extras/MacOSX/Resources/English.lproj/MainMenu.nib/objects.nib
   M /trunk/modules/gui/macosx/playlist.h
   M /trunk/modules/gui/macosx/playlist.m

  MacOS X port:
  * replaced playlist panel with drawer.
  * implemented context menu for playlist tableview.

------------------------------------------------------------------------
r3104 | gbazin | 2003-01-05 14:39:32 +0100 (Sun, 05 Jan 2003) | 4 lines
Changed paths:
   M /trunk/modules/audio_output/directx.c


* modules/audio_output/directx.c: use VLC_THREAD_PRIORITY_HIGHEST for
the audio output thread. That should make Win9x/Me happier.

------------------------------------------------------------------------
r3105 | massiot | 2003-01-05 17:23:57 +0100 (Sun, 05 Jan 2003) | 5 lines
Changed paths:
   M /trunk/include/vlc_threads.h
   M /trunk/modules/gui/macosx/controls.m
   M /trunk/modules/gui/macosx/intf.h
   M /trunk/modules/gui/macosx/intf.m
   M /trunk/modules/gui/macosx/prefs.m
   M /trunk/modules/gui/macosx/vout.m

MacOS X port :
* Fixed a segfault in the "Close Window" code,
* Fullscreen state is now retained between files,
* Preferences items now feature LONGTEXT tooltips (maybe we should wrap them ?).

------------------------------------------------------------------------
r3106 | massiot | 2003-01-05 21:45:29 +0100 (Sun, 05 Jan 2003) | 2 lines
Changed paths:
   M /trunk/modules/access/file.c

Fixed the "stream has changed" bug.

------------------------------------------------------------------------
r3107 | sigmunau | 2003-01-05 22:03:58 +0100 (Sun, 05 Jan 2003) | 4 lines
Changed paths:
   M /trunk/modules/demux/asf/asf.c
   M /trunk/modules/demux/asf/libasf.c
   M /trunk/modules/demux/util/id3tag.c

 modules/demux/asf/*: added some file info code
 modules/demux/util/id3tag.c: do not parse id3v1 tags at the end of file, as
these cause to much trubble

------------------------------------------------------------------------
r3108 | garf | 2003-01-06 01:37:30 +0100 (Mon, 06 Jan 2003) | 4 lines
Changed paths:
   M /trunk/include/configuration.h
   M /trunk/include/modules_inner.h
   M /trunk/modules/gui/gtk/preferences.c
   M /trunk/modules/video_filter/adjust.c
   M /trunk/src/libvlc.h
   M /trunk/src/misc/configuration.c

 * added a i_min, i_max, f_min and f_max in module_config_t structure
 * added a add_integer_with_range() and add_float_with_range()
 * gtk interface: now uses a slider when a min or a max is specified

------------------------------------------------------------------------
r3109 | massiot | 2003-01-06 03:45:09 +0100 (Mon, 06 Jan 2003) | 3 lines
Changed paths:
   M /trunk/extras/MacOSX/Resources/English.lproj/MainMenu.nib/classes.nib
   M /trunk/extras/MacOSX/Resources/English.lproj/MainMenu.nib/info.nib
   M /trunk/extras/MacOSX/Resources/English.lproj/MainMenu.nib/objects.nib
   M /trunk/modules/gui/macosx/open.h
   M /trunk/modules/gui/macosx/open.m

MacOS X port :
* New "stream output" area in the open panel.

------------------------------------------------------------------------
r3110 | ipkiss | 2003-01-06 16:39:22 +0100 (Mon, 06 Jan 2003) | 3 lines
Changed paths:
   M /trunk/modules/gui/win32/disc.cpp
   M /trunk/modules/gui/win32/disc.dfm
   M /trunk/modules/gui/win32/disc.h
   M /trunk/modules/gui/win32/network.cpp
   M /trunk/modules/gui/win32/network.dfm
   M /trunk/modules/gui/win32/network.h

 * modules/gui/win32/network.cpp: added support for ftp and mms
 * modules/gui/win32/disc.cpp: cosmetic

------------------------------------------------------------------------
r3111 | yves | 2003-01-06 21:08:59 +0100 (Mon, 06 Jan 2003) | 7 lines
Changed paths:
   M /trunk/vlc.spec

- Mandrake %configure2_5x rpm macro is now fixed (was in cross-compil mode).
- removed access/rtp plugin (merged in access/udp).
- removed codec/imdct and codec/downmix plugins (deprecated).
- libvlc0-devel provides libvlc-devel.
- mmx/3dn plugins are only for x86 arch (use %ifarch %ix86 to list them)
  ie. fix rpm building on ppc thx Olivier Thauvin <olivier.thauvin@aerov.jussieu.fr>

------------------------------------------------------------------------
r3112 | massiot | 2003-01-06 23:07:47 +0100 (Mon, 06 Jan 2003) | 5 lines
Changed paths:
   M /trunk/configure.ac.in
   M /trunk/extras/MacOSX/Resources/English.lproj/MainMenu.nib/classes.nib
   M /trunk/extras/MacOSX/Resources/English.lproj/MainMenu.nib/info.nib
   M /trunk/extras/MacOSX/Resources/English.lproj/MainMenu.nib/objects.nib
   M /trunk/extras/MacOSX/vlc.pbproj/project.pbxproj
   M /trunk/modules/gui/macosx/intf.h
   M /trunk/modules/gui/macosx/intf.m
   M /trunk/modules/gui/macosx/open.m
   M /trunk/po/de.po
   M /trunk/po/en_GB.po
   M /trunk/po/fr.po
   M /trunk/po/it.po
   M /trunk/po/ja.po
   M /trunk/po/nl.po
   M /trunk/po/no.po
   M /trunk/po/pl.po
   M /trunk/po/ru.po
   M /trunk/po/se.po
   M /trunk/po/vlc.pot
   M /trunk/src/audio_output/mixer.c
   M /trunk/src/misc/threads.c

* Bumped up revision number to 0.5.0-test2,
* MacOS X port: new error dialog displaying error messages,
* Updated localization files,
* Comestic fixes.

------------------------------------------------------------------------
r3113 | massiot | 2003-01-06 23:57:47 +0100 (Mon, 06 Jan 2003) | 2 lines
Changed paths:
   M /trunk/src/misc/threads.c

Fixed a compilation issue.

------------------------------------------------------------------------
r3114 | sam | 2003-01-07 14:26:22 +0100 (Tue, 07 Jan 2003) | 2 lines
Changed paths:
   M /trunk/doc/fortunes.txt
   M /trunk/po/de.po
   M /trunk/po/en_GB.po
   M /trunk/po/fr.po
   M /trunk/po/it.po
   M /trunk/po/ja.po
   M /trunk/po/nl.po
   M /trunk/po/no.po
   M /trunk/po/pl.po
   M /trunk/po/ru.po
   M /trunk/po/se.po
   M /trunk/po/vlc.pot
   M /trunk/src/libvlc.c
   M /trunk/src/libvlc.h

  * minor updates to pofiles.

------------------------------------------------------------------------
r3115 | massiot | 2003-01-07 15:38:13 +0100 (Tue, 07 Jan 2003) | 2 lines
Changed paths:
   M /trunk/src/libvlc.h

Removed unused options in the aout.

------------------------------------------------------------------------
r3116 | massiot | 2003-01-07 15:58:33 +0100 (Tue, 07 Jan 2003) | 2 lines
Changed paths:
   M /trunk/modules/audio_output/oss.c

New "spdif" setting, allowing to permanently disable S/PDIF detection.

------------------------------------------------------------------------
r3117 | massiot | 2003-01-07 16:12:15 +0100 (Tue, 07 Jan 2003) | 2 lines
Changed paths:
   M /trunk/modules/audio_output/oss.c

Fixed another very nasty localization bug.

------------------------------------------------------------------------
r3118 | jobi | 2003-01-07 16:12:48 +0100 (Tue, 07 Jan 2003) | 3 lines
Changed paths:
   M /trunk/modules/demux/mpeg/ts.c

  * modules/demux/mpeg/ts.c: fixed ts_dvbpsi demux forcing (with
    file/ts_dvbpsi:) with TS streams that don't start with 0x47

------------------------------------------------------------------------
r3119 | fenrir | 2003-01-07 22:49:01 +0100 (Tue, 07 Jan 2003) | 7 lines
Changed paths:
   M /trunk/include/input_ext-dec.h
   M /trunk/include/input_ext-intf.h
   M /trunk/modules/codec/adpcm.c
   M /trunk/modules/codec/araw.c
   M /trunk/modules/codec/faad/decoder.c
   M /trunk/modules/codec/ffmpeg/audio.c
   M /trunk/modules/codec/ffmpeg/video.c
   M /trunk/modules/codec/xvid.c
   M /trunk/modules/demux/asf/asf.c
   M /trunk/modules/demux/avi/avi.c
   M /trunk/modules/demux/mp4/mp4.c
   M /trunk/modules/demux/ogg.c
   M /trunk/modules/demux/rawdv.c
   M /trunk/modules/demux/wav/wav.c
   M /trunk/src/input/input_dec.c
   M /trunk/src/input/input_programs.c

 * all: I have added two new variables in es_descriptor_t and
decoder_fifo_t (p_waveformatex and p_bitmapinfoheader). It's
a replacement of p_demux_data as this variable is used by
some demuxers in another way. This way, I will be able to add
preliminary support of mpeg4 in mpeg2TS... (I haven't tested ogm
demuxer so if somebody wants ...)

------------------------------------------------------------------------
r3120 | massiot | 2003-01-08 01:41:25 +0100 (Wed, 08 Jan 2003) | 3 lines
Changed paths:
   M /trunk/AUTHORS
   M /trunk/Makefile.am
   M /trunk/extras/MacOSX/Resources/English.lproj/MainMenu.nib/info.nib
   M /trunk/extras/MacOSX/Resources/English.lproj/MainMenu.nib/objects.nib
   A /trunk/extras/MacOSX/Resources/back.png
   A /trunk/extras/MacOSX/Resources/begin.png
   A /trunk/extras/MacOSX/Resources/end.png
   A /trunk/extras/MacOSX/Resources/forw.png
   A /trunk/extras/MacOSX/Resources/list.png
   M /trunk/extras/MacOSX/Resources/pause.png
   M /trunk/extras/MacOSX/Resources/play.png
   A /trunk/extras/MacOSX/Resources/prefs.png
   D /trunk/extras/MacOSX/Resources/stepr.png
   M /trunk/extras/MacOSX/Resources/stop.png
   A /trunk/extras/MacOSX/Resources/vlc_hg.png
   M /trunk/extras/MacOSX/vlc.pbproj/project.pbxproj
   M /trunk/po/ja.po
   M /trunk/po/vlc.pot

* New VLC brush-metal interface, courtesy of David Weber <david_weber@gmx.de>
* Updated Japanese translation, courtesy of Fumio Nakayama <endymion@ca2.so-net.ne.jp>

------------------------------------------------------------------------
r3121 | titer | 2003-01-08 03:09:15 +0100 (Wed, 08 Jan 2003) | 2 lines
Changed paths:
   M /trunk/modules/gui/beos/InterfaceWindow.cpp
   M /trunk/modules/gui/beos/InterfaceWindow.h
   M /trunk/modules/gui/beos/VlcWrapper.cpp
   M /trunk/modules/gui/beos/VlcWrapper.h

 Fixed language and subtitle selection.

------------------------------------------------------------------------
r3122 | ipkiss | 2003-01-08 03:16:09 +0100 (Wed, 08 Jan 2003) | 4 lines
Changed paths:
   M /trunk/modules/gui/win32/mainframe.cpp
   M /trunk/modules/gui/win32/mainframe.dfm
   M /trunk/modules/gui/win32/mainframe.h
   M /trunk/modules/gui/win32/menu.cpp
   M /trunk/modules/gui/win32/menu.h
   M /trunk/modules/gui/win32/win32.cpp
   M /trunk/modules/gui/win32/win32_common.h

 * Added sound volume management and changed a bit the menus
 * Added audio channels selection, but it's currently disabled since
   it's quite buggy :)

------------------------------------------------------------------------
r3123 | titer | 2003-01-08 03:32:50 +0100 (Wed, 08 Jan 2003) | 2 lines
Changed paths:
   M /trunk/modules/gui/beos/PreferencesWindow.cpp

 Minor GUI fixes in the prefs window.

------------------------------------------------------------------------
r3124 | ipkiss | 2003-01-08 04:01:55 +0100 (Wed, 08 Jan 2003) | 4 lines
Changed paths:
   M /trunk/modules/demux/mpeg/ts.c
   M /trunk/modules/gui/win32/preferences.cpp
   M /trunk/modules/gui/win32/preferences.h

 * ./modules/gui/win32/preferences.cpp: fixed a segfault when a module
   forgets to declare 'add_category_hint'
 * ./modules/demux/mpeg/ts.c: added a missing 'add_category_hint' :p

------------------------------------------------------------------------
r3125 | fenrir | 2003-01-08 11:26:49 +0100 (Wed, 08 Jan 2003) | 3 lines
Changed paths:
   M /trunk/modules/packetizer/Modules.am
   M /trunk/modules/packetizer/copy.c
   A /trunk/modules/packetizer/mpeg4audio.c
   M /trunk/modules/packetizer/mpeg4video.c
   M /trunk/modules/packetizer/mpegvideo.c

 * mpeg4audio.c: new packetizer (but for now it don't support adts aac)
 * mpeg4video.c: I 've rewritten it

------------------------------------------------------------------------
r3126 | fenrir | 2003-01-08 11:34:58 +0100 (Wed, 08 Jan 2003) | 6 lines
Changed paths:
   M /trunk/modules/mux/mpeg/Modules.am
   M /trunk/modules/mux/mpeg/bits.h
   M /trunk/modules/mux/mpeg/pes.c
   M /trunk/modules/mux/mpeg/pes.h
   M /trunk/modules/mux/mpeg/ps.c
   M /trunk/modules/mux/mpeg/ts.c

 * pes.c, ps.c: a52 stream should now work.
 * ts.c: added support for libdvbpsi (like ts demux, two modules are
generated : mux_ts and mux_ts_dvbpsi), fix crc generation for pat/pmt
without libdvbpsi. More works to add mpeg4 support (now I generate IOD
and SL descriptor).

------------------------------------------------------------------------
r3127 | fenrir | 2003-01-08 11:38:32 +0100 (Wed, 08 Jan 2003) | 3 lines
Changed paths:
   M /trunk/include/stream_output.h
   M /trunk/src/stream_output/stream_output.c

 * all: added a new function (sout_BufferChain) and allowed dummy
stream input creation (with "null" fourcc).

------------------------------------------------------------------------
r3128 | fenrir | 2003-01-08 11:40:10 +0100 (Wed, 08 Jan 2003) | 2 lines
Changed paths:
   M /trunk/modules/access_output/file.c

 * file.c: removed an useless debug message.

------------------------------------------------------------------------
r3129 | fenrir | 2003-01-08 11:41:57 +0100 (Wed, 08 Jan 2003) | 3 lines
Changed paths:
   M /trunk/modules/codec/ffmpeg/video.c

 * ffmpeg/video.c: in case of mpeg4 stream search in p_bitmapinfo for
an vol header. (In fact reverse an prevous commit)

------------------------------------------------------------------------
r3130 | fenrir | 2003-01-08 11:43:27 +0100 (Wed, 08 Jan 2003) | 3 lines
Changed paths:
   M /trunk/modules/codec/faad/decoder.c

 * faad: fixed a segfault when faad initialisation failed.(anyway it
doesn't solve the real problem).

------------------------------------------------------------------------
r3131 | fenrir | 2003-01-08 11:46:30 +0100 (Wed, 08 Jan 2003) | 3 lines
Changed paths:
   M /trunk/modules/demux/mp4/mp4.c

 * mp4.c: allowed multiple moov headers by taking the first one
(multiple moov headers is strictly forbidden but I 've seen such file)

------------------------------------------------------------------------
r3132 | massiot | 2003-01-08 11:50:58 +0100 (Wed, 08 Jan 2003) | 2 lines
Changed paths:
   M /trunk/modules/audio_output/alsa.c

* Added --no-spdif option (just like in OSS) and fixed a localization bug.

------------------------------------------------------------------------
r3133 | lool | 2003-01-08 13:13:24 +0100 (Wed, 08 Jan 2003) | 5 lines
Changed paths:
   M /trunk/FAQ

  * New entries:
    4. Legal concerns
    4.1 May I use the VideoLAN logo?
    4.2 May I reditribute VLC?

------------------------------------------------------------------------
r3134 | titer | 2003-01-08 14:52:56 +0100 (Wed, 08 Jan 2003) | 2 lines
Changed paths:
   M /trunk/modules/gui/beos/AudioOutput.cpp

 Use pf_memcpy and pf_memset.

------------------------------------------------------------------------
r3135 | sigmunau | 2003-01-08 15:00:29 +0100 (Wed, 08 Jan 2003) | 3 lines
Changed paths:
   M /trunk/Makefile.am

use *$(LIBEXT) and not *.so in package-win32 and package-beos targets. Also
a minor change in argumets passed to nsis

------------------------------------------------------------------------
r3136 | lool | 2003-01-08 15:31:04 +0100 (Wed, 08 Jan 2003) | 2 lines
Changed paths:
   M /trunk/FAQ

  * Mentionned the inclusion of the contrib dir

------------------------------------------------------------------------
r3137 | sam | 2003-01-08 15:59:23 +0100 (Wed, 08 Jan 2003) | 3 lines
Changed paths:
   M /trunk/src/stream_output/stream_output.c

  * ./src/stream_output/stream_output.c: minor fix for Win32 drive letter
    display.

------------------------------------------------------------------------
r3138 | titer | 2003-01-08 16:13:32 +0100 (Wed, 08 Jan 2003) | 2 lines
Changed paths:
   M /trunk/modules/gui/beos/AudioOutput.cpp

 Partial fix for video/audio sync.

------------------------------------------------------------------------
r3139 | fenrir | 2003-01-08 17:40:29 +0100 (Wed, 08 Jan 2003) | 5 lines
Changed paths:
   M /trunk/configure.ac.in
   M /trunk/modules/demux/mpeg/system.h
   M /trunk/modules/demux/mpeg/ts.c

 * configure.ac.in: added mpeg4audio packetizer and allowed conpilation of TS
muxer with libdvbpsi.
 * mpeg/* : added preliminary support of mpeg4 video and audio in TS stream.
(only in ts_dvbpsi demuxer).

------------------------------------------------------------------------
r3140 | lool | 2003-01-08 17:40:44 +0100 (Wed, 08 Jan 2003) | 3 lines
Changed paths:
   M /trunk/FAQ

  * typos
  * mentionned Redhat because it disables DMA

------------------------------------------------------------------------
r3141 | massiot | 2003-01-09 00:15:13 +0100 (Thu, 09 Jan 2003) | 2 lines
Changed paths:
   M /trunk/Makefile.am

Do not bail out when no *.gmo exists.

------------------------------------------------------------------------
r3142 | sam | 2003-01-09 11:12:42 +0100 (Thu, 09 Jan 2003) | 3 lines
Changed paths:
   M /trunk/modules/codec/spudec/parse.c

  * ./modules/codec/spudec/parse.c: set the duration of DVD subtitles
    according to the playing rate.

------------------------------------------------------------------------
r3143 | sam | 2003-01-09 15:00:00 +0100 (Thu, 09 Jan 2003) | 3 lines
Changed paths:
   M /trunk/modules/video_filter/transform.c

  * ./modules/video_filter/transform.c: the 90 and 270 transformation routines
    now use the visible pitch of a picture, not its total pitch (Closes: #29).

------------------------------------------------------------------------
r3144 | sam | 2003-01-09 15:05:31 +0100 (Thu, 09 Jan 2003) | 2 lines
Changed paths:
   M /trunk/modules/video_output/sdl.c

  * ./modules/video_output/sdl.c: fixed visible picture pitch calculation.

------------------------------------------------------------------------
r3145 | sam | 2003-01-09 16:38:09 +0100 (Thu, 09 Jan 2003) | 3 lines
Changed paths:
   M /trunk/modules/video_filter/adjust.c

  * ./modules/video_filter/adjust.c: rehandled code and enhanced the
    config variables descriptions.

------------------------------------------------------------------------
r3146 | sam | 2003-01-09 17:26:14 +0100 (Thu, 09 Jan 2003) | 3 lines
Changed paths:
   M /trunk/modules/video_filter/adjust.c

  * ./modules/video_filter/adjust.c: properly fixed margin handling (partially
    closes #30).

------------------------------------------------------------------------
r3147 | sam | 2003-01-09 18:47:05 +0100 (Thu, 09 Jan 2003) | 3 lines
Changed paths:
   M /trunk/modules/video_filter/adjust.c
   M /trunk/modules/video_filter/clone.c
   M /trunk/modules/video_filter/crop.c
   M /trunk/modules/video_filter/distort.c
   M /trunk/modules/video_filter/invert.c
   M /trunk/modules/video_filter/motionblur.c
   M /trunk/modules/video_filter/transform.c
   M /trunk/modules/video_filter/wall.c

  * ./modules/video_filter/*.c: all filters now properly use i_visible_pitch
    instead of i_pitch for pixel access (Closes: #30).

------------------------------------------------------------------------
r3148 | sam | 2003-01-09 19:06:06 +0100 (Thu, 09 Jan 2003) | 2 lines
Changed paths:
   M /trunk/modules/video_output/x11/xcommon.c

  * ./modules/video_output/x11/xcommon.c: fixed i_visible_pitch calculation.

------------------------------------------------------------------------
r3149 | fenrir | 2003-01-09 19:23:43 +0100 (Thu, 09 Jan 2003) | 3 lines
Changed paths:
   M /trunk/modules/demux/avi/avi.c

 * avi: read less data at once as it seems to give better sound. (I thinks
it's more a workaround that a true fix).

------------------------------------------------------------------------
r3150 | lool | 2003-01-09 23:30:44 +0100 (Thu, 09 Jan 2003) | 2 lines
Changed paths:
   M /trunk/FAQ

  * Mentionned libdvdcss vs DMCS in 4.2 ((c) Meuuh :)

------------------------------------------------------------------------
r3151 | massiot | 2003-01-10 00:43:07 +0100 (Fri, 10 Jan 2003) | 3 lines
Changed paths:
   D /trunk/extras/MacOSX/Resources/stepf.png
   M /trunk/include/vlc_config.h
   M /trunk/modules/gui/macosx/intf.m
   M /trunk/modules/misc/network/ipv4.c
   M /trunk/src/misc/threads.c

* OS X: Fixed a segfault with empty configuration strings (closes #65),
* cosmetic messages cleanups.

------------------------------------------------------------------------
r3152 | ipkiss | 2003-01-10 02:09:31 +0100 (Fri, 10 Jan 2003) | 2 lines
Changed paths:
   M /trunk/modules/gui/win32/preferences.cpp
   M /trunk/modules/gui/win32/preferences.h

 * ./modules/gui/win32: fixed a bug in the preferences (closes #60)

------------------------------------------------------------------------
r3153 | lool | 2003-01-10 05:58:23 +0100 (Fri, 10 Jan 2003) | 3 lines
Changed paths:
   M /trunk/AUTHORS
   M /trunk/STATUS
   M /trunk/configure.ac.in
   A /trunk/modules/access/slp.c

  * configure.ac.in, modules/access/slp.c: New SLP access module,
        see <http://www.openslp.org/>

------------------------------------------------------------------------
r3154 | lool | 2003-01-10 07:16:55 +0100 (Fri, 10 Jan 2003) | 2 lines
Changed paths:
   M /trunk/modules/access/slp.c

  * removed VLC_GO to avoid skipping to the last program

------------------------------------------------------------------------
r3155 | yves | 2003-01-10 09:04:49 +0100 (Fri, 10 Jan 2003) | 2 lines
Changed paths:
   M /trunk/vlc.spec

* vlc.spec: new packetizer/mpeg4audio plugin added.

------------------------------------------------------------------------
r3156 | lool | 2003-01-10 10:25:57 +0100 (Fri, 10 Jan 2003) | 8 lines
Changed paths:
   M /trunk/FAQ

  * New entries:
    2.16 NO VIDEO!! or NO AUDIO !!
    3.3.4 Does VLC support DVD from all zones?
    3.3.5 How can I take screenshots?
    5. Miscellaneous
    5.1 How may I help your project?
    5.2 Why are your mailing-lists and your website in english?

------------------------------------------------------------------------
r3157 | lool | 2003-01-10 10:28:16 +0100 (Fri, 10 Jan 2003) | 2 lines
Changed paths:
   M /trunk/modules/access/Modules.am

  * access_slp LD options

------------------------------------------------------------------------
r3158 | lool | 2003-01-10 11:01:47 +0100 (Fri, 10 Jan 2003) | 2 lines
Changed paths:
   M /trunk/modules/gui/gtk/open.c

  * removed an useless inclusion

------------------------------------------------------------------------
r3159 | asmax | 2003-01-10 12:02:21 +0100 (Fri, 10 Jan 2003) | 3 lines
Changed paths:
   M /trunk/modules/gui/gtk/open.c

* enable the network channel box when selecting network channel input
  (gnome interface)

------------------------------------------------------------------------
r3160 | asmax | 2003-01-10 13:34:50 +0100 (Fri, 10 Jan 2003) | 2 lines
Changed paths:
   M /trunk/modules/gui/gtk/open.c

* fixed previous commit (didn't work everytime)

------------------------------------------------------------------------
r3161 | massiot | 2003-01-10 14:21:17 +0100 (Fri, 10 Jan 2003) | 2 lines
Changed paths:
   M /trunk/configure.ac.in

Fixed liba52 detection using --with-a52.

------------------------------------------------------------------------
r3162 | titer | 2003-01-10 17:21:39 +0100 (Fri, 10 Jan 2003) | 2 lines
Changed paths:
   M /trunk/modules/gui/beos/AudioOutput.cpp

 Definitively fixed sync (I hope).

------------------------------------------------------------------------
r3163 | titer | 2003-01-10 18:01:53 +0100 (Fri, 10 Jan 2003) | 2 lines
Changed paths:
   M /trunk/include/vlc_threads.h
   M /trunk/src/misc/threads.c

 Thread priority management on BeOS.

------------------------------------------------------------------------
r3164 | lool | 2003-01-10 18:30:18 +0100 (Fri, 10 Jan 2003) | 2 lines
Changed paths:
   M /trunk/modules/gui/gtk/open.c

  * re-included playlist.h (got confused with vlc-playlist.h)

------------------------------------------------------------------------
r3165 | ipkiss | 2003-01-11 15:09:22 +0100 (Sat, 11 Jan 2003) | 2 lines
Changed paths:
   M /trunk/modules/mux/mpeg/ts.c

 * compilation fix

------------------------------------------------------------------------
r3166 | ipkiss | 2003-01-11 18:23:13 +0100 (Sat, 11 Jan 2003) | 2 lines
Changed paths:
   M /trunk/modules/mux/mpeg/ts.c

 * Fixed my previous commit (thanks fenrir)

------------------------------------------------------------------------
r3167 | fenrir | 2003-01-11 19:10:49 +0100 (Sat, 11 Jan 2003) | 4 lines
Changed paths:
   M /trunk/modules/codec/ffmpeg/audio.c
   M /trunk/modules/demux/asf/asf.c
   M /trunk/modules/demux/avi/avi.c
   M /trunk/modules/demux/avi/libavi.c

 * asf: prevent some segfault with broken file. (partially fix bug 72)
 * avi: respect frame size (for audio codec) and close bug 75.
 * ffmpeg: can now read multiples audio frames from the same buffer.

------------------------------------------------------------------------
r3168 | fenrir | 2003-01-11 19:31:17 +0100 (Sat, 11 Jan 2003) | 2 lines
Changed paths:
   M /trunk/modules/demux/avi/avi.c

 * avi: fix my last fix :)

------------------------------------------------------------------------
r3169 | stippi | 2003-01-11 20:33:09 +0100 (Sat, 11 Jan 2003) | 2 lines
Changed paths:
   M /trunk/modules/gui/beos/InterfaceWindow.cpp
   M /trunk/modules/gui/beos/MediaControlView.cpp
   M /trunk/modules/gui/beos/VlcWrapper.cpp

fixed flickering of skip buttons (and consequently crashing if you pressed them)

------------------------------------------------------------------------
r3170 | gitan | 2003-01-11 21:25:36 +0100 (Sat, 11 Jan 2003) | 2 lines
Changed paths:
   M /trunk/src/libvlc.h

* SAP is disabled by default.

------------------------------------------------------------------------
r3171 | titer | 2003-01-11 21:42:47 +0100 (Sat, 11 Jan 2003) | 2 lines
Changed paths:
   M /trunk/modules/gui/beos/PreferencesWindow.cpp

 * Needed update because variables names changed in the 'adjust' module.

------------------------------------------------------------------------
r3172 | titer | 2003-01-12 01:22:37 +0100 (Sun, 12 Jan 2003) | 2 lines
Changed paths:
   M /trunk/share/vlc_beos.rsrc

 Corrected the list of supported MIME types.

------------------------------------------------------------------------
r3173 | sigmunau | 2003-01-12 02:26:36 +0100 (Sun, 12 Jan 2003) | 2 lines
Changed paths:
   M /trunk/doc/lirc/example.lircrc
   M /trunk/modules/control/lirc/lirc.c

 new rule for remote controls with combined play/pause button (like mine has)

------------------------------------------------------------------------
r3174 | titer | 2003-01-12 03:08:39 +0100 (Sun, 12 Jan 2003) | 4 lines
Changed paths:
   M /trunk/modules/gui/beos/InterfaceWindow.cpp
   M /trunk/modules/gui/beos/MediaControlView.cpp
   M /trunk/modules/gui/beos/MediaControlView.h
   M /trunk/modules/gui/beos/VlcWrapper.cpp
   M /trunk/modules/gui/beos/VlcWrapper.h
   M /trunk/src/misc/beos_specific.cpp

 * beos/* : fixed a bug in the progress bar with big files
 * beos_specific.cpp : fixed the app signature
 * VlcWrapper.* : removed unused code

------------------------------------------------------------------------
r3175 | fenrir | 2003-01-12 05:11:35 +0100 (Sun, 12 Jan 2003) | 2 lines
Changed paths:
   M /trunk/modules/packetizer/mpeg4video.c

 * some workaround for clock.

------------------------------------------------------------------------
r3176 | fenrir | 2003-01-12 05:30:14 +0100 (Sun, 12 Jan 2003) | 3 lines
Changed paths:
   M /trunk/configure.ac.in
   M /trunk/modules/mux/Modules.am
   A /trunk/modules/mux/avi.c

 * avi.c: avi muxer. (It produces broken files, but vlc is able to read
them).

------------------------------------------------------------------------
r3177 | fenrir | 2003-01-12 07:39:45 +0100 (Sun, 12 Jan 2003) | 3 lines
Changed paths:
   M /trunk/configure.ac.in
   M /trunk/modules/demux/mpeg/Modules.am
   A /trunk/modules/demux/mpeg/m4v.c

 * m4v: a raw MPEG-4 video stream demuxer (for now, it assumes 25fps).
You have to force this demuxer.

------------------------------------------------------------------------
r3178 | sigmunau | 2003-01-12 16:38:35 +0100 (Sun, 12 Jan 2003) | 8 lines
Changed paths:
   M /trunk/modules/access/dvdplay/intf.c
   M /trunk/modules/control/lirc/lirc.c
   M /trunk/src/video_output/video_output.c

 * src/video_output/video_output.c: add a key-pressed variable to p_vout
 * modules/access/dvdplay/intf.c: allow keyboard naviagation in dvd-menus,
by reading the key-pressed variable
 * modules/control/lirc/lirc.c: allow navigation with remote control by
faking keypresses (closes #38). I think the remotes for dvdplayers usually
have buttons for "root menu" and "title menu". Whould this be easily
implemented in vlc?

------------------------------------------------------------------------
r3179 | jlj | 2003-01-12 19:25:05 +0100 (Sun, 12 Jan 2003) | 2 lines
Changed paths:
   M /trunk/modules/gui/macosx/intf.m

  * ./modules/gui/macosx/intf.m: Fixed mutex errors on stop (Closes #80).

------------------------------------------------------------------------
r3180 | fenrir | 2003-01-12 19:26:09 +0100 (Sun, 12 Jan 2003) | 3 lines
Changed paths:
   M /trunk/modules/demux/avi/avi.c

 * avi: partial fix for non interleaved file with incorrect( I'm not sure
about that) stream descriptor. Now at least video will be played.

------------------------------------------------------------------------
r3181 | jpsaman | 2003-01-12 20:08:09 +0100 (Sun, 12 Jan 2003) | 2 lines
Changed paths:
   M /trunk/modules/gui/familiar/familiar.c

Use gtk_main_quit only in one place (the function Manage()).

------------------------------------------------------------------------
r3182 | jpsaman | 2003-01-12 20:08:40 +0100 (Sun, 12 Jan 2003) | 2 lines
Changed paths:
   M /trunk/ipkg/rules.gpe
   M /trunk/ipkg/vlc.gpe
   M /trunk/ipkg/vlc.opie

Fixed some paths.

------------------------------------------------------------------------
r3183 | sam | 2003-01-13 02:11:00 +0100 (Mon, 13 Jan 2003) | 2 lines
Changed paths:
   M /trunk/debian/rules

  * ./debian/rules: compilation bypasses for the Debian maintainer.

------------------------------------------------------------------------
r3184 | fenrir | 2003-01-13 03:30:11 +0100 (Mon, 13 Jan 2003) | 2 lines
Changed paths:
   M /trunk/modules/demux/mp4/libmp4.c
   M /trunk/modules/demux/mp4/libmp4.h

 * mp4: added parsing of some mov boxes (alternate movies).

------------------------------------------------------------------------
r3185 | fenrir | 2003-01-13 03:33:13 +0100 (Mon, 13 Jan 2003) | 4 lines
Changed paths:
   M /trunk/include/stream_output.h
   M /trunk/modules/mux/avi.c
   M /trunk/modules/mux/mpeg/ps.c
   M /trunk/modules/mux/mpeg/ts.c
   M /trunk/modules/packetizer/mpegvideo.c
   M /trunk/src/stream_output/stream_output.c

 * all: now mux and access_out can request to reserve some memory in front
of each sout buffer (will prevent some unnecessary memcpy :). Not yet
really used.

------------------------------------------------------------------------
r3186 | fenrir | 2003-01-13 05:46:49 +0100 (Mon, 13 Jan 2003) | 4 lines
Changed paths:
   M /trunk/modules/demux/avi/avi.c
   M /trunk/modules/mux/avi.c
   M /trunk/src/stream_output/stream_output.c

 * mux/avi.c: added index creation.
 * demux/avi.c: fix stream length calculation.
 * stream_output.c: forgot a return value ...

------------------------------------------------------------------------
r3187 | sam | 2003-01-13 14:28:55 +0100 (Mon, 13 Jan 2003) | 3 lines
Changed paths:
   M /trunk/modules/video_output/sdl.c

  * ./modules/video_output/sdl.c: protected libSDL initialization calls to
    avoid race conditions and deadlocks.

------------------------------------------------------------------------
r3188 | massiot | 2003-01-13 15:51:25 +0100 (Mon, 13 Jan 2003) | 3 lines
Changed paths:
   M /trunk/modules/audio_output/alsa.c
   M /trunk/modules/audio_output/oss.c
   M /trunk/modules/audio_output/sdl.c
   M /trunk/modules/gui/macosx/aout.m

Do not forget to register aout_ChannelsRestart as the callback for
audio-device, plus miscellaneous changes.

------------------------------------------------------------------------
r3189 | alexis | 2003-01-13 16:14:45 +0100 (Mon, 13 Jan 2003) | 2 lines
Changed paths:
   M /trunk/FAQ

Fixed typo

------------------------------------------------------------------------
r3190 | sam | 2003-01-13 16:20:25 +0100 (Mon, 13 Jan 2003) | 3 lines
Changed paths:
   A /trunk/modules/gui/win32/strings.cpp
   M /trunk/po/POTFILES.in
   M /trunk/po/de.po
   M /trunk/po/en_GB.po
   M /trunk/po/fr.po
   M /trunk/po/it.po
   M /trunk/po/ja.po
   M /trunk/po/nl.po
   M /trunk/po/no.po
   M /trunk/po/pl.po
   M /trunk/po/ru.po
   M /trunk/po/se.po
   M /trunk/po/vlc.pot
   M /trunk/toolbox

  * ./toolbox: toolbox --update-po now automatically extracts strings from
    the Win32 interface.

------------------------------------------------------------------------
r3191 | massiot | 2003-01-13 17:58:58 +0100 (Mon, 13 Jan 2003) | 2 lines
Changed paths:
   M /trunk/modules/audio_output/sdl.c

Compilation fix.

------------------------------------------------------------------------
r3192 | ipkiss | 2003-01-13 18:11:14 +0100 (Mon, 13 Jan 2003) | 3 lines
Changed paths:
   M /trunk/modules/gui/macosx/intf.m
   M /trunk/modules/gui/win32/mainframe.dfm
   M /trunk/modules/gui/win32/menu.cpp
   M /trunk/modules/gui/win32/win32.cpp

 * MacOSX interface: fixed a stupid bug
 * Win32 interface: completed support for channel selection

------------------------------------------------------------------------
r3193 | fenrir | 2003-01-13 18:39:05 +0100 (Mon, 13 Jan 2003) | 2 lines
Changed paths:
   M /trunk/modules/codec/adpcm.c

 * adpcm: changed the way that data are read and thus seek will work.

------------------------------------------------------------------------
r3194 | jlj | 2003-01-13 21:02:37 +0100 (Mon, 13 Jan 2003) | 2 lines
Changed paths:
   M /trunk/modules/gui/macosx/aout.m

  * ./modules/gui/macosx/aout.m: don't call AudioHardwareUnload.

------------------------------------------------------------------------
r3195 | massiot | 2003-01-14 00:45:49 +0100 (Tue, 14 Jan 2003) | 2 lines
Changed paths:
   M /trunk/po/ja.po

Updated Japanese translation, courtesy of Fumio Nakayama <endymion@ca2.so-net.ne.jp>.

------------------------------------------------------------------------
r3196 | sigmunau | 2003-01-14 02:30:09 +0100 (Tue, 14 Jan 2003) | 4 lines
Changed paths:
   M /trunk/modules/control/rc/rc.c

changed the a rule into add and made it work along with others such as play
even when nothing is currently playing. Added a playlist command to list the
entries currently in the playlist. plus some cleanups and sanity checks.

------------------------------------------------------------------------
r3197 | fenrir | 2003-01-14 05:34:13 +0100 (Tue, 14 Jan 2003) | 2 lines
Changed paths:
   M /trunk/src/stream_output/stream_output.c

 * stream_output.c: fix a bug with "null" stream.

------------------------------------------------------------------------
r3198 | titer | 2003-01-14 15:48:55 +0100 (Tue, 14 Jan 2003) | 2 lines
Changed paths:
   M /trunk/modules/gui/beos/InterfaceWindow.cpp
   M /trunk/modules/gui/beos/InterfaceWindow.h
   M /trunk/modules/gui/beos/MsgVals.h
   M /trunk/modules/gui/beos/VlcWrapper.cpp
   M /trunk/modules/gui/beos/VlcWrapper.h

 * Added a file panel for subtitles file selection.

------------------------------------------------------------------------
r3199 | massiot | 2003-01-14 15:51:02 +0100 (Tue, 14 Jan 2003) | 3 lines
Changed paths:
   M /trunk/modules/audio_filter/channel_mixer/trivial.c
   M /trunk/modules/control/rc/rc.c

* Fixed dual-mono handling of MPEG audio.
* rc.c: fixed a warning.

------------------------------------------------------------------------
r3200 | titer | 2003-01-14 16:31:12 +0100 (Tue, 14 Jan 2003) | 2 lines
Changed paths:
   M /trunk/modules/gui/beos/AudioOutput.cpp

 * added a sanity lock

------------------------------------------------------------------------
r3201 | titer | 2003-01-14 17:00:49 +0100 (Tue, 14 Jan 2003) | 2 lines
Changed paths:
   M /trunk/modules/gui/beos/PreferencesWindow.cpp
   M /trunk/modules/gui/beos/PreferencesWindow.h

 Now you can save preferences.

------------------------------------------------------------------------
r3202 | sam | 2003-01-14 19:56:52 +0100 (Tue, 14 Jan 2003) | 2 lines
Changed paths:
   M /trunk/FAQ
   M /trunk/doc/fortunes.txt

  * ./FAQ: a few corrections. See also http://angryflower.com/bobsqu.gif

------------------------------------------------------------------------
r3203 | titer | 2003-01-14 23:03:38 +0100 (Tue, 14 Jan 2003) | 4 lines
Changed paths:
   M /trunk/modules/gui/beos/InterfaceWindow.cpp
   M /trunk/modules/gui/beos/VlcWrapper.cpp

  Fixed playlist behaviour (draging a file replaces the playlist, and
 draging a file while pressing the 'Shift' key appends it while the
 current one keeps playing.

------------------------------------------------------------------------
r3204 | sam | 2003-01-14 23:44:29 +0100 (Tue, 14 Jan 2003) | 3 lines
Changed paths:
   M /trunk/modules/audio_output/oss.c

  * ./modules/audio_output/oss.c: compilation fix for BSD, courtesy of
    Steven M. Schultz.

------------------------------------------------------------------------
r3205 | massiot | 2003-01-15 01:10:29 +0100 (Wed, 15 Jan 2003) | 2 lines
Changed paths:
   M /trunk/po/it.po

Updated Italian translation, courtesy of Vella Bruno <allevb@tin.it>.

------------------------------------------------------------------------
r3206 | jlj | 2003-01-15 01:49:49 +0100 (Wed, 15 Jan 2003) | 2 lines
Changed paths:
   M /trunk/modules/gui/macosx/aout.m
   M /trunk/modules/gui/macosx/intf.m
   M /trunk/modules/gui/macosx/macosx.m
   M /trunk/modules/gui/macosx/vout.m

  * ./modules/gui/macosx: added macosx-adev and macosx-vdev config vars.

------------------------------------------------------------------------
r3207 | massiot | 2003-01-15 11:58:48 +0100 (Wed, 15 Jan 2003) | 8 lines
Changed paths:
   M /trunk/configure.ac.in
   M /trunk/modules/Makefile.am
   M /trunk/modules/audio_filter/converter/Modules.am
   A /trunk/modules/audio_filter/converter/mpgatofixed32.c
   M /trunk/modules/codec/Modules.am
   M /trunk/modules/codec/a52.c
   D /trunk/modules/codec/mad
   A /trunk/modules/codec/mpeg_audio.c
   M /trunk/modules/gui/win32/strings.cpp
   M /trunk/po/POTFILES.in
   M /trunk/po/de.po
   M /trunk/po/en_GB.po
   M /trunk/po/fr.po
   M /trunk/po/it.po
   M /trunk/po/ja.po
   M /trunk/po/nl.po
   M /trunk/po/no.po
   M /trunk/po/pl.po
   M /trunk/po/ru.po
   M /trunk/po/se.po
   M /trunk/po/vlc.pot
   M /trunk/src/audio_output/common.c

* Totally rewrote the mad plug-in, in order to fix the PTS problems :
- Now using the low-level API of libmad,
- Decoding split in parsing & decoding (just like A/52),
- Should handle dual-mono files correctly,
* The old mpeg_audio plug-in can no longer work in this scheme and has
  been disabled. Please _always_ compile with mad from now on.
* Updated po files.

------------------------------------------------------------------------
r3208 | massiot | 2003-01-15 12:27:29 +0100 (Wed, 15 Jan 2003) | 2 lines
Changed paths:
   M /trunk/modules/gui/macosx/controls.m
   M /trunk/src/audio_output/intf.c

VolumeUp/Down/Mute now work even if no file is playing.

------------------------------------------------------------------------
r3209 | titer | 2003-01-15 12:46:27 +0100 (Wed, 15 Jan 2003) | 2 lines
Changed paths:
   M /trunk/configure.ac.in

 Fixed --with-mad and --with-mad-tree

------------------------------------------------------------------------
r3210 | massiot | 2003-01-15 13:25:11 +0100 (Wed, 15 Jan 2003) | 3 lines
Changed paths:
   M /trunk/po/nl.po

Dutch translation, courtesy of Derk-Jan Hartman <d.hartman@student.utwente.nl>
and Jean-Paul Saman <jpsaman@wxs.nl>.

------------------------------------------------------------------------
r3211 | massiot | 2003-01-15 14:14:50 +0100 (Wed, 15 Jan 2003) | 3 lines
Changed paths:
   M /trunk/modules/codec/mpeg_audio.c

Better recovery on emulated startcode. Still doesn't work with VBR mp3's,
though.

------------------------------------------------------------------------
r3212 | sam | 2003-01-15 14:16:40 +0100 (Wed, 15 Jan 2003) | 3 lines
Changed paths:
   M /trunk/modules/codec/mpeg_video/headers.c
   M /trunk/modules/gui/gtk/gnome.glade
   M /trunk/modules/gui/gtk/gnome_interface.c
   M /trunk/modules/gui/gtk/gtk.glade
   M /trunk/modules/gui/gtk/gtk_interface.c
   M /trunk/modules/gui/kde/kde.cpp
   M /trunk/modules/gui/win32/Modules.am
   M /trunk/modules/gui/win32/about.dfm
   M /trunk/modules/gui/win32/mainframe.dfm
   M /trunk/modules/gui/win32/network.dfm
   M /trunk/modules/gui/win32/strings.cpp
   M /trunk/modules/misc/gtk_main.c
   M /trunk/modules/video_output/wingdi.c
   M /trunk/po/de.po
   M /trunk/po/en_GB.po
   M /trunk/po/fr.po
   M /trunk/po/it.po
   M /trunk/po/ja.po
   M /trunk/po/nl.po
   M /trunk/po/no.po
   M /trunk/po/pl.po
   M /trunk/po/ru.po
   M /trunk/po/se.po
   M /trunk/po/vlc.pot
   M /trunk/src/video_output/vout_pictures.c
   M /trunk/toolbox

  * ALL: slightly changed some interface strings so that they are common to
    all GUIs, thus making the translators' work easier.

------------------------------------------------------------------------
r3213 | massiot | 2003-01-15 14:46:05 +0100 (Wed, 15 Jan 2003) | 2 lines
Changed paths:
   M /trunk/src/misc/messages.c

message queue overflow is now a warning.

------------------------------------------------------------------------
r3214 | sam | 2003-01-15 14:48:14 +0100 (Wed, 15 Jan 2003) | 3 lines
Changed paths:
   M /trunk/modules/video_output/x11/xcommon.c

  * ./modules/video_output/x11/xcommon.c: we ignore MapNotify and UnmapNotify
    events once our window has been properly mapped.

------------------------------------------------------------------------
r3215 | massiot | 2003-01-15 14:58:28 +0100 (Wed, 15 Jan 2003) | 2 lines
Changed paths:
   M /trunk/modules/codec/mpeg_audio.c

Typo.

------------------------------------------------------------------------
r3216 | massiot | 2003-01-16 00:55:22 +0100 (Thu, 16 Jan 2003) | 5 lines
Changed paths:
   M /trunk/modules/codec/mpeg_audio.c
   M /trunk/modules/gui/macosx/intf.m
   M /trunk/src/misc/netutils.c

* Fixed MPEG audio layer III VBR,
* Mac OS X interface thread gets a real-time priority as well to avoid
  lock-ups,
* VLAN error is now a warning.

------------------------------------------------------------------------
r3217 | sam | 2003-01-16 10:00:32 +0100 (Thu, 16 Jan 2003) | 2 lines
Changed paths:
   M /trunk/modules/gui/gtk/gnome.glade
   M /trunk/modules/gui/gtk/gnome_interface.c
   M /trunk/modules/gui/gtk/gtk.glade
   M /trunk/modules/gui/gtk/gtk_interface.c
   M /trunk/modules/gui/win32/disc.dfm
   M /trunk/modules/gui/win32/mainframe.dfm
   M /trunk/modules/gui/win32/strings.cpp
   M /trunk/po/de.po
   M /trunk/po/en_GB.po
   M /trunk/po/fr.po
   M /trunk/po/it.po
   M /trunk/po/ja.po
   M /trunk/po/nl.po
   M /trunk/po/no.po
   M /trunk/po/pl.po
   M /trunk/po/ru.po
   M /trunk/po/se.po
   M /trunk/po/vlc.pot
   M /trunk/toolbox

  * ALL: merged more UI strings.

------------------------------------------------------------------------
r3218 | sam | 2003-01-16 10:02:46 +0100 (Thu, 16 Jan 2003) | 2 lines
Changed paths:
   M /trunk/include/vlc_common.h
   M /trunk/include/vlc_threads_funcs.h
   M /trunk/modules/gui/win32/Modules.am
   M /trunk/modules/gui/win32/mainframe.cpp
   M /trunk/modules/gui/win32/menu.cpp
   M /trunk/modules/gui/win32/win32_common.h

  * ./include/vlc_common.h: fixed win32 plugin compilation.

------------------------------------------------------------------------
r3219 | sam | 2003-01-16 10:05:37 +0100 (Thu, 16 Jan 2003) | 2 lines
Changed paths:
   M /trunk/modules/access/.cvsignore
   M /trunk/modules/access/dvd/.cvsignore
   M /trunk/modules/access/dvdplay/.cvsignore
   M /trunk/modules/access/dvdread/.cvsignore
   M /trunk/modules/access/mms/.cvsignore
   M /trunk/modules/access/satellite/.cvsignore
   M /trunk/modules/access/v4l/.cvsignore
   M /trunk/modules/access/vcd/.cvsignore
   M /trunk/modules/access_output/.cvsignore
   M /trunk/modules/audio_filter/channel_mixer/.cvsignore
   M /trunk/modules/audio_filter/converter/.cvsignore
   M /trunk/modules/audio_filter/resampler/.cvsignore
   M /trunk/modules/audio_mixer/.cvsignore
   M /trunk/modules/audio_output/.cvsignore
   M /trunk/modules/codec/.cvsignore
   M /trunk/modules/codec/a52old/.cvsignore
   M /trunk/modules/codec/a52old/downmix/.cvsignore
   M /trunk/modules/codec/a52old/imdct/.cvsignore
   M /trunk/modules/codec/cinepak/.cvsignore
   M /trunk/modules/codec/faad/.cvsignore
   M /trunk/modules/codec/ffmpeg/.cvsignore
   M /trunk/modules/codec/ffmpeg/postprocessing/.cvsignore
   M /trunk/modules/codec/mpeg_audio/.cvsignore
   M /trunk/modules/codec/mpeg_video/.cvsignore
   M /trunk/modules/codec/mpeg_video/idct/.cvsignore
   M /trunk/modules/codec/mpeg_video/motion/.cvsignore
   M /trunk/modules/codec/spudec/.cvsignore
   M /trunk/modules/control/lirc/.cvsignore
   M /trunk/modules/control/rc/.cvsignore
   M /trunk/modules/demux/.cvsignore
   M /trunk/modules/demux/aac/.cvsignore
   M /trunk/modules/demux/asf/.cvsignore
   M /trunk/modules/demux/avi/.cvsignore
   M /trunk/modules/demux/mp4/.cvsignore
   M /trunk/modules/demux/mpeg/.cvsignore
   M /trunk/modules/demux/util/.cvsignore
   M /trunk/modules/demux/wav/.cvsignore
   M /trunk/modules/gui/beos/.cvsignore
   M /trunk/modules/gui/familiar/.cvsignore
   M /trunk/modules/gui/gtk/.cvsignore
   M /trunk/modules/gui/kde/.cvsignore
   M /trunk/modules/gui/macosx/.cvsignore
   M /trunk/modules/gui/ncurses/.cvsignore
   M /trunk/modules/gui/qnx/.cvsignore
   M /trunk/modules/gui/qt/.cvsignore
   M /trunk/modules/gui/win32/.cvsignore
   M /trunk/modules/gui/wxwindows/.cvsignore
   M /trunk/modules/misc/.cvsignore
   M /trunk/modules/misc/dummy/.cvsignore
   M /trunk/modules/misc/logger/.cvsignore
   M /trunk/modules/misc/memcpy/.cvsignore
   M /trunk/modules/misc/network/.cvsignore
   M /trunk/modules/misc/testsuite/.cvsignore
   M /trunk/modules/mux/.cvsignore
   M /trunk/modules/mux/mpeg/.cvsignore
   M /trunk/modules/packetizer/.cvsignore
   M /trunk/modules/video_chroma/.cvsignore
   M /trunk/modules/video_filter/.cvsignore
   M /trunk/modules/video_filter/deinterlace/.cvsignore
   M /trunk/modules/video_output/.cvsignore
   M /trunk/modules/video_output/directx/.cvsignore
   M /trunk/modules/video_output/mga/.cvsignore
   M /trunk/modules/video_output/qte/.cvsignore
   M /trunk/modules/video_output/x11/.cvsignore
   M /trunk/modules/visualization/scope/.cvsignore
   M /trunk/modules/visualization/xosd/.cvsignore

  * ./modules/**/.cvsignore: added common *$(LIBEXT) values to .cvsignore.

------------------------------------------------------------------------
r3220 | sam | 2003-01-16 13:49:28 +0100 (Thu, 16 Jan 2003) | 4 lines
Changed paths:
   M /trunk/configure.ac.in
   M /trunk/evc/.cvsignore
   D /trunk/evc/config.h
   A /trunk/evc/config.h.in
   M /trunk/msvc/.cvsignore
   D /trunk/msvc/config.h
   A /trunk/msvc/config.h.in
   M /trunk/toolbox

  * ./evc/config.h, ./msvc/config.h: proper generation of these files using
    information from configure.ac.in. Thanks to Stephane van Hardeveld for
    spotting this.

------------------------------------------------------------------------
r3221 | sam | 2003-01-16 13:56:34 +0100 (Thu, 16 Jan 2003) | 2 lines
Changed paths:
   M /trunk/msvc/plugins.dsp.in

  * ./plugins.dsp.in: fixed this file thanks to Stephane van Hardeveld.

------------------------------------------------------------------------
r3222 | hartman | 2003-01-16 14:22:30 +0100 (Thu, 16 Jan 2003) | 2 lines
Changed paths:
   M /trunk/src/audio_output/intf.c

VolumeGet/VolumeSet now work even if no file is playing.

------------------------------------------------------------------------
r3223 | hartman | 2003-01-16 14:49:44 +0100 (Thu, 16 Jan 2003) | 19 lines
Changed paths:
   M /trunk/modules/gui/macosx/controls.m
   M /trunk/modules/gui/macosx/intf.h
   M /trunk/modules/gui/macosx/intf.m
   M /trunk/modules/gui/macosx/playlist.h
   M /trunk/modules/gui/macosx/vout.m

* ./modules/gui/macosx/controls.m:
  - Added a volumeslider
  - removed pause button
  - added a fast forward action (increases speed in time)
  - changed the play method to allow for a toggled play pause button
  - volumeUp and VolumeDown take the state of the Mute Menuitem into account
  - volumeUp and VolumeDown take the volumeSlider into account
* ./modules/gui/macosx/intf.h:
  - added references for the volumeslider, new menuitems
* ./modules/gui/macosx/intf.m:
  - correct init of volumeslider and other new intf elements
  - new title for Controller window
  - the state of buttons is dependant on a movie being played
  - toggle the play/pause button if a play/pause action is detected.
* ./modules/gui/macosx/playlist.h: added add/remove buttons to playlist
* ./modules/gui/macosx/vout.m:
  - removed some control keys which were no longer necesarry
  - give the window the title of the item being played

------------------------------------------------------------------------
r3224 | hartman | 2003-01-16 14:58:18 +0100 (Thu, 16 Jan 2003) | 15 lines
Changed paths:
   M /trunk/extras/MacOSX/Resources/English.lproj/InfoPlist.strings
   M /trunk/extras/MacOSX/Resources/English.lproj/MainMenu.nib/classes.nib
   M /trunk/extras/MacOSX/Resources/English.lproj/MainMenu.nib/info.nib
   M /trunk/extras/MacOSX/Resources/English.lproj/MainMenu.nib/objects.nib
   M /trunk/extras/MacOSX/Resources/pause.png
   M /trunk/extras/MacOSX/vlc.pbproj/project.pbxproj

* ALL:
- integrated play/pause toggled button
- global shortcut for play/pause by use of spacebar
- new pause.png
- removed pause button
- close button in intf window. register window in Window menuitem.
- rearranged the menu
- changed some key-combo's to be more OSX compliant/consistent
- The time text-field is no longer selectable
- The faster/slower/ff/stop etc button are only available during playback
- added .bin filetype to Project Target (allows drag and drop of .bin files on program icon.
- Added Add/Remove buttons to the llaylist.
- Made the drawer 10 pixels smaller. Looks much better.
- added a volume slider.

------------------------------------------------------------------------
r3225 | massiot | 2003-01-16 15:08:39 +0100 (Thu, 16 Jan 2003) | 5 lines
Changed paths:
   M /trunk/modules/codec/mpeg_audio.c
   M /trunk/src/audio_output/intf.c

* modules/codec/mpeg_audio.c: attempt at fixing free-bitrate mp3, though
  I do not have any file to test ; more precise PTS handling when losing
  sync.
* src/audio_output/intf.c: fixed a warning.

------------------------------------------------------------------------
r3226 | sam | 2003-01-16 15:34:55 +0100 (Thu, 16 Jan 2003) | 2 lines
Changed paths:
   M /trunk/configure.ac.in
   D /trunk/po/se.po
   A /trunk/po/sv.po

  * ./po/sv.po: Swedish is now sv, not se. Thanks yvounet.

------------------------------------------------------------------------
r3227 | yves | 2003-01-16 15:39:22 +0100 (Thu, 16 Jan 2003) | 3 lines
Changed paths:
   M /trunk/vlc.spec

* codec/mad plugin is replaced by audio_filter/mpgatofixed32.
* new demux/m4v and mux/avi plugins

------------------------------------------------------------------------
r3228 | massiot | 2003-01-16 15:40:04 +0100 (Thu, 16 Jan 2003) | 2 lines
Changed paths:
   M /trunk/src/misc/darwin_specific.m

Swedish is now sv, not se. Thanks yvounet. (c)

------------------------------------------------------------------------
r3229 | titer | 2003-01-16 16:26:23 +0100 (Thu, 16 Jan 2003) | 3 lines
Changed paths:
   M /trunk/modules/gui/beos/InterfaceWindow.cpp
   M /trunk/modules/gui/beos/PreferencesWindow.cpp
   M /trunk/modules/gui/beos/PreferencesWindow.h

 * InterfaceWindow.cpp : fixed DVD drag & drop
 * PreferencesWindow.* : added the possibility not to use DVD menus

------------------------------------------------------------------------
r3230 | lool | 2003-01-16 21:08:00 +0100 (Thu, 16 Jan 2003) | 2 lines
Changed paths:
   M /trunk/modules/control/rc/rc.c

  * typo

------------------------------------------------------------------------
r3231 | babal | 2003-01-16 22:14:23 +0100 (Thu, 16 Jan 2003) | 7 lines
Changed paths:
   M /trunk/configure.ac.in
   M /trunk/modules/demux/m3u.c
   M /trunk/po/fr.po
   M /trunk/src/audio_output/input.c

- input.c : doesn't even try to use the headphone filter for
            unsupported format (S/PDIF, ...)
- m3u.c : support for MRLs
          better detection of absolute path under Windows
- configure.ac.in : off_t was defined twice for mingw32
- fr.po : translation of headphone filter strings

------------------------------------------------------------------------
r3232 | massiot | 2003-01-17 00:00:47 +0100 (Fri, 17 Jan 2003) | 6 lines
Changed paths:
   M /trunk/configure.ac.in
   M /trunk/extras/MacOSX/Resources/English.lproj/MainMenu.nib/info.nib
   M /trunk/extras/MacOSX/Resources/English.lproj/MainMenu.nib/objects.nib
   M /trunk/extras/MacOSX/vlc.pbproj/project.pbxproj
   M /trunk/modules/access/dvd/ifo.c
   M /trunk/modules/gui/macosx/prefs.m
   M /trunk/po/de.po
   M /trunk/po/en_GB.po
   M /trunk/po/fr.po
   M /trunk/po/it.po
   M /trunk/po/ja.po
   M /trunk/po/nl.po
   M /trunk/po/no.po
   M /trunk/po/pl.po
   M /trunk/po/ru.po
   M /trunk/po/sv.po
   M /trunk/po/vlc.pot

* Bumped up revision number to 0.5.0-test3,
* Rearranged fields in the OS X interface to accomodate for translations,
* modules/access/dvd/ifo.c: fixed a crash with bad streams,
* Auto-updated po files,
* Manually updated fr.po.

------------------------------------------------------------------------
r3233 | lool | 2003-01-17 00:25:55 +0100 (Fri, 17 Jan 2003) | 9 lines
Changed paths:
   M /trunk/configure.ac.in
   M /trunk/include/input_ext-intf.h
   M /trunk/modules/access/Modules.am
   M /trunk/modules/access/slp.c

  * configure.ac.in:
    . renamed access_slp to slp
    . slp is enabled by default if slp.h is present
  * modules/access/slp.c:
    . slp is now an access and a demux and forces the use of itself
    . cleanups and bug corrections
    . disappears of the playlist
      Thanks to fenrir for the help in debugging!

------------------------------------------------------------------------
r3234 | babal | 2003-01-17 00:33:20 +0100 (Fri, 17 Jan 2003) | 2 lines
Changed paths:
   M /trunk/configure.ac.in

- my previous fix was a bad fix :(

------------------------------------------------------------------------
r3235 | sam | 2003-01-17 00:37:59 +0100 (Fri, 17 Jan 2003) | 2 lines
Changed paths:
   M /trunk/Makefile.am

  * ./Makefile.am: fixed distribution of MSVC files.

------------------------------------------------------------------------
r3236 | sam | 2003-01-17 14:54:11 +0100 (Fri, 17 Jan 2003) | 3 lines
Changed paths:
   M /trunk/modules/codec/spudec/parse.c

  * ./modules/codec/spudec/parse.c: fixed a wrapping issue in the subtitle date
    calculation in slow-mo.

------------------------------------------------------------------------
r3237 | lool | 2003-01-17 15:51:09 +0100 (Fri, 17 Jan 2003) | 2 lines
Changed paths:
   M /trunk/modules/access/slp.c

  * added missing static

------------------------------------------------------------------------
r3238 | fenrir | 2003-01-17 16:26:24 +0100 (Fri, 17 Jan 2003) | 5 lines
Changed paths:
   M /trunk/modules/mux/mpeg/pes.c
   M /trunk/modules/packetizer/mpeg4video.c
   M /trunk/src/stream_output/stream_output.c

 * all: use p_vlc->pf_memcpy instead of memcpy on big data block.
 * mpeg4video: removed a bad code dealing with pts discontinuity.
 * pes.c: try to avoid copying the whole  PES. (the first 64ko
ins't any more copied :)

------------------------------------------------------------------------
r3239 | sam | 2003-01-17 17:18:03 +0100 (Fri, 17 Jan 2003) | 4 lines
Changed paths:
   M /trunk/modules/video_filter/adjust.c
   M /trunk/modules/video_filter/clone.c
   M /trunk/modules/video_filter/crop.c
   M /trunk/modules/video_filter/deinterlace/deinterlace.c
   M /trunk/modules/video_filter/distort.c
   M /trunk/modules/video_filter/filter_common.h
   M /trunk/modules/video_filter/invert.c
   M /trunk/modules/video_filter/motionblur.c
   M /trunk/modules/video_filter/transform.c
   M /trunk/modules/video_filter/wall.c

  * ./modules/video_filter/**/*.c: mouse clicks and keyboard events are now
    sent to the parent video output by all filters, and mouse coordinates are
    translated when necessary (Closes: #15).

------------------------------------------------------------------------
r3240 | massiot | 2003-01-17 18:22:22 +0100 (Fri, 17 Jan 2003) | 2 lines
Changed paths:
   M /trunk/doc/fortunes.txt

.

------------------------------------------------------------------------
r3241 | jpsaman | 2003-01-17 19:19:11 +0100 (Fri, 17 Jan 2003) | 2 lines
Changed paths:
   M /trunk/ipkg/rules.gpe
   M /trunk/modules/gui/familiar/familiar.c

Updating slider only once a second now.

------------------------------------------------------------------------
r3242 | titer | 2003-01-17 19:19:43 +0100 (Fri, 17 Jan 2003) | 2 lines
Changed paths:
   M /trunk/modules/gui/beos/InterfaceWindow.cpp
   M /trunk/modules/gui/beos/PreferencesWindow.cpp
   M /trunk/modules/gui/beos/PreferencesWindow.h
   M /trunk/modules/gui/beos/VlcWrapper.cpp
   M /trunk/modules/gui/beos/VlcWrapper.h

 Fixed the 'Do not use DVD menus' check box.

------------------------------------------------------------------------
r3243 | sam | 2003-01-17 20:17:09 +0100 (Fri, 17 Jan 2003) | 4 lines
Changed paths:
   M /trunk/modules/gui/gtk/gtk_callbacks.c
   M /trunk/modules/gui/gtk/menu.c

  * ./modules/gui/gtk/gtk_callbacks.c, ./modules/gui/gtk/menu.c: added a lot
    of boundary checks in the handling of title/chapter menus. Title 0 is no
    longer reachable (Closes: #26).

------------------------------------------------------------------------
r3244 | sam | 2003-01-17 20:22:21 +0100 (Fri, 17 Jan 2003) | 2 lines
Changed paths:
   M /trunk/modules/control/rc/rc.c

  * ./modules/control/rc/rc.c: boundary checks for chapter navigation.

------------------------------------------------------------------------
r3245 | sam | 2003-01-17 20:35:22 +0100 (Fri, 17 Jan 2003) | 3 lines
Changed paths:
   M /trunk/modules/gui/win32/mainframe.cpp
   M /trunk/modules/gui/win32/menu.cpp

  * ./modules/gui/win32/mainframe.cpp, ./modules/gui/win32/menu.cpp: applied
    navigation fixes from the Gtk+ interface.

------------------------------------------------------------------------
r3246 | sam | 2003-01-17 20:36:53 +0100 (Fri, 17 Jan 2003) | 2 lines
Changed paths:
   M /trunk/modules/gui/ncurses/ncurses.c

  * ./modules/gui/ncurses/ncurses.c: added locks and checks in navigation code.

------------------------------------------------------------------------
r3247 | hartman | 2003-01-17 22:46:04 +0100 (Fri, 17 Jan 2003) | 2 lines
Changed paths:
   M /trunk/modules/gui/macosx/controls.m

* ./modules/gui/macosx/controls.m: made the fullscreen command work, even if the videowindow is not the frontmost window

------------------------------------------------------------------------
r3248 | sam | 2003-01-18 00:59:18 +0100 (Sat, 18 Jan 2003) | 3 lines
Changed paths:
   M /trunk/modules/audio_output/alsa.c

  * ./modules/audio_output/alsa.c: updated requirements to 0.9.0beta10a in
    the source comments.

------------------------------------------------------------------------
r3249 | hartman | 2003-01-18 05:10:58 +0100 (Sat, 18 Jan 2003) | 4 lines
Changed paths:
   M /trunk/modules/gui/macosx/open.m

* ./modules/gui/macosx/open.m:
  - Removed the pretty animation. Wasn't working. This looks better.
  - fixed a potential memory problem

------------------------------------------------------------------------
r3250 | hartman | 2003-01-18 05:57:08 +0100 (Sat, 18 Jan 2003) | 3 lines
Changed paths:
   M /trunk/modules/gui/macosx/open.m

* ./modules/gui/macosx/open.m
  - .bin files are now opened as disks, instead of as files

------------------------------------------------------------------------
r3251 | massiot | 2003-01-18 14:24:44 +0100 (Sat, 18 Jan 2003) | 2 lines
Changed paths:
   M /trunk/Makefile.am
   M /trunk/include/darwin_specific.h
   M /trunk/modules/codec/spudec/spudec.c

Including font-eutopiabold36.rle for DivX and ogg subtitles.

------------------------------------------------------------------------
r3252 | alexis | 2003-01-18 21:24:33 +0100 (Sat, 18 Jan 2003) | 2 lines
Changed paths:
   M /trunk/doc/developer/audio_output.xml

Compilation fix

------------------------------------------------------------------------
r3253 | sam | 2003-01-19 04:16:24 +0100 (Sun, 19 Jan 2003) | 4 lines
Changed paths:
   M /trunk/include/beos_specific.h
   M /trunk/include/darwin_specific.h
   M /trunk/include/main.h
   M /trunk/include/modules.h
   M /trunk/include/modules_inner.h
   M /trunk/modules/codec/spudec/spudec.c
   M /trunk/src/libvlc.c
   M /trunk/src/misc/beos_specific.cpp
   M /trunk/src/misc/darwin_specific.m
   M /trunk/src/misc/modules.c
   M /trunk/src/misc/win32_specific.c
   M /trunk/src/video_output/video_text.c

  * ./src/misc/beos_specific.cpp, ./src/misc/darwin_specific.m: removed
    the GetProgramPath call, stored the path in p_libvlc instead. Fixes
    compilation under anything other than OS X.

------------------------------------------------------------------------
r3254 | fenrir | 2003-01-19 09:27:28 +0100 (Sun, 19 Jan 2003) | 2 lines
Changed paths:
   M /trunk/modules/packetizer/copy.c
   M /trunk/modules/packetizer/mpeg4video.c
   M /trunk/modules/packetizer/mpegvideo.c

 * all: change the way fourcc are stored in bitmapinfoheader.

------------------------------------------------------------------------
r3255 | fenrir | 2003-01-19 09:28:02 +0100 (Sun, 19 Jan 2003) | 2 lines
Changed paths:
   M /trunk/modules/mux/avi.c

 * avi.c : proper way to store fourcc.

------------------------------------------------------------------------
r3256 | massiot | 2003-01-19 17:57:32 +0100 (Sun, 19 Jan 2003) | 2 lines
Changed paths:
   M /trunk/modules/demux/avi/avi.c

Requalified some error messages into warnings.

------------------------------------------------------------------------
r3257 | ipkiss | 2003-01-19 18:55:18 +0100 (Sun, 19 Jan 2003) | 2 lines
Changed paths:
   M /trunk/modules/gui/win32/menu.cpp

 * Compilation fix

------------------------------------------------------------------------
r3258 | jpsaman | 2003-01-19 23:16:13 +0100 (Sun, 19 Jan 2003) | 2 lines
Changed paths:
   M /trunk/configure.ac.in
   M /trunk/ipkg/control
   M /trunk/ipkg/control.gpe
   M /trunk/ipkg/control.opie
   M /trunk/ipkg/rules
   M /trunk/ipkg/rules.gpe
   M /trunk/ipkg/rules.opie
   M /trunk/modules/misc/Modules.am
   A /trunk/modules/misc/qte_main.cpp
   M /trunk/modules/video_output/qte/qte.cpp
   M /trunk/modules/video_output/qte/qte.h

New "qte_main" module. It should be used by all plugins/modules that need QT embedded. Also ported modules/qte/qte.{cpp,h} to use it.

------------------------------------------------------------------------
r3259 | hartman | 2003-01-20 01:23:45 +0100 (Mon, 20 Jan 2003) | 2 lines
Changed paths:
   M /trunk/modules/gui/macosx/vout.m

* ./modules/gui/macosx/vout.m: Fixed the play/pause key shortcut.

------------------------------------------------------------------------
r3260 | fenrir | 2003-01-20 03:15:08 +0100 (Mon, 20 Jan 2003) | 2 lines
Changed paths:
   M /trunk/modules/packetizer/mpegvideo.c

 * mpegvideo.c : fix dts generation for non-progressive stream.

------------------------------------------------------------------------
r3261 | fenrir | 2003-01-20 03:19:56 +0100 (Mon, 20 Jan 2003) | 2 lines
Changed paths:
   M /trunk/modules/packetizer/mpegvideo.c

 * mpegvideo.c : raah, removed a debug message...

------------------------------------------------------------------------
r3262 | titer | 2003-01-20 03:45:25 +0100 (Mon, 20 Jan 2003) | 3 lines
Changed paths:
   M /trunk/modules/codec/spudec/spudec.c

  load correctly font-eutopiabold36.rle on BeOS, thanks to sam & Meuuh
 previous commits (closes #100)

------------------------------------------------------------------------
r3263 | hartman | 2003-01-20 04:45:06 +0100 (Mon, 20 Jan 2003) | 6 lines
Changed paths:
   M /trunk/extras/MacOSX/Resources/English.lproj/MainMenu.nib/classes.nib
   M /trunk/extras/MacOSX/Resources/English.lproj/MainMenu.nib/info.nib
   M /trunk/extras/MacOSX/Resources/English.lproj/MainMenu.nib/objects.nib
   M /trunk/extras/MacOSX/vlc.pbproj/project.pbxproj
   M /trunk/modules/gui/macosx/intf.m
   M /trunk/modules/gui/macosx/open.h
   M /trunk/modules/gui/macosx/open.m
   M /trunk/modules/gui/macosx/playlist.h
   M /trunk/modules/gui/macosx/playlist.m

* ./extras/MacOSX/vlc.pbproj/project.pbxproj
  - Added .cue and .ogg to the known filetypes
ALL:
  - When files are added they are not automatically played anymore. They are always queue'ed and optionally played.
  - Preliminary divx filesubtitle support.

------------------------------------------------------------------------
r3264 | massiot | 2003-01-20 11:59:29 +0100 (Mon, 20 Jan 2003) | 2 lines
Changed paths:
   M /trunk/modules/audio_filter/converter/mpgatofixed32.c
   M /trunk/modules/audio_output/oss.c
   M /trunk/src/audio_output/common.c
   M /trunk/src/audio_output/output.c

Fixed a dozen bugs regarding mono audio files.

------------------------------------------------------------------------
r3265 | fenrir | 2003-01-20 14:01:53 +0100 (Mon, 20 Jan 2003) | 2 lines
Changed paths:
   M /trunk/modules/demux/avi/avi.c
   M /trunk/modules/demux/avi/libavi.c

 * all: changed some msg_Err into msg_Warn.

------------------------------------------------------------------------
r3266 | fenrir | 2003-01-20 14:03:03 +0100 (Mon, 20 Jan 2003) | 2 lines
Changed paths:
   M /trunk/modules/demux/aac/demux.c

 * aac: some msg_Err -> msg_Warn

------------------------------------------------------------------------
r3267 | fenrir | 2003-01-20 14:04:03 +0100 (Mon, 20 Jan 2003) | 2 lines
Changed paths:
   M /trunk/modules/demux/asf/asf.c

 * asf : more msg_Err -> msg_Warn

------------------------------------------------------------------------
r3268 | fenrir | 2003-01-20 14:06:34 +0100 (Mon, 20 Jan 2003) | 2 lines
Changed paths:
   M /trunk/modules/demux/mpeg/audio.c
   M /trunk/modules/demux/mpeg/m4v.c

 * all: converted some msg_Err into msg_Warn

------------------------------------------------------------------------
r3269 | massiot | 2003-01-20 18:52:26 +0100 (Mon, 20 Jan 2003) | 2 lines
Changed paths:
   M /trunk/modules/audio_filter/converter/mpgatofixed32.c

Used macro instead of hand-made code.

------------------------------------------------------------------------
r3270 | fenrir | 2003-01-20 21:07:07 +0100 (Mon, 20 Jan 2003) | 3 lines
Changed paths:
   M /trunk/modules/gui/gtk/common.h
   M /trunk/modules/gui/gtk/display.c
   M /trunk/modules/gui/gtk/gnome.c
   M /trunk/modules/gui/gtk/gnome.glade
   M /trunk/modules/gui/gtk/gnome_interface.c
   M /trunk/modules/gui/gtk/gtk.c
   M /trunk/modules/gui/gtk/gtk.glade
   M /trunk/modules/gui/gtk/gtk_callbacks.c
   M /trunk/modules/gui/gtk/gtk_callbacks.h
   M /trunk/modules/gui/gtk/gtk_interface.c
   M /trunk/modules/gui/gtk/gtk_support.h
   M /trunk/modules/gui/gtk/menu.c

 * all: begin to up to date the gtk/gnome interface. All comments are
welcome, and please reports bugs :)

------------------------------------------------------------------------
r3271 | yves | 2003-01-20 21:17:00 +0100 (Mon, 20 Jan 2003) | 5 lines
Changed paths:
   M /trunk/vlc.spec

- new access/slp plugin.
- more buildfor_{rh80,mdk{82,90}} stuff.
- use %%mklibname macro.
- use %%clean_menus in postun instead of %%update_menus everywhere.

------------------------------------------------------------------------
r3272 | jlj | 2003-01-21 01:47:43 +0100 (Tue, 21 Jan 2003) | 4 lines
Changed paths:
   M /trunk/modules/gui/macosx/aout.m
   A /trunk/modules/gui/macosx/misc.h
   A /trunk/modules/gui/macosx/misc.m

  * ./modules/gui/macosx/aout.m: output more debug info
  * ./modules/gui/macosx/misc.[mh]: MPSlider, iTunes-like slider:
    http://nanocrew.net/vlc/mpslider.png

------------------------------------------------------------------------
r3273 | massiot | 2003-01-21 11:29:12 +0100 (Tue, 21 Jan 2003) | 3 lines
Changed paths:
   M /trunk/src/audio_output/filters.c
   M /trunk/src/audio_output/intf.c

Fixed two major bugs in the audio output, triggering segfault when going
to mono mode, and probably at some other places.

------------------------------------------------------------------------
r3274 | hartman | 2003-01-21 13:01:43 +0100 (Tue, 21 Jan 2003) | 2 lines
Changed paths:
   M /trunk/extras/MacOSX/Resources/English.lproj/MainMenu.nib/objects.nib
   A /trunk/extras/MacOSX/Resources/slow.png

* Added an 'slowmotion' icon

------------------------------------------------------------------------
r3275 | hartman | 2003-01-21 13:23:37 +0100 (Tue, 21 Jan 2003) | 3 lines
Changed paths:
   M /trunk/extras/MacOSX/Resources/English.lproj/MainMenu.nib/info.nib
   M /trunk/extras/MacOSX/Resources/vlc_hg.png
   M /trunk/extras/MacOSX/vlc.pbproj/project.pbxproj

ALL: The addition of a volume slider required a small redesign of the
     interface. David Weber was again kind enough to help us.

------------------------------------------------------------------------
r3276 | fenrir | 2003-01-21 13:36:11 +0100 (Tue, 21 Jan 2003) | 2 lines
Changed paths:
   M /trunk/modules/gui/gtk/gnome.glade
   M /trunk/modules/gui/gtk/gnome_callbacks.c
   M /trunk/modules/gui/gtk/gnome_callbacks.h
   M /trunk/modules/gui/gtk/gnome_interface.c
   M /trunk/modules/gui/gtk/gtk.glade
   M /trunk/modules/gui/gtk/gtk_callbacks.c
   M /trunk/modules/gui/gtk/gtk_callbacks.h
   M /trunk/modules/gui/gtk/gtk_interface.c
   M /trunk/modules/gui/gtk/open.c

 * gui/gtk : added a subtitle option in open dialog box.

------------------------------------------------------------------------
r3277 | hartman | 2003-01-21 15:15:05 +0100 (Tue, 21 Jan 2003) | 3 lines
Changed paths:
   M /trunk/src/input/input_ext-intf.c

* ./src/input/input_ext_intf.c
  - FASTER and SLOWER now take into account the current rate.

------------------------------------------------------------------------
r3278 | hartman | 2003-01-21 15:26:54 +0100 (Tue, 21 Jan 2003) | 2 lines
Changed paths:
   M /trunk/extras/MacOSX/Resources/English.lproj/MainMenu.nib/info.nib
   M /trunk/extras/MacOSX/Resources/English.lproj/MainMenu.nib/objects.nib

ALL: fixed my previous osx interface commit. had forgotten to save the files.

------------------------------------------------------------------------
r3279 | fenrir | 2003-01-21 17:46:17 +0100 (Tue, 21 Jan 2003) | 3 lines
Changed paths:
   M /trunk/modules/demux/util/sub.c

 * sub.c: fixed handling for subrip subtitle with \r\n instead of \n and
added some sanity checks.

------------------------------------------------------------------------
r3280 | fenrir | 2003-01-21 18:00:41 +0100 (Tue, 21 Jan 2003) | 2 lines
Changed paths:
   M /trunk/modules/gui/gtk/gnome.glade
   M /trunk/modules/gui/gtk/gnome_callbacks.c
   M /trunk/modules/gui/gtk/gnome_callbacks.h
   M /trunk/modules/gui/gtk/gnome_interface.c
   M /trunk/modules/gui/gtk/gtk.glade
   M /trunk/modules/gui/gtk/gtk_interface.c
   M /trunk/modules/gui/gtk/open.c

 * added "use DVD menu" choice.

------------------------------------------------------------------------
r3281 | hartman | 2003-01-21 18:08:16 +0100 (Tue, 21 Jan 2003) | 2 lines
Changed paths:
   M /trunk/modules/gui/macosx/intf.h
   M /trunk/modules/gui/macosx/intf.m

ALL: the slider updates the video while it slides.

------------------------------------------------------------------------
r3282 | lool | 2003-01-21 18:34:03 +0100 (Tue, 21 Jan 2003) | 4 lines
Changed paths:
   M /trunk/modules/access/slp.c

  * now search all srvtypes and add all srvs of all srvtypes to the
    playlist (requires less configuration information, now zero)
  * usual cleanup and bug removal

------------------------------------------------------------------------
r3283 | lool | 2003-01-21 19:43:54 +0100 (Tue, 21 Jan 2003) | 2 lines
Changed paths:
   M /trunk/modules/misc/sap.c

  * added a couple of malloc() checks

------------------------------------------------------------------------
r3284 | ipkiss | 2003-01-21 20:49:09 +0100 (Tue, 21 Jan 2003) | 2 lines
Changed paths:
   M /trunk/modules/gui/win32/mainframe.cpp
   M /trunk/modules/gui/win32/mainframe.dfm
   M /trunk/modules/gui/win32/mainframe.h
   A /trunk/modules/gui/win32/sout.cpp
   A /trunk/modules/gui/win32/sout.dfm
   A /trunk/modules/gui/win32/sout.h
   M /trunk/modules/gui/win32/win32.bpf
   M /trunk/modules/gui/win32/win32.bpr

 * Added a dialog box for the stream output

------------------------------------------------------------------------
r3285 | lool | 2003-01-21 22:19:36 +0100 (Tue, 21 Jan 2003) | 3 lines
Changed paths:
   M /trunk/modules/access/slp.c

  * use of service attributes to get the name of the session, insert it in
    the playlist

------------------------------------------------------------------------
r3286 | ipkiss | 2003-01-21 22:20:54 +0100 (Tue, 21 Jan 2003) | 3 lines
Changed paths:
   M /trunk/modules/gui/win32/mainframe.cpp
   M /trunk/modules/gui/win32/mainframe.h
   M /trunk/modules/gui/win32/playlist.cpp
   M /trunk/modules/gui/win32/playlist.h
   M /trunk/modules/gui/win32/win32.cpp

 * Dropped files and files added using the playlist are now enqueued
   according to the "enqueue" config option

------------------------------------------------------------------------
r3287 | fenrir | 2003-01-22 01:32:32 +0100 (Wed, 22 Jan 2003) | 2 lines
Changed paths:
   M /trunk/modules/gui/gtk/menu.c

 * gtk: fixed a segfault with deinterlace.

------------------------------------------------------------------------
r3288 | titer | 2003-01-22 02:13:22 +0100 (Wed, 22 Jan 2003) | 3 lines
Changed paths:
   M /trunk/modules/gui/beos/InterfaceWindow.cpp
   M /trunk/modules/gui/beos/InterfaceWindow.h
   M /trunk/modules/gui/beos/ListViews.cpp
   M /trunk/modules/gui/beos/ListViews.h
   M /trunk/modules/gui/beos/MediaControlView.cpp
   M /trunk/modules/gui/beos/PlayListWindow.cpp
   M /trunk/modules/gui/beos/VlcWrapper.cpp
   M /trunk/modules/gui/beos/VlcWrapper.h

 * Fixed title / chapter menus
 * Clean up

------------------------------------------------------------------------
r3289 | lool | 2003-01-22 02:40:19 +0100 (Wed, 22 Jan 2003) | 3 lines
Changed paths:
   M /trunk/configure.ac.in

  * added --with-slp
  * now works under win32

------------------------------------------------------------------------
r3290 | hartman | 2003-01-22 02:48:06 +0100 (Wed, 22 Jan 2003) | 8 lines
Changed paths:
   M /trunk/extras/MacOSX/Resources/English.lproj/MainMenu.nib/classes.nib
   M /trunk/extras/MacOSX/Resources/English.lproj/MainMenu.nib/objects.nib
   M /trunk/extras/MacOSX/vlc.pbproj/project.pbxproj
   M /trunk/modules/gui/macosx/controls.m
   M /trunk/modules/gui/macosx/intf.h
   M /trunk/modules/gui/macosx/intf.m
   M /trunk/modules/gui/macosx/vout.m

* ./extras/MacOSX/vlc.pbproj/project.pbxproj: Added .mp3, .m3u and .mov
  filetypes.
* ./modules/gui/macosx/vout.m: Made the video window a textured window
* All:
  - fixed several missing object_release bugs, that i had introduced.
  - updated the play/pause behaviour.
  - fixed an issue with the volumeslider.

------------------------------------------------------------------------
r3291 | hartman | 2003-01-22 03:39:33 +0100 (Wed, 22 Jan 2003) | 2 lines
Changed paths:
   M /trunk/modules/gui/macosx/intf.m

ALL: fixed a small bug in the timeslider code

------------------------------------------------------------------------
r3292 | fenrir | 2003-01-22 05:51:16 +0100 (Wed, 22 Jan 2003) | 2 lines
Changed paths:
   M /trunk/modules/packetizer/mpegvideo.c

 * fixed my last fix about bug with non-progressive videos.

------------------------------------------------------------------------
r3293 | massiot | 2003-01-22 10:54:29 +0100 (Wed, 22 Jan 2003) | 3 lines
Changed paths:
   M /trunk/configure.ac.in
   M /trunk/modules/audio_filter/converter/a52tofloat32.c
   M /trunk/src/audio_output/output.c

* configure.ac.in: Re-added a52sys module, which was lost somewhere...
* Fixed bugs regarding Dolby Surround downmixing.

------------------------------------------------------------------------
r3294 | massiot | 2003-01-22 11:03:17 +0100 (Wed, 22 Jan 2003) | 2 lines
Changed paths:
   M /trunk/FAQ

1.12 How do I join an IPv6 multicast stream?

------------------------------------------------------------------------
r3295 | fenrir | 2003-01-22 11:41:57 +0100 (Wed, 22 Jan 2003) | 2 lines
Changed paths:
   A /trunk/include/encoder.h
   A /trunk/modules/encoder
   A /trunk/modules/encoder/Modules.am
   A /trunk/modules/encoder/ffmpeg
   A /trunk/modules/encoder/ffmpeg/Modules.am
   A /trunk/modules/encoder/ffmpeg/audio.c
   A /trunk/modules/encoder/ffmpeg/encoder.c
   A /trunk/modules/encoder/ffmpeg/video.c
   A /trunk/modules/encoder/xvid.c
   A /trunk/modules/video_output/encoder.c

 * added file needed for video transcoding with vlc.

------------------------------------------------------------------------
r3296 | fenrir | 2003-01-22 11:44:50 +0100 (Wed, 22 Jan 2003) | 2 lines
Changed paths:
   M /trunk/Makefile.am
   M /trunk/modules/Makefile.am
   M /trunk/modules/video_output/Modules.am
   M /trunk/src/input/input_dec.c
   M /trunk/src/libvlc.h
   M /trunk/src/video_output/video_output.c
   M /trunk/src/video_output/vout_pictures.c

 * all: modified files for video transcoding. Still needed configure.ac.in

------------------------------------------------------------------------
r3297 | fenrir | 2003-01-22 11:53:22 +0100 (Wed, 22 Jan 2003) | 2 lines
Changed paths:
   M /trunk/configure.ac.in

 * add vout_encoder, not yet the codec parts.

------------------------------------------------------------------------
r3298 | sam | 2003-01-22 13:25:59 +0100 (Wed, 22 Jan 2003) | 2 lines
Changed paths:
   M /trunk/configure.ac.in

  * ./configure.ac.in: fixed multiple static link issues with anal linkers.

------------------------------------------------------------------------
r3299 | massiot | 2003-01-22 16:16:02 +0100 (Wed, 22 Jan 2003) | 2 lines
Changed paths:
   M /trunk/include/vlc_config.h
   M /trunk/include/vlc_threads_funcs.h

Less aggressive debug message.

------------------------------------------------------------------------
r3300 | lool | 2003-01-22 17:16:27 +0100 (Wed, 22 Jan 2003) | 2 lines
Changed paths:
   M /trunk/modules/access/slp.c

  * modules/access/slp.c: #include <stdlib.h> because of a malloc

------------------------------------------------------------------------
r3301 | lool | 2003-01-22 17:41:15 +0100 (Wed, 22 Jan 2003) | 5 lines
Changed paths:
   M /trunk/modules/visualization/xosd/xosd.c

  * modules/visualization/xosd/xosd.c: fail if DISPLAY isn'y set or if
  xosd_init returns NULL
  * lib is initialized with configured font
  * more safety checks

------------------------------------------------------------------------
r3302 | sam | 2003-01-22 18:03:51 +0100 (Wed, 22 Jan 2003) | 3 lines
Changed paths:
   M /trunk/configure.ac.in

  * ./configure.ac.in: reverted one of my latest laughable changes. Fixes the
    detection of libdvdread.a, libdvdplay.a and libxvidcore.a. Sorry guys.

------------------------------------------------------------------------
r3303 | massiot | 2003-01-22 19:31:47 +0100 (Wed, 22 Jan 2003) | 2 lines
Changed paths:
   M /trunk/include/audio_output.h
   M /trunk/modules/audio_filter/channel_mixer/trivial.c
   M /trunk/modules/audio_filter/converter/a52tofloat32.c
   M /trunk/src/audio_output/common.c
   M /trunk/src/audio_output/output.c

Reverse stereo option.

------------------------------------------------------------------------
r3304 | lool | 2003-01-22 20:37:50 +0100 (Wed, 22 Jan 2003) | 3 lines
Changed paths:
   M /trunk/modules/visualization/xosd/xosd.c

  * modules/visualization/xosd/xosd.c: lower module capability when the
  DISPLAY environment variable is unset (gtk like behaviour)

------------------------------------------------------------------------
r3305 | ipkiss | 2003-01-22 22:42:51 +0100 (Wed, 22 Jan 2003) | 3 lines
Changed paths:
   M /trunk/modules/gui/win32/disc.cpp
   M /trunk/modules/gui/win32/mainframe.cpp
   M /trunk/modules/gui/win32/mainframe.dfm
   M /trunk/modules/gui/win32/mainframe.h
   M /trunk/modules/gui/win32/sout.cpp
   M /trunk/modules/gui/win32/sout.h
   A /trunk/modules/gui/win32/subtitles.cpp
   A /trunk/modules/gui/win32/subtitles.dfm
   A /trunk/modules/gui/win32/subtitles.h
   M /trunk/modules/gui/win32/win32.bpf
   M /trunk/modules/gui/win32/win32.bpr
   M /trunk/modules/gui/win32/win32.cpp

 * Added a dialog box for subtitles selection
 * Cosmetic here and there

------------------------------------------------------------------------
r3306 | sigmunau | 2003-01-22 23:19:29 +0100 (Wed, 22 Jan 2003) | 5 lines
Changed paths:
   M /trunk/src/libvlc.c
   M /trunk/src/libvlc.h

 added an new config variable that takes an comma separated list of
interface modules to be loaded in the background when vlc starts. This is
usefull for lirc, logger and xosd. Also got rid of the hacky way the sap
module was inserted, as this just needs to be added to this list now.

------------------------------------------------------------------------
r3307 | ipkiss | 2003-01-23 04:33:34 +0100 (Thu, 23 Jan 2003) | 6 lines
Changed paths:
   M /trunk/modules/gui/win32/mainframe.dfm
   M /trunk/modules/gui/win32/mainframe.h
   M /trunk/modules/gui/win32/menu.cpp
   M /trunk/modules/gui/win32/menu.h
   M /trunk/modules/gui/win32/sout.cpp
   M /trunk/modules/gui/win32/subtitles.dfm
   M /trunk/modules/gui/win32/win32.cpp

 * The stream output can't use PS with UDP
 * Added tooltips for the subtitles dialog box
 * Added a missing "delete"
 * Added a menu entry to spawn new interfaces (but it's currently
   disabled, due to a problem with the vlc_list_t struct)

------------------------------------------------------------------------
r3308 | babal | 2003-01-23 05:50:38 +0100 (Thu, 23 Jan 2003) | 3 lines
Changed paths:
   M /trunk/modules/gui/win32/preferences.cpp
   M /trunk/modules/gui/win32/preferences.h

- allow the user to choose (and sort) several plugins for the same
  category.

------------------------------------------------------------------------
r3309 | fenrir | 2003-01-23 10:00:36 +0100 (Thu, 23 Jan 2003) | 2 lines
Changed paths:
   M /trunk/modules/demux/m3u.c
   M /trunk/modules/demux/rawdv.c
   M /trunk/modules/demux/util/sub.c

 * demux: fix segfault while trying to opening files without extention...

------------------------------------------------------------------------
r3310 | gbazin | 2003-01-23 10:53:55 +0100 (Thu, 23 Jan 2003) | 6 lines
Changed paths:
   M /trunk/modules/control/rc/rc.c


* modules/control/rc/rc.c: Partial fix for the rc interface under win32. On win32, select() only works on
socket descriptors so we don't use it anymore on this platform. Right now we only do a blocking call to
read() although it should be possible to have a fully functionnal interface by using the PeekConsoleInput()
call (someone willing to investigate this ?).

------------------------------------------------------------------------
r3311 | sam | 2003-01-23 10:58:02 +0100 (Thu, 23 Jan 2003) | 3 lines
Changed paths:
   M /trunk/modules/access/dvdread/dvdread.c
   M /trunk/modules/access/dvdread/input.c

  * ./modules/access/dvdread/input.c: the dvdread plugin issues a warning
    instead of an error when it can't stat() the device (Closes: #77).

------------------------------------------------------------------------
r3312 | gbazin | 2003-01-23 11:25:40 +0100 (Thu, 23 Jan 2003) | 3 lines
Changed paths:
   M /trunk/modules/access/dvdread/input.c
   M /trunk/modules/control/rc/rc.c


* modules/access/dvdread/input.c, modules/control/rc/rc.c: fixed typos.

------------------------------------------------------------------------
r3313 | massiot | 2003-01-23 12:48:18 +0100 (Thu, 23 Jan 2003) | 5 lines
Changed paths:
   M /trunk/modules/audio_filter/channel_mixer/trivial.c
   M /trunk/modules/gui/macosx/open.m
   M /trunk/src/audio_output/output.c

* modules/gui/macosx/open.m: Stream output doesn't do UDP/PS,
* modules/audio_filter/channel_mixer/trivial.c: Fixed reverse stereo mode
  with MPEG files,
* src/audio_output/output.c: Fixed dual-mono handling.

------------------------------------------------------------------------
r3314 | fenrir | 2003-01-23 14:44:21 +0100 (Thu, 23 Jan 2003) | 3 lines
Changed paths:
   M /trunk/modules/demux/avi/avi.c

 * don't send audio in fast/slow playing speed unless there isn't any video
stream.

------------------------------------------------------------------------
r3315 | massiot | 2003-01-23 14:54:59 +0100 (Thu, 23 Jan 2003) | 2 lines
Changed paths:
   M /trunk/AUTHORS

Derk-Jan Hartman.

------------------------------------------------------------------------
r3316 | fenrir | 2003-01-23 16:07:20 +0100 (Thu, 23 Jan 2003) | 3 lines
Changed paths:
   M /trunk/modules/demux/asf/asf.c

 * asf: in fast/slow motion we don't play audio (unless there isn't any
video). Added some clean up.

------------------------------------------------------------------------
r3317 | sam | 2003-01-23 16:50:15 +0100 (Thu, 23 Jan 2003) | 3 lines
Changed paths:
   M /trunk/modules/access/dvdread/input.c

  * ./modules/access/dvdread/input.c: warning fixes and a consistency
    fix (ilvu_sa cannot be -1).

------------------------------------------------------------------------
r3318 | sam | 2003-01-23 16:52:04 +0100 (Thu, 23 Jan 2003) | 2 lines
Changed paths:
   M /trunk/modules/access/dvdread/input.h
   M /trunk/modules/access_output/udp.c
   M /trunk/modules/codec/mpeg_audio.c
   M /trunk/modules/codec/vorbis.c
   M /trunk/modules/demux/avi/avi.c
   M /trunk/modules/gui/gtk/menu.c
   M /trunk/modules/gui/gtk/playlist.c
   M /trunk/modules/packetizer/copy.c
   M /trunk/modules/packetizer/mpeg4audio.c
   M /trunk/modules/packetizer/mpeg4video.c
   M /trunk/modules/packetizer/mpegvideo.c

  * ./modules/*: warning fixes.

------------------------------------------------------------------------
r3319 | sam | 2003-01-23 16:53:10 +0100 (Thu, 23 Jan 2003) | 3 lines
Changed paths:
   M /trunk/modules/misc/network/ipv4.c

  * ./modules/misc/network/ipv4.c: we use INADDR_NONE instead of -1 (an old
    suggestion from lool).

------------------------------------------------------------------------
r3320 | ipkiss | 2003-01-23 17:17:59 +0100 (Thu, 23 Jan 2003) | 2 lines
Changed paths:
   M /trunk/modules/gui/win32/disc.cpp

 * use 'dvdold' instead of 'dvd'

------------------------------------------------------------------------
r3321 | massiot | 2003-01-23 18:13:28 +0100 (Thu, 23 Jan 2003) | 3 lines
Changed paths:
   M /trunk/include/aout_internal.h
   M /trunk/src/audio_output/common.c
   M /trunk/src/audio_output/mixer.c
   M /trunk/src/audio_output/output.c

Fixed a segfault with quitting when no audio output plug-in was found
(closes #108).

------------------------------------------------------------------------
r3322 | babal | 2003-01-23 18:18:45 +0100 (Thu, 23 Jan 2003) | 3 lines
Changed paths:
   M /trunk/modules/gui/win32/disc.cpp
   M /trunk/modules/gui/win32/disc.dfm

- menus disabled by default
- cosmetic changes

------------------------------------------------------------------------
r3323 | massiot | 2003-01-23 22:47:59 +0100 (Thu, 23 Jan 2003) | 4 lines
Changed paths:
   M /trunk/extras/MacOSX/Resources/English.lproj/MainMenu.nib/info.nib
   M /trunk/extras/MacOSX/Resources/English.lproj/MainMenu.nib/objects.nib
   M /trunk/modules/codec/mpeg_video/synchro.c
   M /trunk/modules/gui/macosx/intf.m
   M /trunk/modules/gui/macosx/open.h
   M /trunk/modules/gui/macosx/open.m

* Minor changes to the open panel, added AVI stream output option,
* modules/gui/macosx/open.m: "Open File" is back,
* modules/codec/mpeg_video/synchro.c: Fixed a counting bug.

------------------------------------------------------------------------
r3324 | hartman | 2003-01-23 23:25:32 +0100 (Thu, 23 Jan 2003) | 9 lines
Changed paths:
   M /trunk/modules/gui/macosx/controls.m
   M /trunk/modules/gui/macosx/intf.h
   M /trunk/modules/gui/macosx/intf.m
   M /trunk/modules/gui/macosx/open.m

* ./modules/gui/macosx/controls.m
  - changed the slower button into a slowmotion button
  - fixed a forgotten mutex_unlock
* ./modules/gui/macosx/intf.m
  - added the slowmotion button
  - some windows shouldn't register in the "Window" menu
* ./modules/gui/macosx/open.m
  - allow multiple file selection

------------------------------------------------------------------------
r3325 | hartman | 2003-01-23 23:39:30 +0100 (Thu, 23 Jan 2003) | 4 lines
Changed paths:
   M /trunk/extras/MacOSX/Resources/English.lproj/MainMenu.nib/classes.nib
   M /trunk/extras/MacOSX/Resources/English.lproj/MainMenu.nib/info.nib
   M /trunk/extras/MacOSX/Resources/English.lproj/MainMenu.nib/objects.nib
   M /trunk/modules/gui/macosx/open.m

ALL: - made some panels into windows.
     - made the background picture non editable (removes the text cursor)
     - added slowmotion button

------------------------------------------------------------------------
r3326 | hartman | 2003-01-23 23:57:28 +0100 (Thu, 23 Jan 2003) | 5 lines
Changed paths:
   M /trunk/extras/MacOSX/Resources/English.lproj/MainMenu.nib/objects.nib
   M /trunk/modules/gui/macosx/controls.m

* ./extras/MacOSX/Resources/English.lproj/MainMenu.nib/objects.nib
  - oops, i enlarged the timeslider by accident. fixed
* ./modules/gui/macosx/controls.m
  - fixed a mutex_lock issue

------------------------------------------------------------------------
r3327 | massiot | 2003-01-24 00:51:13 +0100 (Fri, 24 Jan 2003) | 5 lines
Changed paths:
   M /trunk/extras/MacOSX/Resources/English.lproj/MainMenu.nib/info.nib
   M /trunk/extras/MacOSX/Resources/English.lproj/MainMenu.nib/objects.nib
   M /trunk/include/vlc_threads.h
   M /trunk/modules/gui/macosx/vout.m
   M /trunk/modules/gui/win32/strings.cpp
   M /trunk/po/POTFILES.in
   M /trunk/po/de.po
   M /trunk/po/en_GB.po
   M /trunk/po/fr.po
   M /trunk/po/it.po
   M /trunk/po/ja.po
   M /trunk/po/nl.po
   M /trunk/po/no.po
   M /trunk/po/pl.po
   M /trunk/po/ru.po
   M /trunk/po/sv.po
   M /trunk/po/vlc.pot

* Resized elements in the open panel,
* modules/gui/macosx/vout.m: Only hide the menubar and cursor if fullscreen
  mode is on the primary screen,
* po/*: Updated po files.

------------------------------------------------------------------------
r3328 | gbazin | 2003-01-24 00:57:50 +0100 (Fri, 24 Jan 2003) | 7 lines
Changed paths:
   M /trunk/modules/gui/wxwindows/Modules.am
   M /trunk/modules/gui/wxwindows/interface.cpp
   A /trunk/modules/gui/wxwindows/open.cpp
   M /trunk/modules/gui/wxwindows/popup.cpp
   M /trunk/modules/gui/wxwindows/timer.cpp
   M /trunk/modules/gui/wxwindows/wxwindows.cpp
   M /trunk/modules/gui/wxwindows/wxwindows.h


* modules/gui/wxwindows/open.cpp: New "open dialog" that mimics the one from the gtk interface.
* modules/gui/wxwindows/popup.cpp: Started implementing the popup menu.
* modules/gui/wxwindows/interface.cpp: Got rid of the pause button. The play button now acts as a
play/pause button depending on the context.
* modules/gui/wxwindows/*: A few hacks needed to make the win32 version useable.

------------------------------------------------------------------------
r3329 | hartman | 2003-01-24 01:17:20 +0100 (Fri, 24 Jan 2003) | 2 lines
Changed paths:
   M /trunk/modules/gui/macosx/vout.m

* made a quick hack to create a resize bar. not sure if we should keep this.

------------------------------------------------------------------------
r3330 | hartman | 2003-01-24 01:53:41 +0100 (Fri, 24 Jan 2003) | 3 lines
Changed paths:
   M /trunk/modules/gui/macosx/controls.m

* the volume slider could only be dragged, not clicked. removed some
  useless code as well.

------------------------------------------------------------------------
r3331 | babal | 2003-01-24 01:57:51 +0100 (Fri, 24 Jan 2003) | 3 lines
Changed paths:
   M /trunk/modules/gui/win32/preferences.cpp

- added a NULL pointer test
- cosmetic changes

------------------------------------------------------------------------
r3332 | hartman | 2003-01-24 03:31:53 +0100 (Fri, 24 Jan 2003) | 5 lines
Changed paths:
   M /trunk/modules/gui/macosx/playlist.m

* when the playlist is selected and you push the spacebar we pause/play
  the movie. this makes the behaviour more consistent, though the solution
  is somewhat unclean. We should fix this on a higher level but i don't see
  how we could/should.

------------------------------------------------------------------------
r3333 | hartman | 2003-01-24 07:21:03 +0100 (Fri, 24 Jan 2003) | 3 lines
Changed paths:
   M /trunk/modules/gui/macosx/vout.m

* ./modules/gui/macosx/vout.m: the mousepointer is hidden in fullscreen view
  after 2 seconds.

------------------------------------------------------------------------
r3334 | titer | 2003-01-24 07:31:56 +0100 (Fri, 24 Jan 2003) | 4 lines
Changed paths:
   M /trunk/include/vlc_threads.h
   M /trunk/modules/gui/beos/DrawingTidbits.cpp
   M /trunk/modules/gui/beos/MediaControlView.cpp
   M /trunk/modules/gui/beos/VideoOutput.cpp
   M /trunk/src/misc/threads.c

 * vlc_threads.h: lower a priority that made sound choppy on not-so-fast
                  BeOS computers (closes #119)
 * others: removed old printf or unused code.

------------------------------------------------------------------------
r3335 | sam | 2003-01-24 13:01:03 +0100 (Fri, 24 Jan 2003) | 3 lines
Changed paths:
   M /trunk/INSTALL.win32
   M /trunk/configure.ac.in
   M /trunk/modules/gui/win32/Modules.am
   M /trunk/modules/gui/win32/menu.cpp
   M /trunk/modules/gui/win32/win32.cpp

  * ./configure.ac.in: removed the --with-bcbuilder flag.
  * ./INSTALL.win32: updated accordingly.

------------------------------------------------------------------------
r3336 | sam | 2003-01-24 15:13:00 +0100 (Fri, 24 Jan 2003) | 2 lines
Changed paths:
   M /trunk/doc/bugreport-howto.txt

  * ./doc/bugreport-howto.txt: minor updates.

------------------------------------------------------------------------
r3337 | hartman | 2003-01-24 15:34:53 +0100 (Fri, 24 Jan 2003) | 2 lines
Changed paths:
   M /trunk/extras/MacOSX/Resources/English.lproj/MainMenu.nib/info.nib

ALL: fixed the deinterlace menuitem

------------------------------------------------------------------------
r3338 | hartman | 2003-01-24 15:35:52 +0100 (Fri, 24 Jan 2003) | 3 lines
Changed paths:
   M /trunk/extras/MacOSX/Resources/English.lproj/MainMenu.nib/objects.nib

ALL: fixed the deinterlace menuiteM
cvS: ----------------------------------------------------------------------

------------------------------------------------------------------------
r3339 | hartman | 2003-01-24 17:19:15 +0100 (Fri, 24 Jan 2003) | 4 lines
Changed paths:
   M /trunk/modules/gui/macosx/controls.m
   M /trunk/modules/gui/macosx/intf.m

* code we migh use in the future to change the subfile we use.
  not very useful now because of the .avi requirement to start/stop before
  loading/displaying the subs.

------------------------------------------------------------------------
r3340 | hartman | 2003-01-24 19:25:14 +0100 (Fri, 24 Jan 2003) | 2 lines
Changed paths:
   M /trunk/include/vlc_config.h

* changed the CONFIG_DIR for Darwin into Library/Preferences/VLC

------------------------------------------------------------------------
r3341 | titer | 2003-01-25 02:03:44 +0100 (Sat, 25 Jan 2003) | 4 lines
Changed paths:
   M /trunk/modules/gui/beos/BeOS.cpp
   M /trunk/modules/gui/beos/InterfaceWindow.cpp
   M /trunk/modules/gui/beos/MediaControlView.cpp
   M /trunk/modules/gui/beos/MediaControlView.h

 * store windows sizes in the vlc configuration file
 * fixed an interface bug when launching a file from the command line
 * minor fixes or enhancements

------------------------------------------------------------------------
r3342 | fenrir | 2003-01-25 04:12:20 +0100 (Sat, 25 Jan 2003) | 4 lines
Changed paths:
   M /trunk/include/input_ext-plugins.h
   M /trunk/modules/demux/avi/avi.c
   M /trunk/src/input/input_dec.c
   M /trunk/src/input/input_ext-plugins.c

* avi: no more segfault when we have 'max buffer allocation reached'
* all: fixed(kludged ?) the fact that when we have a 'max buffer allocation reached'
we cannot send null packet to decoder.

------------------------------------------------------------------------
r3343 | hartman | 2003-01-25 13:00:38 +0100 (Sat, 25 Jan 2003) | 3 lines
Changed paths:
   M /trunk/extras/MacOSX/Resources/English.lproj/MainMenu.nib/info.nib
   M /trunk/extras/MacOSX/Resources/English.lproj/MainMenu.nib/objects.nib
   M /trunk/modules/gui/macosx/vout.m

* Reverted back to non metal windows as dictated by Apple's User Interface
  Guidelines. Only the controller window stays metallic.

------------------------------------------------------------------------
r3344 | hartman | 2003-01-25 13:42:13 +0100 (Sat, 25 Jan 2003) | 5 lines
Changed paths:
   M /trunk/README.MacOSX.rtf
   M /trunk/extras/MacOSX/vlc.pbproj/project.pbxproj

* README.MacOSX.rtf: Updated Readme for new release. Added section on
  subtitles and on bugreporting.
* extras/MacOSX/vlc.pbproj/project.pbxproj: Added .wmv, .asf, .ogm, .dv,
  .sub and .srt files.

------------------------------------------------------------------------
r3345 | fenrir | 2003-01-25 17:58:35 +0100 (Sat, 25 Jan 2003) | 2 lines
Changed paths:
   M /trunk/modules/demux/aac/demux.c
   M /trunk/modules/demux/asf/asf.c
   M /trunk/modules/demux/avi/avi.c
   M /trunk/modules/demux/avi/libavi.c
   M /trunk/modules/demux/avi/libavi.h
   M /trunk/modules/demux/demuxdump.c
   M /trunk/modules/demux/mp4/libmp4.c
   M /trunk/modules/demux/mp4/mp4.c
   M /trunk/modules/demux/wav/wav.c

 * all : fixed some memory leaks thanks valgrind.

------------------------------------------------------------------------
r3346 | fenrir | 2003-01-25 17:59:49 +0100 (Sat, 25 Jan 2003) | 2 lines
Changed paths:
   M /trunk/modules/codec/faad/decoder.c
   M /trunk/modules/codec/ffmpeg/audio.c
   M /trunk/modules/codec/ffmpeg/audio.h

 * ffmpeg: fixed memory leaks.

------------------------------------------------------------------------
r3347 | fenrir | 2003-01-25 18:21:40 +0100 (Sat, 25 Jan 2003) | 3 lines
Changed paths:
   M /trunk/modules/demux/mp4/mp4.c

 *mp4: fixed segfault when it fails to start a decoder and has specific
informations to send.

------------------------------------------------------------------------
r3348 | fenrir | 2003-01-25 18:57:36 +0100 (Sat, 25 Jan 2003) | 2 lines
Changed paths:
   M /trunk/modules/demux/avi/avi.c
   M /trunk/modules/demux/mp4/mp4.c

 * all: fixed wrong usage of input_DeletePES.

------------------------------------------------------------------------
r3349 | fenrir | 2003-01-25 19:09:30 +0100 (Sat, 25 Jan 2003) | 2 lines
Changed paths:
   M /trunk/modules/codec/faad/decoder.c
   M /trunk/modules/codec/faad/decoder.h

 * faad : clean up.

------------------------------------------------------------------------
r3350 | hartman | 2003-01-25 19:42:17 +0100 (Sat, 25 Jan 2003) | 6 lines
Changed paths:
   M /trunk/README.MacOSX.rtf
   M /trunk/extras/MacOSX/Resources/English.lproj/MainMenu.nib/classes.nib
   M /trunk/extras/MacOSX/Resources/English.lproj/MainMenu.nib/objects.nib
   M /trunk/extras/MacOSX/vlc.pbproj/project.pbxproj
   M /trunk/modules/gui/macosx/intf.h
   M /trunk/modules/gui/macosx/intf.m

* ./README.MacOSX.rtf: added two remarks on subtitle support.
* ./extras/MacOSX/vlc.pbroj/project.pbxproj
  - Added .wma filetype
  - Added README, COPYING etc. to resources
* ALL: Added a Help menu.

------------------------------------------------------------------------
r3351 | titer | 2003-01-25 21:15:41 +0100 (Sat, 25 Jan 2003) | 2 lines
Changed paths:
   M /trunk/modules/gui/beos/BeOS.cpp
   M /trunk/modules/gui/beos/Interface.cpp
   M /trunk/modules/gui/beos/InterfaceWindow.cpp
   M /trunk/modules/gui/beos/InterfaceWindow.h
   A /trunk/modules/gui/beos/MessagesWindow.cpp
   A /trunk/modules/gui/beos/MessagesWindow.h
   M /trunk/modules/gui/beos/Modules.am
   M /trunk/modules/gui/beos/MsgVals.h
   M /trunk/modules/gui/beos/PreferencesWindow.cpp
   M /trunk/modules/gui/beos/PreferencesWindow.h
   M /trunk/modules/gui/beos/VlcWrapper.h

 Added a window to see vlc messages.

------------------------------------------------------------------------
r3352 | hartman | 2003-01-25 22:34:45 +0100 (Sat, 25 Jan 2003) | 2 lines
Changed paths:
   M /trunk/extras/MacOSX/Resources/English.lproj/MainMenu.nib/info.nib
   M /trunk/extras/MacOSX/Resources/English.lproj/MainMenu.nib/objects.nib
   M /trunk/modules/gui/macosx/intf.m

* changed the bugreporting url

------------------------------------------------------------------------
r3353 | sam | 2003-01-26 01:51:43 +0100 (Sun, 26 Jan 2003) | 3 lines
Changed paths:
   M /trunk/modules/gui/win32/menu.cpp

  * ./modules/gui/win32/menu.cpp: fixed a crash in the navigation menu
    generation.

------------------------------------------------------------------------
r3354 | ipkiss | 2003-01-26 03:22:59 +0100 (Sun, 26 Jan 2003) | 5 lines
Changed paths:
   M /trunk/modules/gui/win32/mainframe.cpp
   M /trunk/modules/gui/win32/mainframe.dfm
   M /trunk/modules/gui/win32/mainframe.h
   M /trunk/modules/gui/win32/win32.cpp
   M /trunk/modules/video_output/directx/directx.c
   M /trunk/modules/video_output/directx/events.c

 * modules/video_output/directx: added a configuration variable and a
   "normal" one to set the vout window on top of ther windows
 * modules/gui/win32: the interface can use these variables
   (almost closes #84)

------------------------------------------------------------------------
r3355 | ipkiss | 2003-01-26 04:55:36 +0100 (Sun, 26 Jan 2003) | 4 lines
Changed paths:
   M /trunk/modules/gui/win32/about.dfm
   M /trunk/modules/gui/win32/about.h
   M /trunk/modules/gui/win32/disc.dfm
   M /trunk/modules/gui/win32/mainframe.dfm
   M /trunk/modules/gui/win32/messages.dfm
   M /trunk/modules/gui/win32/network.cpp
   M /trunk/modules/gui/win32/network.dfm
   M /trunk/modules/gui/win32/network.h
   M /trunk/modules/gui/win32/playlist.cpp
   M /trunk/modules/gui/win32/playlist.dfm
   M /trunk/modules/gui/win32/playlist.h
   M /trunk/modules/gui/win32/preferences.dfm
   M /trunk/modules/gui/win32/sout.cpp
   M /trunk/modules/gui/win32/sout.dfm
   M /trunk/modules/gui/win32/sout.h
   M /trunk/modules/gui/win32/subtitles.cpp
   M /trunk/modules/gui/win32/subtitles.dfm
   M /trunk/modules/gui/win32/subtitles.h

 * modules/gui/win32: replaced BitBtns with Buttons everywhere, and
   put "OK" and "Cancel" buttons in an horizontal layout.
   Also updated a few properties here and there.

------------------------------------------------------------------------
r3356 | titer | 2003-01-26 09:28:20 +0100 (Sun, 26 Jan 2003) | 2 lines
Changed paths:
   M /trunk/modules/gui/beos/MessagesWindow.cpp
   M /trunk/modules/gui/beos/MessagesWindow.h

 Added some colors.

------------------------------------------------------------------------
r3357 | gbazin | 2003-01-26 11:36:10 +0100 (Sun, 26 Jan 2003) | 4 lines
Changed paths:
   M /trunk/modules/gui/wxwindows/interface.cpp
   M /trunk/modules/gui/wxwindows/open.cpp
   M /trunk/modules/gui/wxwindows/popup.cpp
   M /trunk/modules/gui/wxwindows/timer.cpp


* modules/gui/wxwindows/*: Fixed the open dialog on win32.
    Better slider management in the main interface. Misc other small fixes.

------------------------------------------------------------------------
r3358 | fenrir | 2003-01-26 13:34:47 +0100 (Sun, 26 Jan 2003) | 2 lines
Changed paths:
   M /trunk/modules/demux/avi/avi.c

 * avi : fix play back for some broken avi

------------------------------------------------------------------------
r3359 | gbazin | 2003-01-26 14:37:09 +0100 (Sun, 26 Jan 2003) | 5 lines
Changed paths:
   M /trunk/modules/gui/wxwindows/interface.cpp
   M /trunk/src/audio_output/input.c
   M /trunk/src/audio_output/mixer.c


* src/audio_output/input.c, src/audio_output/mixer.c: Fixed an annoying bug in the mixer.
    (p_input->p_first_byte_to_mix sometimes need to be reset)
* modules/gui/wxwindows/interface.cpp: fixed the slider under wx-gtk.

------------------------------------------------------------------------
r3360 | fenrir | 2003-01-26 15:49:09 +0100 (Sun, 26 Jan 2003) | 2 lines
Changed paths:
   M /trunk/modules/gui/gtk/Modules.am
   M /trunk/modules/gui/gtk/common.h
   M /trunk/modules/gui/gtk/gnome.c
   M /trunk/modules/gui/gtk/gnome.glade
   M /trunk/modules/gui/gtk/gnome_callbacks.c
   M /trunk/modules/gui/gtk/gnome_callbacks.h
   M /trunk/modules/gui/gtk/gnome_interface.c
   M /trunk/modules/gui/gtk/gnome_interface.h
   M /trunk/modules/gui/gtk/gtk.c
   M /trunk/modules/gui/gtk/gtk.glade
   M /trunk/modules/gui/gtk/gtk_callbacks.c
   M /trunk/modules/gui/gtk/gtk_callbacks.h
   M /trunk/modules/gui/gtk/gtk_interface.c
   M /trunk/modules/gui/gtk/gtk_interface.h
   M /trunk/modules/gui/gtk/open.c
   A /trunk/modules/gui/gtk/sout.c

 * added stream output dialog box.

------------------------------------------------------------------------
r3361 | fenrir | 2003-01-26 15:52:12 +0100 (Sun, 26 Jan 2003) | 2 lines
Changed paths:
   M /trunk/modules/gui/gtk/gnome_callbacks.c
   M /trunk/modules/gui/gtk/gnome_callbacks.h

 * all: raah, clean up glade output.

------------------------------------------------------------------------
r3362 | hartman | 2003-01-26 15:53:08 +0100 (Sun, 26 Jan 2003) | 2 lines
Changed paths:
   M /trunk/modules/gui/macosx/open.h
   M /trunk/modules/gui/macosx/open.m

* Added myself to list of authors of these files. i had forgotten to do this.

------------------------------------------------------------------------
r3363 | gbazin | 2003-01-26 17:37:20 +0100 (Sun, 26 Jan 2003) | 3 lines
Changed paths:
   M /trunk/modules/audio_output/waveout.c


* modules/audio_output/waveout.c: multichannel and spdif support (spdif untested).

------------------------------------------------------------------------
r3364 | babal | 2003-01-26 19:02:01 +0100 (Sun, 26 Jan 2003) | 3 lines
Changed paths:
   M /trunk/modules/gui/win32/disc.dfm
   M /trunk/modules/gui/win32/disc.h
   M /trunk/modules/gui/win32/network.dfm
   M /trunk/modules/gui/win32/preferences.cpp
   M /trunk/modules/gui/win32/preferences.dfm
   M /trunk/modules/gui/win32/sout.dfm
   M /trunk/modules/gui/win32/subtitles.dfm

- buttons are left aligned and their size comforms to Windows XP visual
  guidelines

------------------------------------------------------------------------
r3365 | babal | 2003-01-26 19:31:07 +0100 (Sun, 26 Jan 2003) | 2 lines
Changed paths:
   M /trunk/modules/gui/win32/disc.cpp
   M /trunk/modules/gui/win32/disc.dfm

- menu checkbox outside of title/chapter groupbox

------------------------------------------------------------------------
r3366 | gbazin | 2003-01-26 23:57:21 +0100 (Sun, 26 Jan 2003) | 4 lines
Changed paths:
   M /trunk/modules/gui/gtk/gnome.c
   M /trunk/modules/gui/gtk/gtk.c


* modules/gui/gtk/gnome.c, modules/gui/gtk/gtk.c: input_Seek() was incorrectly triggered while playing some
DVD menus.

------------------------------------------------------------------------
r3367 | jlj | 2003-01-27 01:08:31 +0100 (Mon, 27 Jan 2003) | 4 lines
Changed paths:
   M /trunk/modules/gui/macosx/intf.h
   M /trunk/modules/gui/macosx/intf.m
   M /trunk/modules/gui/macosx/prefs.m

  * ./modules/gui/macosx/intf.[mh]: Fixed message panel memory leak. Textview
                                    is now updated on panel BecomeKey.
  * ./modules/gui/macosx/prefs.m: Decreased width of prefs panel.

------------------------------------------------------------------------
r3368 | ipkiss | 2003-01-27 02:42:19 +0100 (Mon, 27 Jan 2003) | 2 lines
Changed paths:
   M /trunk/modules/gui/win32/mainframe.cpp
   M /trunk/modules/gui/win32/mainframe.dfm
   M /trunk/modules/video_output/directx/events.c

 * The space bar is a hotkey for pause/resume.

------------------------------------------------------------------------
r3369 | titer | 2003-01-27 11:29:22 +0100 (Mon, 27 Jan 2003) | 2 lines
Changed paths:
   M /trunk/modules/gui/beos/InterfaceWindow.cpp
   M /trunk/modules/gui/beos/PreferencesWindow.cpp
   M /trunk/modules/gui/beos/PreferencesWindow.h
   M /trunk/modules/gui/beos/VlcWrapper.cpp
   M /trunk/modules/gui/beos/VlcWrapper.h

 Disabled DVD menus by default for 0.5.0

------------------------------------------------------------------------
r3370 | fenrir | 2003-01-27 17:28:42 +0100 (Mon, 27 Jan 2003) | 3 lines
Changed paths:
   M /trunk/modules/access/mms/mms.c
   M /trunk/modules/demux/avi/avi.c

 mms: another memory leak
 avi: comment out a debug statment.

------------------------------------------------------------------------
r3371 | ipkiss | 2003-01-27 18:41:01 +0100 (Mon, 27 Jan 2003) | 7 lines
Changed paths:
   M /trunk/include/vlc_objects.h
   M /trunk/modules/gui/familiar/familiar.c
   M /trunk/modules/gui/gtk/display.c
   M /trunk/modules/gui/gtk/preferences.c
   M /trunk/modules/gui/kde/preferences.cpp
   M /trunk/modules/gui/macosx/prefs.m
   M /trunk/modules/gui/win32/mainframe.dfm
   M /trunk/modules/gui/win32/menu.cpp
   M /trunk/modules/gui/win32/preferences.cpp
   M /trunk/src/libvlc.c
   M /trunk/src/misc/configuration.c
   M /trunk/src/misc/modules.c
   M /trunk/src/misc/objects.c

 * src/misc/objects.c: vlc_list_find now returns a (vlc_list_t *)
   instead of a (vlc_list_t); this modification was needed because BCB
   doesn't like at all when a function (compiled with mingw32) returns
   a struct...
 * ALL: modified the files to take this change into account
 * modules/gui/win32/menu.cpp: enabled the "Add interface" command

------------------------------------------------------------------------
r3372 | jobi | 2003-01-27 22:35:06 +0100 (Mon, 27 Jan 2003) | 3 lines
Changed paths:
   M /trunk/modules/access/vcd/cdrom.c
   M /trunk/modules/audio_output/oss.c

    * ALL: some FreeBSD compilation fixes. gnome plugin still won't compile,
           at least on FreeBSD 5.0

------------------------------------------------------------------------
r3373 | ipkiss | 2003-01-27 22:44:39 +0100 (Mon, 27 Jan 2003) | 2 lines
Changed paths:
   M /trunk/src/misc/netutils.c

 * Fixed a segfault (closes #132)

------------------------------------------------------------------------
r3374 | sam | 2003-01-27 23:42:36 +0100 (Mon, 27 Jan 2003) | 3 lines
Changed paths:
   M /trunk/configure.ac.in
   M /trunk/include/vlc_common.h

  * ./include/vlc_common.h: if we don't have strndup but gnome.h defines it
    anyway, do not provide our custom version.

------------------------------------------------------------------------
r3375 | sam | 2003-01-27 23:50:01 +0100 (Mon, 27 Jan 2003) | 3 lines
Changed paths:
   M /trunk/src/audio_output/output.c

  * ./src/audio_output/output.c: fixed return with a value in function
    returning void.

------------------------------------------------------------------------
r3376 | sam | 2003-01-28 00:42:59 +0100 (Tue, 28 Jan 2003) | 3 lines
Changed paths:
   M /trunk/bootstrap

  * ./bootstrap: removed usage of $^ which is not compatible with BSD or
    Solaris make.

------------------------------------------------------------------------
r3377 | massiot | 2003-01-28 00:48:14 +0100 (Tue, 28 Jan 2003) | 2 lines
Changed paths:
   M /trunk/src/audio_output/mixer.c

Additional check on p_first_byte_to_mix.

------------------------------------------------------------------------
r3378 | sam | 2003-01-28 01:22:44 +0100 (Tue, 28 Jan 2003) | 2 lines
Changed paths:
   M /trunk/configure.ac.in

  * ./configure.ac.in: fixed -lm flags for the distort and adjust plugins.

------------------------------------------------------------------------
r3379 | hartman | 2003-01-28 02:50:52 +0100 (Tue, 28 Jan 2003) | 3 lines
Changed paths:
   M /trunk/modules/gui/macosx/controls.m
   M /trunk/modules/gui/macosx/intf.m

ALL: the next and previous buttons first work through the chapters. Only
     then they turn to the playlist.

------------------------------------------------------------------------
r3380 | sam | 2003-01-28 03:03:33 +0100 (Tue, 28 Jan 2003) | 2 lines
Changed paths:
   M /trunk/doc/fortunes.txt
   M /trunk/include/error.h
   M /trunk/include/video_output.h
   M /trunk/include/vlc/vlc.h
   M /trunk/modules/gui/win32/strings.cpp
   M /trunk/po/de.po
   M /trunk/po/en_GB.po
   M /trunk/po/fr.po
   M /trunk/po/it.po
   M /trunk/po/ja.po
   M /trunk/po/nl.po
   M /trunk/po/no.po
   M /trunk/po/pl.po
   M /trunk/po/ru.po
   M /trunk/po/sv.po
   M /trunk/po/vlc.pot
   M /trunk/src/libvlc.h

  * ./po/*: spelling fixes.

------------------------------------------------------------------------
r3381 | sam | 2003-01-28 03:53:50 +0100 (Tue, 28 Jan 2003) | 3 lines
Changed paths:
   M /trunk/configure.ac.in

  * ./configure.ac.in: first step in the world domination roadmap, setting
    the CVS version to -test4.

------------------------------------------------------------------------
r3382 | sam | 2003-01-28 04:11:02 +0100 (Tue, 28 Jan 2003) | 3 lines
Changed paths:
   M /trunk/include/vlc_common.h

  * ./include/vlc_common.h: removed duplicate macro definitions in the gtk
    and gnome plugins.

------------------------------------------------------------------------
r3383 | sam | 2003-01-28 04:46:22 +0100 (Tue, 28 Jan 2003) | 2 lines
Changed paths:
   M /trunk/modules/audio_output/esd.c

  * ./modules/audio_output/esd.c: fixed a stack space leak (Closes: #113).

------------------------------------------------------------------------
r3384 | yves | 2003-01-28 09:11:10 +0100 (Tue, 28 Jan 2003) | 3 lines
Changed paths:
   M /trunk/vlc.spec

- new video_output/vout_encoder plugin.
- new demux/a52sys plugin.

------------------------------------------------------------------------
r3385 | titer | 2003-01-28 09:17:26 +0100 (Tue, 28 Jan 2003) | 4 lines
Changed paths:
   A /trunk/modules/encoder/.cvsignore
   A /trunk/modules/encoder/ffmpeg/.cvsignore
   M /trunk/modules/gui/beos/InterfaceWindow.cpp
   M /trunk/modules/gui/beos/MessagesWindow.cpp

 * beos/* : do not forgot to destroy the Messages window, so vlc does
            lock when exiting
 * missing cvsignores

------------------------------------------------------------------------
r3386 | titer | 2003-01-28 11:05:15 +0100 (Tue, 28 Jan 2003) | 2 lines
Changed paths:
   M /trunk/modules/gui/beos/MessagesWindow.cpp
   M /trunk/modules/gui/beos/PreferencesWindow.cpp

 * sanity Lock()s

------------------------------------------------------------------------
r3387 | massiot | 2003-01-28 13:23:40 +0100 (Tue, 28 Jan 2003) | 2 lines
Changed paths:
   M /trunk/src/audio_output/output.c

Do not show the channels menu when the input stream is mono, closing #117.

------------------------------------------------------------------------
r3388 | gbazin | 2003-01-28 13:30:44 +0100 (Tue, 28 Jan 2003) | 10 lines
Changed paths:
   M /trunk/include/video_output.h
   M /trunk/include/vlc_common.h
   M /trunk/modules/gui/gtk/menu.c
   M /trunk/modules/video_filter/deinterlace/deinterlace.c
   M /trunk/src/video_output/video_output.c


* src/video_output/video_output.c, include/video_output.h: modified vout_Request() to take into account the
filter chain. If the filter chain has changed, a new vout will be respawned allowing to switch filters on
the fly. This is still a bit hacky but to do it nicely will require implementing inheritance in object
variables.
* modules/video_filter/deinterlace/deinterlace.c: added a "deinterlace-mode" object variable to allow
switching deinterlace modes on the fly.
* modules/gui/gtk/menu.c: updated the deinterlace menu.
* include/vlc_common.h: compilation fixes for gtk_main and gnome_main.

------------------------------------------------------------------------
r3389 | gbazin | 2003-01-28 14:03:13 +0100 (Tue, 28 Jan 2003) | 4 lines
Changed paths:
   M /trunk/modules/video_filter/deinterlace/deinterlace.c
   M /trunk/modules/video_output/x11/xcommon.c


* modules/video_filter/deinterlace/deinterlace.c,
  modules/video_output/x11/xcommon.c: modified debug messages.

------------------------------------------------------------------------
r3390 | gbazin | 2003-01-28 14:07:45 +0100 (Tue, 28 Jan 2003) | 3 lines
Changed paths:
   M /trunk/src/video_output/video_output.c


* src/video_output/video_output.c: oops, fixed a bug I just introduced.

------------------------------------------------------------------------
r3391 | fenrir | 2003-01-28 15:00:49 +0100 (Tue, 28 Jan 2003) | 3 lines
Changed paths:
   M /trunk/modules/access/mms/mms.h
   M /trunk/modules/gui/gtk/gtk.glade
   M /trunk/modules/gui/gtk/gtk_interface.c
   M /trunk/modules/gui/wxwindows/open.cpp

 * gtk: fixed 'cannot find file.xpm'.
 * wxwindows: compilation fix for older wxwindows header.

------------------------------------------------------------------------
r3392 | gbazin | 2003-01-28 15:41:05 +0100 (Tue, 28 Jan 2003) | 3 lines
Changed paths:
   M /trunk/modules/codec/vorbis.c


* modules/codec/vorbis.c: fixed parsing of vorbis comments. (closing #69)

------------------------------------------------------------------------
r3393 | sigmunau | 2003-01-28 15:49:12 +0100 (Tue, 28 Jan 2003) | 2 lines
Changed paths:
   M /trunk/modules/codec/vorbis.c

fixed another possible crash

------------------------------------------------------------------------
r3394 | massiot | 2003-01-28 16:05:52 +0100 (Tue, 28 Jan 2003) | 5 lines
Changed paths:
   M /trunk/modules/access/dvdplay/access.c
   M /trunk/modules/access/dvdplay/tools.c
   M /trunk/modules/access/dvdread/input.c

We are now able to parse :
dvdread:/Volumes/to@to/VIDEO_TS@1,1
dvdplay:/Volumes/to@to/VIDEO_TS@1,1
Closes #77

------------------------------------------------------------------------
r3395 | hartman | 2003-01-28 16:59:38 +0100 (Tue, 28 Jan 2003) | 3 lines
Changed paths:
   M /trunk/README.MacOSX.rtf
   M /trunk/modules/gui/macosx/vout.m

* ./modules/gui/macosx/vout.m: removed the resizebar. too much of a hack
* ./README.MacOSX.rtf: updated deinterlace and resize info

------------------------------------------------------------------------
r3396 | hartman | 2003-01-28 17:47:46 +0100 (Tue, 28 Jan 2003) | 4 lines
Changed paths:
   M /trunk/extras/MacOSX/Resources/English.lproj/MainMenu.nib/info.nib
   M /trunk/extras/MacOSX/Resources/English.lproj/MainMenu.nib/objects.nib
   M /trunk/modules/gui/macosx/controls.m

ALL: updated deinterlace to work on the fly. there is a but in vout.m:433
     jlj will need to fix that.
     there is no feedback to the interface as of yet

------------------------------------------------------------------------
r3397 | sam | 2003-01-28 17:52:36 +0100 (Tue, 28 Jan 2003) | 3 lines
Changed paths:
   M /trunk/configure.ac.in
   M /trunk/modules/visualization/xosd/xosd.c

  * ./modules/visualization/xosd/xosd.c: fixed compilation with version 2 of
    libxosd.

------------------------------------------------------------------------
r3398 | sam | 2003-01-28 17:57:28 +0100 (Tue, 28 Jan 2003) | 2 lines
Changed paths:
   M /trunk/modules/access/satellite/access.c
   M /trunk/modules/codec/dv.c
   M /trunk/modules/codec/faad/decoder.c
   M /trunk/modules/demux/avi/libavi.c
   M /trunk/modules/demux/mp4/mp4.c
   M /trunk/modules/video_output/encoder.c
   M /trunk/modules/video_output/x11/xcommon.c
   M /trunk/mozilla/vlcshell.cpp
   M /trunk/src/libvlc.h

  * ALL: fixes for various compilation warnings and spelling errors.

------------------------------------------------------------------------
r3399 | sam | 2003-01-28 18:11:38 +0100 (Tue, 28 Jan 2003) | 4 lines
Changed paths:
   M /trunk/bootstrap
   M /trunk/include/vlc_common.h
   M /trunk/modules/gui/familiar/interface.c
   M /trunk/modules/gui/familiar/support.h
   M /trunk/modules/gui/gtk/gtk_support.h
   M /trunk/toolbox

  * ./bootstrap, ./toolbox: moved the Glade bugs fixing to toolbox, now
    use "./toolbox --fix-glade" to generate and fix source files.
  * ./include/vlc_common.h: fixed compilation warnings.

------------------------------------------------------------------------
r3400 | sam | 2003-01-28 18:14:20 +0100 (Tue, 28 Jan 2003) | 3 lines
Changed paths:
   M /trunk/debian/control
   M /trunk/debian/rules

  * ./debian/control: removed versioned dependency on libxosd.
  * ./debian/rules: added comments here and there.

------------------------------------------------------------------------
r3401 | sam | 2003-01-28 21:02:04 +0100 (Tue, 28 Jan 2003) | 3 lines
Changed paths:
   M /trunk/modules/gui/familiar/interface.c
   M /trunk/modules/gui/wxwindows/wxwindows.cpp
   M /trunk/po/de.po
   M /trunk/po/en_GB.po
   M /trunk/po/fr.po
   M /trunk/po/it.po
   M /trunk/po/ja.po
   M /trunk/po/nl.po
   M /trunk/po/no.po
   M /trunk/po/pl.po
   M /trunk/po/ru.po
   M /trunk/po/sv.po
   M /trunk/po/vlc.pot
   M /trunk/toolbox

  * ./toolbox: made a few glade-generated strings non-translatable.
  * ./po/*: fixed spelling errors in pofiles.

------------------------------------------------------------------------
r3402 | sam | 2003-01-28 22:06:17 +0100 (Tue, 28 Jan 2003) | 2 lines
Changed paths:
   M /trunk/debian/.cvsignore
   M /trunk/debian/Makefile.am
   M /trunk/debian/control
   M /trunk/debian/rules
   M /trunk/debian/vlc-plugin-a52.dirs
   M /trunk/debian/vlc-plugin-mad.dirs
   A /trunk/debian/wxvlc.dirs
   A /trunk/debian/wxvlc.menu

  * ./debian/*: activated the wxwindows plugin.

------------------------------------------------------------------------
r3403 | sam | 2003-01-28 22:08:29 +0100 (Tue, 28 Jan 2003) | 4 lines
Changed paths:
   M /trunk/modules/gui/kde/interface.cpp
   M /trunk/modules/gui/kde/kde.cpp
   M /trunk/modules/gui/kde/menu.cpp
   M /trunk/modules/gui/wxwindows/fileinfo.cpp
   M /trunk/modules/gui/wxwindows/timer.cpp

  * ./modules/gui/kde/kde.cpp: the interface rc file defaults to the one in
    DATA_PATH.
  * ./modules/gui/wxwindows/*.cpp: fixed minor warnings.

------------------------------------------------------------------------
r3404 | fenrir | 2003-01-28 22:17:34 +0100 (Tue, 28 Jan 2003) | 2 lines
Changed paths:
   M /trunk/modules/codec/mpeg_audio.c

 * mpeg_audio.c : fixed a stack corruption. fprintf 1 - gdb 0.

------------------------------------------------------------------------
r3405 | gbazin | 2003-01-28 22:18:53 +0100 (Tue, 28 Jan 2003) | 4 lines
Changed paths:
   M /trunk/modules/gui/wxwindows/open.cpp


* modules/gui/wxwindows/open.cpp: minor bug-fix + allow user to select
   title 0 when using the dvdplay plugin (title 0 = menu).

------------------------------------------------------------------------
r3406 | sam | 2003-01-28 23:03:21 +0100 (Tue, 28 Jan 2003) | 5 lines
Changed paths:
   M /trunk/.cvsignore
   M /trunk/include/video_output.h
   M /trunk/modules/access/dvd/access.c
   M /trunk/modules/access/dvd/dvd.c
   M /trunk/modules/audio_output/oss.c
   M /trunk/modules/codec/spudec/spudec.c
   M /trunk/modules/gui/kde/kde.cpp
   M /trunk/modules/video_filter/clone.c
   M /trunk/modules/video_filter/motionblur.c
   M /trunk/src/video_output/video_output.c

  * ./src/video_output/video_output.c: don't try to change aspect ratio if it
    has been overriden by the user (Closes: #79).
  * ./modules/access/dvd/access.c: renamed "dvd-css-method" to "dvdcss-method".
  * ./modules/*: fixed a few capitalization issues.

------------------------------------------------------------------------
r3407 | sam | 2003-01-28 23:52:30 +0100 (Tue, 28 Jan 2003) | 2 lines
Changed paths:
   M /trunk/modules/audio_output/esd.c

  * ./modules/audio_output/esd.c: fixed esd audio output (Closes: #139).

------------------------------------------------------------------------
r3408 | fenrir | 2003-01-29 00:38:24 +0100 (Wed, 29 Jan 2003) | 2 lines
Changed paths:
   M /trunk/modules/codec/mpeg_audio.c

 * mpeg_audio.c : due to mpeg 2.5, max frame size is twice as I though.

------------------------------------------------------------------------
r3409 | massiot | 2003-01-29 00:55:57 +0100 (Wed, 29 Jan 2003) | 2 lines
Changed paths:
   M /trunk/modules/codec/mpeg_audio.c

Not sure the buffer was large enough.

------------------------------------------------------------------------
r3410 | titer | 2003-01-29 01:02:09 +0100 (Wed, 29 Jan 2003) | 2 lines
Changed paths:
   M /trunk/modules/gui/beos/PreferencesWindow.cpp
   M /trunk/modules/gui/beos/VlcWrapper.cpp
   M /trunk/modules/gui/beos/VlcWrapper.h

 enabled changing filters on the fly

------------------------------------------------------------------------
r3411 | sam | 2003-01-29 10:54:45 +0100 (Wed, 29 Jan 2003) | 3 lines
Changed paths:
   M /trunk/modules/audio_output/arts.c

  * ./modules/audio_output/arts.c: fixed aRts output and removed debug
    messages that were lying around.

------------------------------------------------------------------------
r3412 | gbazin | 2003-01-29 12:17:44 +0100 (Wed, 29 Jan 2003) | 6 lines
Changed paths:
   M /trunk/modules/access/dvdplay/access.c
   M /trunk/modules/access/dvdplay/es.c


* modules/access/dvdplay/access.c: fixed subtitles with the dvdplay plugin
    (closes #122).
* modules/access/dvdplay/es.c: check "audio-channel" and "spu-channel" user
    settings (closes #122).

------------------------------------------------------------------------
r3413 | jlj | 2003-01-29 12:34:11 +0100 (Wed, 29 Jan 2003) | 4 lines
Changed paths:
   M /trunk/extras/MacOSX/Resources/English.lproj/MainMenu.nib/classes.nib
   M /trunk/extras/MacOSX/Resources/English.lproj/MainMenu.nib/info.nib
   M /trunk/extras/MacOSX/Resources/English.lproj/MainMenu.nib/objects.nib
   M /trunk/include/vlc_playlist.h
   M /trunk/modules/gui/macosx/controls.m
   M /trunk/modules/gui/macosx/intf.h
   M /trunk/modules/gui/macosx/intf.m
   M /trunk/modules/gui/macosx/playlist.m
   M /trunk/src/playlist/playlist.c

 * core/playlist: PLAYLIST_PAUSE, playlist_IsPlaying, playlist_IsEmpty
 * modules/gui/macosx: started getting rid of p_intf->p_sys->p_input
                       and using p_playlist->p_input instead.

------------------------------------------------------------------------
r3414 | jlj | 2003-01-29 12:41:48 +0100 (Wed, 29 Jan 2003) | 2 lines
Changed paths:
   M /trunk/modules/gui/macosx/controls.m

  * ./modules/gui/macosx/controls.m: fixed bug in my previous commit.

------------------------------------------------------------------------
r3415 | gbazin | 2003-01-29 13:59:23 +0100 (Wed, 29 Jan 2003) | 3 lines
Changed paths:
   M /trunk/modules/demux/ogg.c


* modules/demux/ogg.c: bug fix when switching between vorbis channels.

------------------------------------------------------------------------
r3416 | gbazin | 2003-01-29 15:03:07 +0100 (Wed, 29 Jan 2003) | 4 lines
Changed paths:
   M /trunk/include/vlc_threads.h


* include/vlc_threads.h: VLC_THREAD_PRIORITY_VIDEO equals
    THREAD_PRIORITY_BELOW_NORMAL under Win9x/Me.

------------------------------------------------------------------------
r3417 | sam | 2003-01-29 16:15:20 +0100 (Wed, 29 Jan 2003) | 2 lines
Changed paths:
   M /trunk/po/de.po
   M /trunk/po/en_GB.po
   M /trunk/po/fr.po
   M /trunk/po/it.po
   M /trunk/po/ja.po
   M /trunk/po/nl.po
   M /trunk/po/no.po
   M /trunk/po/pl.po
   M /trunk/po/ru.po
   M /trunk/po/sv.po
   M /trunk/po/vlc.pot

  * ./po/ja.po: updated japanese translations, courtesy of KKI.

------------------------------------------------------------------------
r3418 | sam | 2003-01-29 16:55:44 +0100 (Wed, 29 Jan 2003) | 4 lines
Changed paths:
   M /trunk/modules/access/dvdplay/intf.c

  * ./modules/access/dvdplay/intf.c: added a sanity check upon initialization
    in case the input dies before we even spawned our dvdplay interface
    (Closes: #141).

------------------------------------------------------------------------
r3419 | massiot | 2003-01-29 18:07:37 +0100 (Wed, 29 Jan 2003) | 2 lines
Changed paths:
   M /trunk/po/nl.po

New nl translation, courtesy of dj hartman.

------------------------------------------------------------------------
r3420 | gbazin | 2003-01-29 18:28:22 +0100 (Wed, 29 Jan 2003) | 5 lines
Changed paths:
   M /trunk/modules/gui/gtk/gnome.glade
   M /trunk/modules/gui/gtk/gnome_interface.c
   M /trunk/modules/gui/gtk/gtk.glade
   M /trunk/modules/gui/gtk/gtk_interface.c
   M /trunk/modules/gui/gtk/open.c


* modules/gui/gtk/*: changed the disc open dialog to allow for title and
   chapter 0. When title or chapter 0 are selected, they do not appear in
   the MRL.

------------------------------------------------------------------------
r3421 | sam | 2003-01-29 19:10:52 +0100 (Wed, 29 Jan 2003) | 3 lines
Changed paths:
   M /trunk/doc/fortunes.txt
   M /trunk/modules/gui/gtk/gnome.glade
   M /trunk/modules/gui/gtk/gnome_interface.c
   M /trunk/modules/gui/gtk/gtk.glade
   M /trunk/modules/gui/gtk/gtk_interface.c
   M /trunk/modules/gui/gtk/open.c
   M /trunk/toolbox

  * ./modules/gui/gtk/gnome.glade, ./modules/gui/gtk/gtk.glade: we disable
    the title and chapter dialogs when DVD menus are activated.

------------------------------------------------------------------------
r3422 | hartman | 2003-01-29 19:14:29 +0100 (Wed, 29 Jan 2003) | 3 lines
Changed paths:
   M /trunk/extras/MacOSX/Resources/English.lproj/MainMenu.nib/info.nib
   M /trunk/extras/MacOSX/Resources/English.lproj/MainMenu.nib/objects.nib
   M /trunk/extras/MacOSX/vlc.pbproj/project.pbxproj

intf: the slower/faster buttons should not be continious.
project: the source files were included in the Resources. No more.

------------------------------------------------------------------------
r3423 | fenrir | 2003-01-29 22:54:34 +0100 (Wed, 29 Jan 2003) | 2 lines
Changed paths:
   M /trunk/modules/demux/asf/asf.c

 * asf : more sanity check for broken files.

------------------------------------------------------------------------
r3424 | massiot | 2003-01-30 01:39:41 +0100 (Thu, 30 Jan 2003) | 5 lines
Changed paths:
   M /trunk/include/vlc_threads.h
   M /trunk/modules/codec/mpeg_video/headers.c
   M /trunk/modules/gui/macosx/intf.m

* modules/codec/mpeg_video/headers.c: more checks in PictureDisplayExtension,
* modules/gui/macosx/intf.m: one of the threads wasn't in real-time
  priority !!!
* include/vlc_threads.h: tuned up OS X priorities

------------------------------------------------------------------------
r3425 | gbazin | 2003-01-30 03:16:09 +0100 (Thu, 30 Jan 2003) | 5 lines
Changed paths:
   M /trunk/modules/codec/mpeg_video/headers.c


* modules/codec/mpeg_video/headers.c: fixed non-initialized variable in
    PictureDisplayExtension(). This does also fix problems with the dvdplay
    plugin and menus with still pictures.

------------------------------------------------------------------------
r3426 | massiot | 2003-01-30 11:44:50 +0100 (Thu, 30 Jan 2003) | 2 lines
Changed paths:
   M /trunk/Makefile.am
   M /trunk/configure.ac.in

Keep -O2 in --disable-optimizations mode, cause it can't harm...

------------------------------------------------------------------------
r3427 | gbazin | 2003-01-30 13:38:13 +0100 (Thu, 30 Jan 2003) | 4 lines
Changed paths:
   M /trunk/src/video_output/vout_subpictures.c


* src/video_output/vout_subpictures.c: fixed a few race conditions that
   were triggered by the dvdplay plugin.

------------------------------------------------------------------------
r3428 | hartman | 2003-01-30 16:39:38 +0100 (Thu, 30 Jan 2003) | 3 lines
Changed paths:
   M /trunk/modules/gui/macosx/intf.m

* ./modules/gui/macosx/intf.m:
  - we close the video window after a video is done playing.

------------------------------------------------------------------------
r3429 | hartman | 2003-01-30 16:46:29 +0100 (Thu, 30 Jan 2003) | 3 lines
Changed paths:
   M /trunk/modules/gui/macosx/intf.m

* modules/gui/macosx/intf.m
  - fixed a warning about parentheses

------------------------------------------------------------------------
r3430 | gbazin | 2003-01-30 17:36:04 +0100 (Thu, 30 Jan 2003) | 9 lines
Changed paths:
   M /trunk/modules/codec/spudec/spudec.c
   M /trunk/modules/codec/spudec/text.c


* modules/codec/spudec/spudec.c, modules/codec/spudec/text.c: fixed the
   race condition between spudec and vout. This patch may not be all that
   nice because it does a lot of vlc_object_find() but it is the only
   solution I've been able to come-up with.
   Oh and I didn't fix the memory leak caused by the font when using text
   subtitles. If the vout changes while the spudec is running then we don't
   unload this font.

------------------------------------------------------------------------
r3431 | lool | 2003-01-30 19:07:45 +0100 (Thu, 30 Jan 2003) | 3 lines
Changed paths:
   M /trunk/FAQ
   A /trunk/doc/common
   A /trunk/doc/common/stylesheet-html.dsl
   A /trunk/doc/faq
   A /trunk/doc/faq/Makefile
   A /trunk/doc/faq/faq-alone.sgml
   A /trunk/doc/faq/faq.sgml

  * converted FAQ to SGML
  * SGML sucks, this is absolutely ugly, please reread

------------------------------------------------------------------------
r3432 | gbazin | 2003-01-30 20:14:17 +0100 (Thu, 30 Jan 2003) | 6 lines
Changed paths:
   M /trunk/modules/codec/spudec/parse.c
   M /trunk/src/video_output/video_output.c


* src/video_output/video_output.c: we were still using free instead of
   vout_DestroySubPicture in one place.
* modules/codec/spudec/parse.c: we now make sure we don't add several times
   the same highlight callback.

------------------------------------------------------------------------
r3433 | sam | 2003-01-30 21:59:36 +0100 (Thu, 30 Jan 2003) | 3 lines
Changed paths:
   M /trunk/src/misc/configuration.c

  * ./src/misc/configuration.c: when an invalid short option is found, use
    the optopt variable instead of the current value of optind (Closes: #148).

------------------------------------------------------------------------
r3434 | babal | 2003-01-30 22:35:22 +0100 (Thu, 30 Jan 2003) | 2 lines
Changed paths:
   M /trunk/modules/gui/win32/preferences.cpp
   M /trunk/modules/gui/win32/preferences.h

- fixed a segfault occuring when the preference dialog box was destroyed

------------------------------------------------------------------------
r3435 | jlj | 2003-01-31 03:53:52 +0100 (Fri, 31 Jan 2003) | 3 lines
Changed paths:
   M /trunk/extras/MacOSX/Resources/English.lproj/MainMenu.nib/classes.nib
   M /trunk/extras/MacOSX/Resources/English.lproj/MainMenu.nib/info.nib
   M /trunk/extras/MacOSX/Resources/English.lproj/MainMenu.nib/objects.nib
   M /trunk/modules/gui/macosx/controls.m
   M /trunk/modules/gui/macosx/intf.h
   M /trunk/modules/gui/macosx/intf.m
   M /trunk/modules/gui/macosx/open.m
   M /trunk/modules/gui/macosx/playlist.m
   M /trunk/modules/gui/macosx/prefs.m
   M /trunk/modules/gui/macosx/vout.h
   M /trunk/modules/gui/macosx/vout.m

  * ./modules/gui/macosx: Defeated some deadlocks.
                          World domination ... is at hand.

------------------------------------------------------------------------
r3436 | titer | 2003-01-31 07:45:00 +0100 (Fri, 31 Jan 2003) | 2 lines
Changed paths:
   M /trunk/modules/gui/beos/BeOS.cpp
   M /trunk/modules/gui/beos/InterfaceWindow.cpp
   M /trunk/modules/gui/beos/MessagesWindow.cpp

 Minor GUI fixes

------------------------------------------------------------------------
r3437 | sam | 2003-01-31 10:48:43 +0100 (Fri, 31 Jan 2003) | 3 lines
Changed paths:
   M /trunk/configure.ac.in

  * ./configure.ac.in: complain when ALSA headers are not found but
    --enable-alsa was specified.

------------------------------------------------------------------------
r3438 | sam | 2003-01-31 10:51:57 +0100 (Fri, 31 Jan 2003) | 3 lines
Changed paths:
   M /trunk/modules/gui/gtk/gnome.c
   M /trunk/modules/gui/gtk/gtk.c

  * ./modules/gui/gtk/gnome.c, ./modules/gui/gtk/gtk.c: fixed uninitialized
    variables.

------------------------------------------------------------------------
r3439 | sam | 2003-01-31 11:14:13 +0100 (Fri, 31 Jan 2003) | 2 lines
Changed paths:
   M /trunk/src/audio_output/mixer.c

  * ./src/audio_output/mixer.c: minor cosmetic fix in output message.

------------------------------------------------------------------------
r3440 | sam | 2003-01-31 11:51:15 +0100 (Fri, 31 Jan 2003) | 3 lines
Changed paths:
   M /trunk/modules/gui/gtk/gnome.glade
   M /trunk/modules/gui/gtk/gnome_interface.c
   M /trunk/modules/gui/gtk/gtk.glade
   M /trunk/modules/gui/gtk/gtk_interface.c

  * ./modules/gui/gtk/gnome.glade, ./modules/gui/gtk/gtk.glade: moved the
    Audio and Subtitles submenus into the Audio and Video menus.

------------------------------------------------------------------------
r3441 | sam | 2003-01-31 11:54:07 +0100 (Fri, 31 Jan 2003) | 3 lines
Changed paths:
   M /trunk/modules/gui/gtk/gtk_callbacks.c

  * ./modules/gui/gtk/gtk_callbacks.c: fixed a crash when selecting fullscreen
    while there was no input (Closes: #153).

------------------------------------------------------------------------
r3442 | massiot | 2003-01-31 12:23:37 +0100 (Fri, 31 Jan 2003) | 4 lines
Changed paths:
   M /trunk/src/input/input_programs.c

Fixed a major bug of people who like to declare vars "unsigned int"
when they can be -1 :p (why haven't we spotted that before ??).
Closes #152.

------------------------------------------------------------------------
r3443 | sam | 2003-01-31 12:38:06 +0100 (Fri, 31 Jan 2003) | 2 lines
Changed paths:
   M /trunk/AUTHORS
   M /trunk/po/de.po
   M /trunk/po/en_GB.po
   M /trunk/po/fr.po
   M /trunk/po/it.po
   M /trunk/po/ja.po
   M /trunk/po/nl.po
   M /trunk/po/no.po
   M /trunk/po/pl.po
   M /trunk/po/ru.po
   M /trunk/po/sv.po
   M /trunk/po/vlc.pot

  * ./po/de.po: full german translation, courtesy of Felix K?\239?\191?\189hne.

------------------------------------------------------------------------
r3444 | sam | 2003-01-31 14:52:26 +0100 (Fri, 31 Jan 2003) | 2 lines
Changed paths:
   M /trunk/src/libvlc.c

  * ./src/libvlc.c: strings in the main module are now translated (fixes: #92).

------------------------------------------------------------------------
r3445 | zorglub | 2003-01-31 16:24:11 +0100 (Fri, 31 Jan 2003) | 5 lines
Changed paths:
   M /trunk/doc/faq/Makefile
   M /trunk/doc/faq/faq-alone.sgml
   M /trunk/doc/faq/faq.sgml
   A /trunk/doc/faq/fdl.sgml

* doc/faq/Makefile: added "text" and "clean" targets.
* doc/faq/faq-alone.sgml: Fixed build issues, added FDL, and legal notice.
* doc/faq/faq.sgml: Fixed build issues, improved the SGML translation.
* doc/faq/fdl.sgml: text of the FSF Free Documentation License.

------------------------------------------------------------------------
r3446 | sam | 2003-01-31 17:56:03 +0100 (Fri, 31 Jan 2003) | 3 lines
Changed paths:
   M /trunk/configure.ac.in

  * ./configure.ac.in: I was told some versions of mingw32 support neither
    -mms-bitfields nor -fnative-struct.

------------------------------------------------------------------------
r3447 | lool | 2003-01-31 19:53:29 +0100 (Fri, 31 Jan 2003) | 2 lines
Changed paths:
   D /trunk/FAQ

  * removed FAQ pointing to doc/faq/ not to confuse users (thanks sam)

------------------------------------------------------------------------
r3448 | sam | 2003-01-31 23:34:07 +0100 (Fri, 31 Jan 2003) | 3 lines
Changed paths:
   M /trunk/AUTHORS
   D /trunk/STATUS
   A /trunk/THANKS

  * split AUTHORS into AUTHORS and THANKS, removed STATUS which wasn't
    kept up to date (and almost everything advertised in it was done).

------------------------------------------------------------------------
r3449 | sam | 2003-01-31 23:35:44 +0100 (Fri, 31 Jan 2003) | 2 lines
Changed paths:
   M /trunk/AUTHORS
   M /trunk/Makefile.am
   M /trunk/debian/vlc.docs

  * ./debian/vlc.docs, ./Makefile.am: added THANKS to the distributed files.

------------------------------------------------------------------------
r3450 | fenrir | 2003-02-01 02:21:04 +0100 (Sat, 01 Feb 2003) | 2 lines
Changed paths:
   M /trunk/modules/demux/asf/asf.c
   M /trunk/modules/demux/asf/asf.h

 * asf : trying to fix pts handling.

------------------------------------------------------------------------
r3451 | babal | 2003-02-01 10:40:50 +0100 (Sat, 01 Feb 2003) | 2 lines
Changed paths:
   M /trunk/modules/video_output/directx/directx.c

- fixed a compilation issue with C compilers

------------------------------------------------------------------------
r3452 | alexis | 2003-02-01 12:48:36 +0100 (Sat, 01 Feb 2003) | 4 lines
Changed paths:
   A /trunk/doc/common/stylesheet-print-noicones.dsl
   M /trunk/doc/faq/Makefile
   M /trunk/doc/faq/faq.sgml

* common/stylesheet-print-noicones.dsl : stylesheet for PS/PDF/RTF output
* faq/Makefile: added PS/PDF/RTF targets
* faq/faq.sgml: SGML enhancements and few modifications

------------------------------------------------------------------------
r3453 | stippi | 2003-02-01 13:01:11 +0100 (Sat, 01 Feb 2003) | 2 lines
Changed paths:
   M /trunk/modules/gui/beos/Interface.cpp
   M /trunk/modules/gui/beos/InterfaceWindow.cpp
   M /trunk/modules/gui/beos/InterfaceWindow.h
   M /trunk/modules/gui/beos/ListViews.cpp
   M /trunk/modules/gui/beos/ListViews.h
   M /trunk/modules/gui/beos/MediaControlView.cpp
   M /trunk/modules/gui/beos/MessagesWindow.cpp
   M /trunk/modules/gui/beos/PlayListWindow.cpp
   M /trunk/modules/gui/beos/PlayListWindow.h
   M /trunk/modules/gui/beos/VideoOutput.cpp
   M /trunk/modules/gui/beos/VideoWindow.h
   M /trunk/modules/gui/beos/VlcWrapper.cpp
   M /trunk/modules/gui/beos/VlcWrapper.h

Changes done since Feb 28 2003:

------------------------------------------------------------------------
r3454 | massiot | 2003-02-01 17:20:21 +0100 (Sat, 01 Feb 2003) | 2 lines
Changed paths:
   M /trunk/doc/fortunes.txt

sam p0\/\/3r !

------------------------------------------------------------------------
r3455 | massiot | 2003-02-01 17:33:31 +0100 (Sat, 01 Feb 2003) | 2 lines
Changed paths:
   M /trunk/po/it.po

Updated Italian translation courtesy of Bruno Vella.

------------------------------------------------------------------------
r3456 | sam | 2003-02-01 19:41:09 +0100 (Sat, 01 Feb 2003) | 4 lines
Changed paths:
   A /trunk/NEWS
   M /trunk/bootstrap
   M /trunk/doc/Makefile.am

  * ./NEWS: added an empty NEWS file.
  * ./bootstrap: now that we have the NEWS file, --foreign is no longer
    required when calling automake.

------------------------------------------------------------------------
r3457 | sam | 2003-02-01 19:53:03 +0100 (Sat, 01 Feb 2003) | 3 lines
Changed paths:
   M /trunk/src/libvlc.c

  * ./src/libvlc.c: fixed a segfault on exit, libvlc needs to be
    detached before being destroyed.

------------------------------------------------------------------------
r3458 | sam | 2003-02-01 19:54:10 +0100 (Sat, 01 Feb 2003) | 5 lines
Changed paths:
   M /trunk/modules/video_output/directx/directx.c
   M /trunk/modules/video_output/directx/events.c
   M /trunk/modules/video_output/x11/x11.c
   M /trunk/modules/video_output/x11/xcommon.c
   M /trunk/modules/video_output/x11/xvideo.c
   M /trunk/mozilla/vlcplugin.cpp
   M /trunk/mozilla/vlcshell.cpp

  * ./mozilla/vlcshell.cpp: fixed the Mozilla plugin's target drawable.
  * ./modules/video_output/directx/directx.c, ./modules/video_output/x11/x11.c,
    ./modules/video_output/x11/xvideo.c: removed the drawable configuration
    variables which are now deprecated.

------------------------------------------------------------------------
r3459 | sam | 2003-02-01 20:04:43 +0100 (Sat, 01 Feb 2003) | 2 lines
Changed paths:
   M /trunk/po/it.po

  * ./po/it.po: a few corrections.

------------------------------------------------------------------------
r3460 | massiot | 2003-02-01 21:34:55 +0100 (Sat, 01 Feb 2003) | 5 lines
Changed paths:
   M /trunk/Makefile.am
   M /trunk/NEWS
   M /trunk/configure.ac.in
   M /trunk/src/misc/darwin_specific.m

* configure.ac.in: worked around an ffmpeg-cvs detection problem on OS X
* Makefile.am: fixed FAQ, THANKS and NEWS handling in package* rules
* src/misc/darwin_specific.m: more generic language detection
* NEWS: summarized changes from 0.4.6 to 0.5.0

------------------------------------------------------------------------
r3461 | jpsaman | 2003-02-01 21:59:37 +0100 (Sat, 01 Feb 2003) | 2 lines
Changed paths:
   M /trunk/NEWS

Updated for iPaq port

------------------------------------------------------------------------
r3462 | jpsaman | 2003-02-01 22:04:22 +0100 (Sat, 01 Feb 2003) | 2 lines
Changed paths:
   M /trunk/ipkg/control
   M /trunk/ipkg/control.gpe
   M /trunk/ipkg/control.opie
   M /trunk/ipkg/rules.opie

Checking in packageing files.

------------------------------------------------------------------------
r3463 | massiot | 2003-02-01 22:10:19 +0100 (Sat, 01 Feb 2003) | 2 lines
Changed paths:
   M /trunk/NEWS

Forgot Tremor.

------------------------------------------------------------------------
r3464 | massiot | 2003-02-01 22:20:33 +0100 (Sat, 01 Feb 2003) | 2 lines
Changed paths:
   M /trunk/NEWS

Tarkin, Tremor and Theora are only available when compiling from sources.

------------------------------------------------------------------------
r3465 | sam | 2003-02-01 22:23:01 +0100 (Sat, 01 Feb 2003) | 3 lines
Changed paths:
   A /trunk/debian/control.woody
   A /trunk/debian/rules.woody
   M /trunk/doc/fortunes.txt

  * ./debian/control.woody, ./debian/rules.woody: placeholders for Debian
    woody specific builds. Will fill them in a moment.

------------------------------------------------------------------------
r3466 | titer | 2003-02-01 22:24:06 +0100 (Sat, 01 Feb 2003) | 2 lines
Changed paths:
   M /trunk/NEWS

 BeOS news.

------------------------------------------------------------------------
r3467 | ipkiss | 2003-02-01 22:39:21 +0100 (Sat, 01 Feb 2003) | 2 lines
Changed paths:
   M /trunk/NEWS

 * Win32 port

------------------------------------------------------------------------
r3468 | babal | 2003-02-01 23:03:42 +0100 (Sat, 01 Feb 2003) | 2 lines
Changed paths:
   M /trunk/NEWS

- Win32 preference dialog box

------------------------------------------------------------------------
r3469 | ipkiss | 2003-02-01 23:21:44 +0100 (Sat, 01 Feb 2003) | 3 lines
Changed paths:
   M /trunk/modules/gui/win32/menu.cpp
   M /trunk/modules/gui/win32/win32.cpp

 * modules/gui/win32/win32.cpp: fixed a stupid bug (closes #155)
 * modules/gui/win32/menu.cpp: removed some ^M chars

------------------------------------------------------------------------
r3470 | sam | 2003-02-02 00:08:48 +0100 (Sun, 02 Feb 2003) | 3 lines
Changed paths:
   D /trunk/INSTALL.libmad
   M /trunk/README

  * ./INSTALL.libmad: removed that file; if one does not know how to build
    and install a library, he'd better not fiddle with VLC.

------------------------------------------------------------------------
r3471 | sam | 2003-02-02 00:15:27 +0100 (Sun, 02 Feb 2003) | 2 lines
Changed paths:
   M /trunk/AUTHORS

  * ./AUTHORS: added Garf and updated entries.

------------------------------------------------------------------------
r3472 | sigmunau | 2003-02-02 00:28:58 +0100 (Sun, 02 Feb 2003) | 3 lines
Changed paths:
   M /trunk/NEWS

 NEWS: we did support .mp3 in 0.4.x. Added that we support .asx and .html
with embedded wmp

------------------------------------------------------------------------
r3473 | sam | 2003-02-02 00:39:02 +0100 (Sun, 02 Feb 2003) | 3 lines
Changed paths:
   M /trunk/src/libvlc.c

  * ./src/libvlc.c: atomic initialization of the main module in VLC_Init()
    instead of VLC_Create(), so that its strings are translated (was #92).

------------------------------------------------------------------------
r3474 | yves | 2003-02-02 00:41:51 +0100 (Sun, 02 Feb 2003) | 7 lines
Changed paths:
   M /trunk/vlc.spec

- ready for general 0.5.0 consumption
- activated dvb (with a special workaround for mdk kernel), dv and libdvdplay plugin
- more wxwindow stuff.
- fixes here and here.
- added more doc files like NEWS, THANKS etc.
- still lacking mozilla plugin :(

------------------------------------------------------------------------
r3475 | massiot | 2003-02-02 00:46:24 +0100 (Sun, 02 Feb 2003) | 4 lines
Changed paths:
   M /trunk/extras/MacOSX/vlc.pbproj/project.pbxproj
   M /trunk/modules/gui/macosx/intf.m
   M /trunk/modules/gui/macosx/open.m
   M /trunk/po/fr.po

* modules/gui/macosx/*: Fixed localization bugs
* po/fr.po: Updated French translation
* extras/MacOSX/vlc.pbproj/project.pbxproj: Version is 0.5.0

------------------------------------------------------------------------
r3476 | sam | 2003-02-02 01:05:00 +0100 (Sun, 02 Feb 2003) | 2 lines
Changed paths:
   M /trunk/NEWS

  * ./NEWS: a few updates (translations, mozilla plugin).

------------------------------------------------------------------------
r3477 | sam | 2003-02-02 01:29:29 +0100 (Sun, 02 Feb 2003) | 3 lines
Changed paths:
   M /trunk/po/de.po
   M /trunk/po/en_GB.po
   M /trunk/po/fr.po
   M /trunk/po/it.po
   M /trunk/po/ja.po
   M /trunk/po/nl.po
   M /trunk/po/no.po
   M /trunk/po/pl.po
   M /trunk/po/ru.po
   M /trunk/po/sv.po
   M /trunk/po/vlc.pot
   M /trunk/src/libvlc.h

  * ./src/libvlc.h: changed "vlc" into "VLC" in libvlc's help messages. More
    to come.

------------------------------------------------------------------------
r3478 | sam | 2003-02-02 01:46:58 +0100 (Sun, 02 Feb 2003) | 2 lines
Changed paths:
   M /trunk/modules/gui/familiar/familiar.glade
   M /trunk/modules/gui/familiar/interface.c
   M /trunk/modules/video_output/ggi.c
   M /trunk/modules/video_output/mga/xmga.c
   M /trunk/modules/video_output/qte/qte.cpp
   M /trunk/modules/video_output/x11/x11.c
   M /trunk/modules/video_output/x11/xvideo.c
   M /trunk/po/de.po
   M /trunk/po/en_GB.po
   M /trunk/po/fr.po
   M /trunk/po/it.po
   M /trunk/po/ja.po
   M /trunk/po/nl.po
   M /trunk/po/no.po
   M /trunk/po/pl.po
   M /trunk/po/ru.po
   M /trunk/po/sv.po
   M /trunk/po/vlc.pot

  * ./po/*: more s/vlc/VLC/ changes.

------------------------------------------------------------------------
r3479 | massiot | 2003-02-02 01:49:40 +0100 (Sun, 02 Feb 2003) | 5 lines
Changed paths:
   M /trunk/README.MacOSX.rtf
   M /trunk/include/vlc_threads.h
   M /trunk/modules/access/dvdread/input.c

* README.MacOSX.rtf: Typos
* include/vlc_threads.h: Lowered OS X priorities to avoid locking the machine
* modules/access/dvdread/input.c: Fixed a long-standing bug when switching
  titles.

------------------------------------------------------------------------
r3480 | jobi | 2003-02-02 01:57:21 +0100 (Sun, 02 Feb 2003) | 4 lines
Changed paths:
   M /trunk/NEWS
   M /trunk/include/audio_output.h
   M /trunk/modules/audio_output/oss.c

    * NEWS: VCD entry points and iso files
    * include/audio_output.h: more proper freebsd compilation fix
    * modules/audio_output/oss.c: if /dev/dsp is used, use another output.

------------------------------------------------------------------------
r3481 | jobi | 2003-02-02 02:23:36 +0100 (Sun, 02 Feb 2003) | 2 lines
Changed paths:
   M /trunk/NEWS

    * NEWS: readded deleted entries, sorry about that.

------------------------------------------------------------------------
r3482 | sam | 2003-02-02 02:37:03 +0100 (Sun, 02 Feb 2003) | 2 lines
Changed paths:
   M /trunk/modules/gui/familiar/familiar.glade
   M /trunk/modules/gui/familiar/interface.c
   M /trunk/modules/gui/gtk/gnome.glade
   M /trunk/modules/gui/gtk/gnome_interface.c
   M /trunk/modules/gui/gtk/gtk.glade
   M /trunk/modules/gui/gtk/gtk_interface.c
   M /trunk/modules/gui/kde/kde.cpp
   M /trunk/modules/gui/win32/about.dfm
   M /trunk/modules/gui/win32/mainframe.dfm
   M /trunk/modules/gui/win32/strings.cpp
   M /trunk/po/de.po
   M /trunk/po/en_GB.po
   M /trunk/po/fr.po
   M /trunk/po/it.po
   M /trunk/po/ja.po
   M /trunk/po/nl.po
   M /trunk/po/no.po
   M /trunk/po/pl.po
   M /trunk/po/ru.po
   M /trunk/po/sv.po
   M /trunk/po/vlc.pot

  * ./po/*: more interface strings harmonization.

------------------------------------------------------------------------
r3483 | sam | 2003-02-02 03:11:59 +0100 (Sun, 02 Feb 2003) | 2 lines
Changed paths:
   M /trunk/po/de.po
   M /trunk/po/en_GB.po
   M /trunk/po/fr.po
   M /trunk/po/it.po
   M /trunk/po/ja.po
   M /trunk/po/nl.po
   M /trunk/po/no.po
   M /trunk/po/pl.po
   M /trunk/po/ru.po
   M /trunk/po/sv.po
   M /trunk/po/vlc.pot

  * ./po/it.po: updated italian translation, courtesy of Bruno Vella.

------------------------------------------------------------------------
r3484 | massiot | 2003-02-02 03:58:35 +0100 (Sun, 02 Feb 2003) | 2 lines
Changed paths:
   M /trunk/configure.ac.in
   M /trunk/extras/MacOSX/Resources/English.lproj/InfoPlist.strings

* Bumped up revision number to 0.5.0

------------------------------------------------------------------------
r3485 | sam | 2003-02-02 04:03:01 +0100 (Sun, 02 Feb 2003) | 2 lines
Changed paths:
   M /trunk/debian/Makefile.am
   A /trunk/debian/README
   M /trunk/debian/control
   M /trunk/debian/vlc.docs

  * ./debian/*: tuned packaging.

------------------------------------------------------------------------
r3486 | sam | 2003-02-02 04:08:20 +0100 (Sun, 02 Feb 2003) | 2 lines
Changed paths:
   M /trunk/po/it.po

  * ./po/it.po: ultimate italian fixes by Bruno Vella.

------------------------------------------------------------------------
r3487 | sam | 2003-02-02 04:38:30 +0100 (Sun, 02 Feb 2003) | 2 lines
Changed paths:
   M /trunk/doc/vlc.1

  * ./doc/vlc.1: updated manpage.

------------------------------------------------------------------------
r3488 | sam | 2003-02-02 05:01:29 +0100 (Sun, 02 Feb 2003) | 3 lines
Changed paths:
   M /trunk/INSTALL
   M /trunk/INSTALL.win32
   M /trunk/README
   M /trunk/bootstrap
   M /trunk/configure.ac.in
   M /trunk/install-win32
   M /trunk/modules/gui/win32/about.dfm
   M /trunk/modules/gui/win32/strings.cpp
   M /trunk/po/no.po
   M /trunk/toolbox
   M /trunk/vlc.spec

  * ALL: removed "VideoLAN Client" in favour of "VLC media player" in a lot
    of places.

------------------------------------------------------------------------
r3489 | sam | 2003-02-02 05:07:55 +0100 (Sun, 02 Feb 2003) | 2 lines
Changed paths:
   M /trunk/debian/control.woody
   M /trunk/debian/gnome-vlc.desktop
   M /trunk/debian/gnome-vlc.menu
   M /trunk/debian/gvlc.desktop
   M /trunk/debian/gvlc.menu
   M /trunk/debian/kvlc.menu
   M /trunk/debian/qvlc.menu
   M /trunk/debian/vlc.desktop
   M /trunk/debian/vlc.menu
   M /trunk/debian/wxvlc.menu

  * ./debian: more packaging stuff.

------------------------------------------------------------------------
r3490 | sam | 2003-02-02 05:17:53 +0100 (Sun, 02 Feb 2003) | 2 lines
Changed paths:
   M /trunk/debian/Makefile.am
   D /trunk/debian/README
   A /trunk/debian/README.Debian
   M /trunk/debian/vlc.docs

  * renamed debian/README into debian/README.Debian.

------------------------------------------------------------------------
r3491 | titer | 2003-02-02 10:17:39 +0100 (Sun, 02 Feb 2003) | 4 lines
Changed paths:
   M /trunk/modules/demux/demuxdump.c

 '--demuxdump-file -' dumps to standard output.
  (useful for operating systems which do not have '/dev/stdout'
   nor mkfifo)

------------------------------------------------------------------------
r3492 | stippi | 2003-02-02 12:29:12 +0100 (Sun, 02 Feb 2003) | 2 lines
Changed paths:
   M /trunk/modules/gui/beos/ListViews.cpp

cosmetic fix (drop mark would reappear if SHIFT was pressed)

------------------------------------------------------------------------
r3493 | sam | 2003-02-02 17:08:08 +0100 (Sun, 02 Feb 2003) | 2 lines
Changed paths:
   M /trunk/NEWS

  * ./NEWS: a few updates from gibalou.

------------------------------------------------------------------------
r3494 | sam | 2003-02-02 18:18:47 +0100 (Sun, 02 Feb 2003) | 2 lines
Changed paths:
   M /trunk/debian/.cvsignore
   M /trunk/debian/README.Debian
   M /trunk/debian/changelog
   D /trunk/debian/control.woody
   D /trunk/debian/rules.woody
   A /trunk/debian/woody-buildpackage

  * ./debian/woody-buildpackage: added a script to build .debs on woody.

------------------------------------------------------------------------
r3495 | jpsaman | 2003-02-02 19:09:36 +0100 (Sun, 02 Feb 2003) | 2 lines
Changed paths:
   M /trunk/ipkg/control
   M /trunk/ipkg/control.gpe
   M /trunk/ipkg/control.opie
   M /trunk/ipkg/rules.gpe

Added ffmpeg package to list of depenencies.

------------------------------------------------------------------------
r3496 | sam | 2003-02-02 19:12:12 +0100 (Sun, 02 Feb 2003) | 2 lines
Changed paths:
   M /trunk/po/de.po

  * ./po/de.po: german translation updates from Felix K?\239?\191?\189hne.

------------------------------------------------------------------------
r3497 | sam | 2003-02-02 19:57:01 +0100 (Sun, 02 Feb 2003) | 2 lines
Changed paths:
   M /trunk/debian/rules
   M /trunk/debian/woody-buildpackage

  * ./debian/woody-buildpackage: finished Woody build script.

------------------------------------------------------------------------
r3498 | sam | 2003-02-02 20:45:17 +0100 (Sun, 02 Feb 2003) | 3 lines
Changed paths:
   M /trunk/ChangeLog

  * ./ChangeLog: used cvs2cl (./cvs2cl.pl --hide-filenames --no-wrap -w
    --stdout | sed -e 's/^[^0-9]/ /' -e 's/^  *$//' | uniq).

------------------------------------------------------------------------
r3499 | sam | 2003-02-02 21:01:03 +0100 (Sun, 02 Feb 2003) | 2 lines
Changed paths:
   M /trunk/debian/changelog

  * ./debian/changelog: updated Debian changelog.

------------------------------------------------------------------------
r3500 | sam | 2003-02-02 21:01:53 +0100 (Sun, 02 Feb 2003) | 2 lines
Changed paths:
   M /trunk/debian/Makefile.am

  * ./debian/Makefile.am: added woody-buildpackage, removed *.woody.

------------------------------------------------------------------------
r3501 | sam | 2003-02-02 21:07:22 +0100 (Sun, 02 Feb 2003) | 2 lines
Changed paths:
   M /trunk/debian/Makefile.am
   M /trunk/debian/changelog
   M /trunk/debian/rules
   D /trunk/debian/vlc.desktop

  * ./debian/vlc.desktop: removed unnecessary file.

------------------------------------------------------------------------
r3502 | sam | 2003-02-02 21:21:02 +0100 (Sun, 02 Feb 2003) | 2 lines
Changed paths:
   M /trunk/include/vlc_config.h

  * ./include/vlc_config.h: changed "VideoLAN Client" into VLC.

------------------------------------------------------------------------
r3503 | hartman | 2003-02-02 21:59:32 +0100 (Sun, 02 Feb 2003) | 2 lines
Changed paths:
   M /trunk/extras/MacOSX/vlc.pbproj/project.pbxproj

* OSX version can open .asx files. so we need to let the os know that ;)

------------------------------------------------------------------------
r3504 | massiot | 2003-02-03 00:11:17 +0100 (Mon, 03 Feb 2003) | 2 lines
Changed paths:
   M /trunk/modules/gui/macosx/intf.m
   M /trunk/modules/gui/macosx/vout.m

Worked around a bug with the Screens menu and localization.

------------------------------------------------------------------------
r3505 | massiot | 2003-02-03 01:00:42 +0100 (Mon, 03 Feb 2003) | 2 lines
Changed paths:
   M /trunk/po/de.po

German translation, croutesy of Felix Kuehne.

------------------------------------------------------------------------
r3506 | sam | 2003-02-03 01:23:18 +0100 (Mon, 03 Feb 2003) | 2 lines
Changed paths:
   M /trunk/debian/control

  * ./debian/control: missing build dependencies.

------------------------------------------------------------------------
r3507 | sam | 2003-02-03 01:39:42 +0100 (Mon, 03 Feb 2003) | 2 lines
Changed paths:
   M /trunk/configure.ac.in
   M /trunk/modules/audio_output/alsa.c

  * ./modules/audio_output/alsa.c: Woody ALSA compilation fix.

------------------------------------------------------------------------
r3508 | sam | 2003-02-03 01:43:12 +0100 (Mon, 03 Feb 2003) | 2 lines
Changed paths:
   M /trunk/ChangeLog
   M /trunk/po/de.po
   M /trunk/po/en_GB.po
   M /trunk/po/fr.po
   M /trunk/po/it.po
   M /trunk/po/ja.po
   M /trunk/po/nl.po
   M /trunk/po/no.po
   M /trunk/po/pl.po
   M /trunk/po/ru.po
   M /trunk/po/sv.po
   M /trunk/po/vlc.pot

  * Updated ChangeLog and pofiles.

------------------------------------------------------------------------
r3509 | sam | 2003-02-03 01:56:39 +0100 (Mon, 03 Feb 2003) | 2 lines
Changed paths:
   M /trunk/share/Makefile.am

  * ./share/Makefile.am: we weren't distributing the font!

------------------------------------------------------------------------
r3510 | sam | 2003-02-03 02:32:37 +0100 (Mon, 03 Feb 2003) | 3 lines
Changed paths:
   M /trunk/debian/woody-buildpackage
   M /trunk/modules/visualization/xosd/xosd.c

  * ./modules/visualization/xosd/xosd.c: Woody compilation fixed.
  * ./debian/woody-buildpackage: sed syntax fixed.

------------------------------------------------------------------------
r3511 | sam | 2003-02-03 03:26:28 +0100 (Mon, 03 Feb 2003) | 2 lines
Changed paths:
   M /trunk/debian/rules
   M /trunk/debian/woody-buildpackage

  * ./debian/rules: more Debian Woody fixes. Grrrr!

------------------------------------------------------------------------
r3512 | alexis | 2003-02-03 12:25:44 +0100 (Mon, 03 Feb 2003) | 3 lines
Changed paths:
   M /trunk/doc/common/stylesheet-html.dsl
   M /trunk/doc/common/stylesheet-print-noicones.dsl
   M /trunk/doc/faq/faq-alone.sgml
   M /trunk/doc/faq/faq.sgml
   D /trunk/doc/faq/fdl.sgml

Article format, instead of book format.
Few typos.

------------------------------------------------------------------------
r3513 | alexis | 2003-02-03 17:07:50 +0100 (Mon, 03 Feb 2003) | 2 lines
Changed paths:
   M /trunk/doc/faq/Makefile

Small fix.

------------------------------------------------------------------------
r3514 | stippi | 2003-02-03 18:18:48 +0100 (Mon, 03 Feb 2003) | 31 lines
Changed paths:
   M /trunk/modules/gui/beos/InterfaceWindow.cpp
   M /trunk/modules/gui/beos/ListViews.cpp
   M /trunk/modules/gui/beos/ListViews.h
   M /trunk/modules/gui/beos/MediaControlView.cpp
   M /trunk/modules/gui/beos/MsgVals.h
   M /trunk/modules/gui/beos/PlayListWindow.cpp
   M /trunk/modules/gui/beos/PlayListWindow.h

modules/gui/beos/InterfaceWindow.h/.cpp

	- improved file loading:
		- contents of sub folders can optionally be loaded too
		- files are loaded in expected order from filepanel
			_and_ drag'n'drop
		- file panel accepts folders to load
	- saving of playlist's display mode
	- added updating of interface when playlist is modified
		while nothing is playing
	- added compatibility for SoundPlay's drag'n'drop message format


modules/gui/beos/ListViews.h/.cpp

	- implemented reversal of playlist
	- list can display full path or file name only
	- drag'n'drop interaction with SoundPlay


modules/gui/beos/MediaControlView.cpp

	- cosmetic fix


modules/gui/beos/PlayListWindow.h/.cpp

	- added reverse sort command to edit menu
	- added view menu, to allow the user to display paths
		or only names in the list

------------------------------------------------------------------------
r3515 | sam | 2003-02-03 20:45:29 +0100 (Mon, 03 Feb 2003) | 2 lines
Changed paths:
   M /trunk/debian/woody-buildpackage

  * ./debian/woody-buildpackage: enabled build-deps checking.

------------------------------------------------------------------------
r3516 | massiot | 2003-02-03 22:38:54 +0100 (Mon, 03 Feb 2003) | 2 lines
Changed paths:
   M /trunk/configure.ac.in

Now developing 0.5.1-cvs.

------------------------------------------------------------------------
r3517 | sam | 2003-02-03 22:47:08 +0100 (Mon, 03 Feb 2003) | 3 lines
Changed paths:
   M /trunk/bootstrap

  * ./bootstrap: we don't fail if gettext is too old and there is no
    ABOUT-NLS in the tree.

------------------------------------------------------------------------
r3518 | massiot | 2003-02-04 11:07:40 +0100 (Tue, 04 Feb 2003) | 2 lines
Changed paths:
   M /trunk/modules/access/ftp.c
   M /trunk/modules/access/http.c
   M /trunk/modules/access/udp.c

* modules/access/*: Fixed compilation problems with "struct timeval".

------------------------------------------------------------------------
r3519 | massiot | 2003-02-04 12:07:45 +0100 (Tue, 04 Feb 2003) | 3 lines
Changed paths:
   M /trunk/modules/demux/mpeg/system.c
   M /trunk/modules/demux/mpeg/ts.c

* modules/demux/mpeg/*: Fixed an uninitialized variable with TS streams
  (thanks gibalou !).

------------------------------------------------------------------------
r3520 | massiot | 2003-02-04 12:51:21 +0100 (Tue, 04 Feb 2003) | 3 lines
Changed paths:
   M /trunk/modules/codec/mpeg_video/headers.c
   M /trunk/modules/codec/mpeg_video/parser.h

* modules/codec/mpeg_video/*: Support for Slice-I (aka intra slice refresh)
  streams.

------------------------------------------------------------------------
r3521 | hartman | 2003-02-04 21:45:24 +0100 (Tue, 04 Feb 2003) | 2 lines
Changed paths:
   M /trunk/src/misc/darwin_specific.m

* We released an array that was in a autorelease pool. That's not necesarry

------------------------------------------------------------------------
r3522 | jpsaman | 2003-02-04 22:01:51 +0100 (Tue, 04 Feb 2003) | 2 lines
Changed paths:
   M /trunk/ipkg/control
   M /trunk/ipkg/control.gpe
   M /trunk/ipkg/control.opie

Closes bug #170

------------------------------------------------------------------------
r3523 | hartman | 2003-02-05 02:36:00 +0100 (Wed, 05 Feb 2003) | 4 lines
Changed paths:
   M /trunk/extras/MacOSX/Resources/English.lproj/MainMenu.nib/classes.nib
   M /trunk/extras/MacOSX/Resources/English.lproj/MainMenu.nib/info.nib
   M /trunk/extras/MacOSX/Resources/English.lproj/MainMenu.nib/objects.nib
   M /trunk/extras/MacOSX/vlc.pbproj/project.pbxproj
   M /trunk/modules/gui/macosx/intf.h
   M /trunk/modules/gui/macosx/intf.m

* Added a Next and Previous item to the dockmenu
* Prelimanary support for making VLC the handler of ftp http mms and udp
  URLs (on a systemwide level)

------------------------------------------------------------------------
r3524 | hartman | 2003-02-05 03:31:27 +0100 (Wed, 05 Feb 2003) | 2 lines
Changed paths:
   M /trunk/modules/gui/macosx/open.h
   M /trunk/modules/gui/macosx/open.m

* More support for handling URLs. Still need to create the scriptsuite.

------------------------------------------------------------------------
r3525 | hartman | 2003-02-05 15:58:15 +0100 (Wed, 05 Feb 2003) | 4 lines
Changed paths:
   A /trunk/extras/MacOSX/Resources/English.lproj/vlc.scriptTerminology
   A /trunk/extras/MacOSX/Resources/vlc.scriptSuite
   M /trunk/extras/MacOSX/vlc.pbproj/project.pbxproj
   M /trunk/modules/gui/macosx/open.m

* Added AppleScript support
* We can now handle mms:// etc on a systemwide level.
  - No way to set this other then trough Explorer Prefs at the moment

------------------------------------------------------------------------
r3526 | hartman | 2003-02-05 17:23:06 +0100 (Wed, 05 Feb 2003) | 2 lines
Changed paths:
   M /trunk/extras/MacOSX/Resources/English.lproj/MainMenu.nib/classes.nib
   M /trunk/extras/MacOSX/Resources/English.lproj/MainMenu.nib/info.nib
   M /trunk/extras/MacOSX/Resources/English.lproj/MainMenu.nib/objects.nib
   M /trunk/modules/gui/macosx/intf.h
   M /trunk/modules/gui/macosx/intf.m

* added a "Open CrashLog" button to the messages window in OSX.

------------------------------------------------------------------------
r3527 | sam | 2003-02-05 23:11:52 +0100 (Wed, 05 Feb 2003) | 3 lines
Changed paths:
   M /trunk/modules/gui/gtk/display.c
   M /trunk/modules/gui/gtk/gnome.c
   M /trunk/modules/gui/gtk/gnome.glade
   M /trunk/modules/gui/gtk/gnome_interface.c
   M /trunk/modules/gui/gtk/gtk.c
   M /trunk/modules/gui/gtk/gtk.glade
   M /trunk/modules/gui/gtk/gtk_callbacks.c
   M /trunk/modules/gui/gtk/gtk_interface.c
   M /trunk/modules/gui/gtk/menu.c

  * ./modules/gui/gtk/gtk_callbacks.c: fixed a bug that caused crashes when
    doing fullscreen or volume up from the popup menu.

------------------------------------------------------------------------
r3528 | hartman | 2003-02-05 23:48:13 +0100 (Wed, 05 Feb 2003) | 2 lines
Changed paths:
   M /trunk/modules/gui/macosx/open.m

* Changed the wrong property in my recent commit. FIXED

------------------------------------------------------------------------
r3529 | sam | 2003-02-06 01:45:26 +0100 (Thu, 06 Feb 2003) | 2 lines
Changed paths:
   M /trunk/doc/faq/faq.sgml

  * ./doc/faq/faq.sgml: updated config file location for OS X.

------------------------------------------------------------------------
r3530 | sam | 2003-02-06 03:37:00 +0100 (Thu, 06 Feb 2003) | 3 lines
Changed paths:
   M /trunk/configure.ac.in

  * ./configure.ac.in: libmad and liba52 need to be explicitely disabled,
    otherwise we fail with an error when they are not found.

------------------------------------------------------------------------
r3531 | sam | 2003-02-06 04:22:08 +0100 (Thu, 06 Feb 2003) | 5 lines
Changed paths:
   M /trunk/configure.ac.in
   M /trunk/modules/misc/Modules.am
   A /trunk/modules/misc/screensaver.c

  * ./modules/misc/screensaver.c: screen saver disabling plugin; runs a thread
    in the background to disable xscreensaver the jwz way (Closes: #58).

    It's an interface plugin, trigger with "--extraintf screensaver".

------------------------------------------------------------------------
r3532 | hartman | 2003-02-06 14:47:04 +0100 (Thu, 06 Feb 2003) | 3 lines
Changed paths:
   M /trunk/modules/gui/macosx/vout.m

* Changed a failed DecompressSequenceFrameS error into a warning. We don't
  want to bug users with this when we resize a video.

------------------------------------------------------------------------
r3533 | massiot | 2003-02-06 16:14:41 +0100 (Thu, 06 Feb 2003) | 2 lines
Changed paths:
   M /trunk/include/audio_output.h
   M /trunk/modules/audio_output/oss.c

Fixed AFMT_AC3 and AFMT_S16_NE handling.

------------------------------------------------------------------------
r3534 | titer | 2003-02-06 22:39:34 +0100 (Thu, 06 Feb 2003) | 2 lines
Changed paths:
   M /trunk/include/vlc_threads.h

 Tuned BeOS priorities for a better playback on low-end computers.

------------------------------------------------------------------------
r3535 | sam | 2003-02-06 22:56:37 +0100 (Thu, 06 Feb 2003) | 2 lines
Changed paths:
   M /trunk/debian/control
   M /trunk/debian/rules

  * ./debian/rules: build the SLP plugin by default.

------------------------------------------------------------------------
r3536 | sam | 2003-02-07 00:01:31 +0100 (Fri, 07 Feb 2003) | 3 lines
Changed paths:
   M /trunk/src/misc/darwin_specific.m

  * ./src/misc/darwin_specific.m: completed our list of known languages and
    made code simpler to read.

------------------------------------------------------------------------
r3537 | massiot | 2003-02-07 00:55:29 +0100 (Fri, 07 Feb 2003) | 2 lines
Changed paths:
   M /trunk/include/vlc_threads.h
   M /trunk/modules/gui/macosx/intf.m
   M /trunk/src/input/input_ext-plugins.c

Fixed interface freezes in the OS X interface.

------------------------------------------------------------------------
r3538 | sam | 2003-02-07 00:59:40 +0100 (Fri, 07 Feb 2003) | 6 lines
Changed paths:
   M /trunk/include/interface.h
   M /trunk/modules/access/dvdplay/demux.c
   M /trunk/modules/control/rc/rc.c
   M /trunk/modules/gui/win32/menu.cpp
   M /trunk/src/interface/interface.c
   M /trunk/src/libvlc.c

  * ./modules/access/dvdplay/demux.c: the dvdplay plugin no longer sets the
    "interface" variable to "dvdplay" (Closes: #178, #210, and probably a
    bunch of others).
  * ./src/interface/interface.c: added a safety check to circumvent the bug,
    allowing a smooth upgrade.

------------------------------------------------------------------------
r3539 | sam | 2003-02-07 01:26:23 +0100 (Fri, 07 Feb 2003) | 2 lines
Changed paths:
   M /trunk/include/interface.h
   M /trunk/modules/access/dvdplay/demux.c

  * ./modules/access/dvdplay/demux.c: fixed a minor warning.

------------------------------------------------------------------------
r3540 | sam | 2003-02-07 01:29:53 +0100 (Fri, 07 Feb 2003) | 3 lines
Changed paths:
   M /trunk/include/interface.h
   M /trunk/modules/access/dvdplay/demux.c

  * ./include/interface.h: grmbl, I forgot VLC_EXPORT did not support multiline
    declarations. Should fix that later.

------------------------------------------------------------------------
r3541 | sam | 2003-02-07 02:09:12 +0100 (Fri, 07 Feb 2003) | 2 lines
Changed paths:
   M /trunk/src/interface/interface.c

  * ./src/interface/interface.c: interface variable is "intf", not "interface".

------------------------------------------------------------------------
r3542 | fenrir | 2003-02-07 02:22:55 +0100 (Fri, 07 Feb 2003) | 4 lines
Changed paths:
   M /trunk/modules/codec/ffmpeg/audio.c
   M /trunk/modules/codec/ffmpeg/audio.h
   M /trunk/modules/demux/mp4/libmp4.c
   M /trunk/modules/demux/mp4/mp4.c
   M /trunk/modules/demux/mpeg/audio.c

 * ffmpeg/audio : removed an old error (anyway it was harmless).
 * mp4 : removed a bad initialisation. Erased all ending spaces.
 * mpeg/audio : send i_rate to decoder (not yet usefull but ...)

------------------------------------------------------------------------
r3543 | hartman | 2003-02-07 02:31:14 +0100 (Fri, 07 Feb 2003) | 2 lines
Changed paths:
   M /trunk/extras/MacOSX/vlc.pbproj/project.pbxproj
   M /trunk/modules/gui/macosx/playlist.m

* When you push backspace or delete in the playlist, it removes the selected item.

------------------------------------------------------------------------
r3544 | hartman | 2003-02-07 02:32:34 +0100 (Fri, 07 Feb 2003) | 2 lines
Changed paths:
   M /trunk/extras/MacOSX/vlc.pbproj/project.pbxproj

* grrr changed the project file by accident. revert

------------------------------------------------------------------------
r3545 | yves | 2003-02-07 10:17:37 +0100 (Fri, 07 Feb 2003) | 6 lines
Changed paths:
   M /trunk/vlc.spec

- added missing buildrequires
- now autodetect on wich system we are:
  rpm --rebuild should work out of box on rh and previous mdk systems.
- NO buildrequires on rh-like system. rh does not have a devel policy
- more redhat stuff: NO menu (i do not know their "propriatory" menu system yet)

------------------------------------------------------------------------
r3546 | massiot | 2003-02-07 17:51:39 +0100 (Fri, 07 Feb 2003) | 2 lines
Changed paths:
   M /trunk/modules/codec/mpeg_video/headers.c

Fixed a buffer leak with slice-I streams (thanks sam).

------------------------------------------------------------------------
r3547 | ipkiss | 2003-02-07 19:43:27 +0100 (Fri, 07 Feb 2003) | 3 lines
Changed paths:
   M /trunk/modules/gui/win32/messages.cpp
   M /trunk/modules/gui/win32/messages.dfm
   M /trunk/modules/gui/win32/messages.h

 * Fixed the "RichEdit line insertion error" bug (closes #246)
 * Added a popup menu to copy log messages to the clipboard

------------------------------------------------------------------------
r3548 | hartman | 2003-02-07 21:23:17 +0100 (Fri, 07 Feb 2003) | 4 lines
Changed paths:
   M /trunk/extras/MacOSX/Resources/English.lproj/MainMenu.nib/classes.nib
   M /trunk/extras/MacOSX/Resources/English.lproj/MainMenu.nib/info.nib
   M /trunk/extras/MacOSX/Resources/English.lproj/MainMenu.nib/objects.nib
   M /trunk/modules/gui/macosx/controls.m
   M /trunk/modules/gui/macosx/intf.h
   M /trunk/modules/gui/macosx/intf.m
   M /trunk/modules/gui/macosx/vout.h
   M /trunk/modules/gui/macosx/vout.m

* added half, normal and full size videowindow menuitems.
  there seems to be a bug though somewhere. you end up with black bars in
  half and double size.

------------------------------------------------------------------------
r3549 | alexis | 2003-02-07 21:49:10 +0100 (Fri, 07 Feb 2003) | 3 lines
Changed paths:
   M /trunk/doc/faq/faq.sgml

- FAQ : the first question of the "troubleshooting" section now tells the
user to delete VLC's configuration file.

------------------------------------------------------------------------
r3550 | hartman | 2003-02-07 22:30:25 +0100 (Fri, 07 Feb 2003) | 6 lines
Changed paths:
   M /trunk/modules/gui/macosx/controls.m
   M /trunk/modules/gui/macosx/vout.h
   M /trunk/modules/gui/macosx/vout.m

* Resize window fixes
  - we should not resize the window in fullscreen
  - fixed the black bars bug in half and double size
  - position of top left corner should not change
  - more efficient code

------------------------------------------------------------------------
r3551 | marcari | 2003-02-08 00:36:55 +0100 (Sat, 08 Feb 2003) | 7 lines
Changed paths:
   M /trunk/modules/access/ftp.c
   M /trunk/modules/access/http.c
   M /trunk/modules/access/mms/mms.c
   M /trunk/modules/access/udp.c
   M /trunk/modules/misc/network/ipv6.c

glibc 2.1 port for linupy (linux on a yopy pda)

* modules/access/*.c : added include <sys/time.h> for struct timeval
* ipv6.c : ipv6 is not fully supported under glibc2.1 (especially multicast)

VLC rulz on Yopy !

------------------------------------------------------------------------
r3552 | massiot | 2003-02-08 18:26:00 +0100 (Sat, 08 Feb 2003) | 4 lines
Changed paths:
   M /trunk/configure.ac.in
   M /trunk/extras/MacOSX/vlc.pbproj/project.pbxproj
   M /trunk/modules/gui/macosx/controls.m
   M /trunk/modules/gui/macosx/intf.h
   M /trunk/modules/gui/macosx/intf.m
   M /trunk/modules/gui/macosx/vout.m
   M /trunk/po/POTFILES.in
   M /trunk/po/fr.po
   M /trunk/src/audio_output/output.c

* configure.ac.in: Disabled Swedish translation since it doesn't use the
  right charset,
* Implemented localization for audio-channels and video-device variables.

------------------------------------------------------------------------
r3553 | massiot | 2003-02-08 20:10:22 +0100 (Sat, 08 Feb 2003) | 5 lines
Changed paths:
   M /trunk/modules/access/http.c
   M /trunk/modules/audio_output/file.c
   M /trunk/modules/codec/ffmpeg/ffmpeg.c
   M /trunk/modules/demux/mpeg/system.c
   M /trunk/modules/demux/mpeg/system.h
   M /trunk/modules/demux/mpeg/ts.c
   M /trunk/modules/demux/util/sub.c
   M /trunk/modules/gui/macosx/controls.m
   M /trunk/modules/gui/win32/strings.cpp
   M /trunk/po/de.po
   M /trunk/po/en_GB.po
   M /trunk/po/fr.po
   M /trunk/po/it.po
   M /trunk/po/ja.po
   M /trunk/po/nl.po
   M /trunk/po/no.po
   M /trunk/po/pl.po
   M /trunk/po/ru.po
   M /trunk/po/sv.po
   M /trunk/po/vlc.pot
   M /trunk/src/libvlc.h

* Fixed misc typos in strings,
* Updated po files,
* New --buggy-psi options, to supports streams which don't update the
continuity counter in their PSI packets (walkenizes #sam).

------------------------------------------------------------------------
r3554 | asmax | 2003-02-08 20:14:36 +0100 (Sat, 08 Feb 2003) | 3 lines
Changed paths:
   M /trunk/po/sv.po

* fixed the encoding
  (Meuuh you can re-enable swedish ;)

------------------------------------------------------------------------
r3555 | massiot | 2003-02-08 21:32:44 +0100 (Sat, 08 Feb 2003) | 3 lines
Changed paths:
   M /trunk/modules/codec/mpeg_video/parser.c
   M /trunk/modules/gui/macosx/intf.m

* modules/codec/mpeg_video/parser.c: Do not stop decoding on SEQUENCE_END_CODE
* modules/gui/macosx/intf.m: VLC _m_edia _p_layer.

------------------------------------------------------------------------
r3556 | hartman | 2003-02-08 22:43:26 +0100 (Sat, 08 Feb 2003) | 3 lines
Changed paths:
   M /trunk/modules/gui/macosx/vout.h
   M /trunk/modules/gui/macosx/vout.m

* window half/normal/double Size commands
  - black bar issue is not fixed. i removed 'myfix'

------------------------------------------------------------------------
r3557 | massiot | 2003-02-08 23:20:28 +0100 (Sat, 08 Feb 2003) | 9 lines
Changed paths:
   M /trunk/Makefile.am
   M /trunk/configure.ac.in
   M /trunk/include/input_ext-intf.h
   M /trunk/include/vlc_common.h
   M /trunk/modules/access/dvd/access.c
   M /trunk/modules/access/file.c
   M /trunk/modules/gui/macosx/prefs.h
   M /trunk/modules/gui/macosx/prefs.m
   M /trunk/po/fr.po
   M /trunk/src/extras/libc.c
   M /trunk/src/input/input.c

* src/extras/libc.c: New vlc_wraptext function,
* modules/gui/macosx/prefs.m: Wrap tool tips to 60 characters,
* src/input/input.c: Correctly parse MRL of the type
  /Volumes/toto:titi/coincoin.mpg (closes #238 & #186)
* modules/access/*: Changed some msg_Warn into msg_Err
* po/fr.po: Updated French translation,
* configure.ac.in: Re-enabled Swedish translation,
* Makefile.am: Do not recompile everything everytime someone changes a .h

------------------------------------------------------------------------
r3558 | massiot | 2003-02-08 23:43:02 +0100 (Sat, 08 Feb 2003) | 2 lines
Changed paths:
   M /trunk/src/input/input.c

Fixed previous commit.

------------------------------------------------------------------------
r3559 | massiot | 2003-02-09 02:13:43 +0100 (Sun, 09 Feb 2003) | 6 lines
Changed paths:
   M /trunk/include/aout_internal.h
   M /trunk/include/audio_output.h
   M /trunk/modules/control/rc/rc.c
   M /trunk/modules/gui/macosx/controls.m
   M /trunk/modules/gui/macosx/intf.m
   M /trunk/src/audio_output/intf.c
   M /trunk/src/libvlc.h

* aout_Volume* functions now do their own vlc_object_find() on the
  audio output. Consequently, the first argument can be any vlc_object_t.
* modules/gui/macosx/*: greatly simplified volume functions ; you can now
  call aout_Volume* even when there is no audio output, and the volume
  will be saved for later use.

------------------------------------------------------------------------
r3560 | massiot | 2003-02-09 02:50:35 +0100 (Sun, 09 Feb 2003) | 2 lines
Changed paths:
   M /trunk/extras/MacOSX/Resources/English.lproj/MainMenu.nib/classes.nib
   M /trunk/extras/MacOSX/Resources/English.lproj/MainMenu.nib/info.nib
   M /trunk/extras/MacOSX/Resources/English.lproj/MainMenu.nib/objects.nib
   M /trunk/modules/gui/macosx/controls.m
   M /trunk/modules/gui/macosx/intf.h
   M /trunk/modules/gui/macosx/intf.m

* Added Step forward/Step backward feature.

------------------------------------------------------------------------
r3561 | massiot | 2003-02-09 02:56:21 +0100 (Sun, 09 Feb 2003) | 2 lines
Changed paths:
   M /trunk/modules/gui/gtk/gtk_callbacks.c

Fixed GTK compilation.

------------------------------------------------------------------------
r3562 | ipkiss | 2003-02-09 03:01:21 +0100 (Sun, 09 Feb 2003) | 3 lines
Changed paths:
   M /trunk/modules/gui/win32/mainframe.cpp

 * modules/gui/win32/mainframe.cpp: simplifications using the new
   aout_Volume* API

------------------------------------------------------------------------
r3563 | titer | 2003-02-09 12:51:36 +0100 (Sun, 09 Feb 2003) | 2 lines
Changed paths:
   M /trunk/modules/gui/beos/Interface.cpp
   M /trunk/modules/gui/beos/InterfaceWindow.cpp
   M /trunk/modules/gui/beos/VlcWrapper.cpp
   M /trunk/modules/gui/beos/VlcWrapper.h

 Simplified volume functions

------------------------------------------------------------------------
r3564 | sam | 2003-02-09 13:18:40 +0100 (Sun, 09 Feb 2003) | 2 lines
Changed paths:
   M /trunk/modules/gui/kde/interface.cpp
   M /trunk/modules/gui/kde/preferences.cpp

  * ./modules/gui/kde/preferences.cpp: fixed KDE 3.1 compilation.

------------------------------------------------------------------------
r3565 | sam | 2003-02-09 13:19:09 +0100 (Sun, 09 Feb 2003) | 3 lines
Changed paths:
   M /trunk/modules/video_filter/transform.c

  * ./modules/video_filter/transform.c: fixed a stupid typo preventing
    initialization of the plugin.

------------------------------------------------------------------------
r3566 | sam | 2003-02-09 13:21:05 +0100 (Sun, 09 Feb 2003) | 4 lines
Changed paths:
   M /trunk/debian/control
   M /trunk/debian/rules
   M /trunk/debian/woody-buildpackage

  * ./debian/control: made lintian happier with package descriptions.
  * ./debian/rules: added extra touch calls to prevent autobuilders from
    launching autoconf/automake.

------------------------------------------------------------------------
r3567 | sam | 2003-02-09 13:23:28 +0100 (Sun, 09 Feb 2003) | 2 lines
Changed paths:
   M /trunk/configure.ac.in

  * ./configure.ac.in: fiddled with linking flags for the KDE plugin.

------------------------------------------------------------------------
r3568 | fenrir | 2003-02-09 14:25:42 +0100 (Sun, 09 Feb 2003) | 2 lines
Changed paths:
   M /trunk/modules/demux/util/sub.c

 * sub.c : begun clean up

------------------------------------------------------------------------
r3569 | stippi | 2003-02-09 18:10:52 +0100 (Sun, 09 Feb 2003) | 35 lines
Changed paths:
   M /trunk/include/vlc_config.h
   M /trunk/modules/gui/beos/BeOS.cpp
   M /trunk/modules/gui/beos/InterfaceWindow.cpp
   M /trunk/modules/gui/beos/InterfaceWindow.h
   M /trunk/modules/gui/beos/MsgVals.h
   M /trunk/modules/gui/beos/PreferencesWindow.cpp
   M /trunk/modules/gui/beos/PreferencesWindow.h
   M /trunk/modules/gui/beos/VideoOutput.cpp
   M /trunk/modules/gui/beos/VlcWrapper.cpp


modules/gui/beos/PreferenceWindow.h/.cpp

	- added settings for screenshot path and image format

	- removed "Save" button, added "Cancel" and "Revert" buttons

	- added revert functionality

	- changed class design for cleaner functionality,
		separated ApplyChanges() into more functions
		to have finer control

	- added more error checking and fixed memory leaks
		(config_GetPsz() returns char*, not const char*!)

	- all settings are now correctly saved and restored

	- some more cosmetic changes


modules/gui/beos/InterfaceWindow.h/.cpp

	- updated vlc way of saving settings to be on par with BeOS way
		and made it selectable in the code which way is used.
		However, the VideoSettings are still only savable in
		the BeOS way.

	- if dvd menus are used, the navigation menu enables a
		"Goto Menu" item. Unfortunately, I don't see a clean
		way to really detect the usage of dvd/dvdold in the
		currently playing stream. I wouldn't want to see
		if a playlist item has "dvd:" or "dvdold:" prepended
		at each interface update.

------------------------------------------------------------------------
r3570 | massiot | 2003-02-09 20:28:43 +0100 (Sun, 09 Feb 2003) | 3 lines
Changed paths:
   M /trunk/extras/MacOSX/Resources/English.lproj/MainMenu.nib/objects.nib
   M /trunk/modules/gui/macosx/intf.m
   M /trunk/modules/gui/macosx/open.m
   M /trunk/modules/gui/macosx/prefs.m

* Minor typographic corrections,
* Fixed a segfault in the Preferences window.

------------------------------------------------------------------------
r3571 | sigmunau | 2003-02-10 00:42:06 +0100 (Mon, 10 Feb 2003) | 7 lines
Changed paths:
   M /trunk/modules/Makefile.am
   A /trunk/modules/control/Modules.am
   A /trunk/modules/control/gestures.c
   M /trunk/modules/video_output/x11/xcommon.c
   M /trunk/src/video_output/video_output.c

 *: a new mouse gestures interface, currently supporting back, forward, quit
fullscreen and a nice debug message when you draw a clockwise square. Video
output modules needs to be modified for this to work, but it should be minor
in modules supporting dvd navigation.

btw: it should be easy to add new gestures, ideas appreciated

------------------------------------------------------------------------
r3572 | hartman | 2003-02-10 01:16:51 +0100 (Mon, 10 Feb 2003) | 4 lines
Changed paths:
   M /trunk/modules/gui/macosx/controls.m

* restored old deinterlace menu. The on the fly code does not work as long
  as the vout.m issue exists. but this is better then the current 'dummy'
  code we have.

------------------------------------------------------------------------
r3573 | massiot | 2003-02-10 01:16:53 +0100 (Mon, 10 Feb 2003) | 3 lines
Changed paths:
   M /trunk/configure.ac.in
   M /trunk/po/de.po
   M /trunk/po/en_GB.po
   M /trunk/po/fr.po
   M /trunk/po/it.po
   M /trunk/po/ja.po
   M /trunk/po/nl.po
   M /trunk/po/no.po
   M /trunk/po/pl.po
   M /trunk/po/ru.po
   M /trunk/po/sv.po
   M /trunk/po/vlc.pot

* Enabled the gestures module by default,
* Run --update-po.

------------------------------------------------------------------------
r3574 | hartman | 2003-02-10 01:41:45 +0100 (Mon, 10 Feb 2003) | 2 lines
Changed paths:
   M /trunk/modules/gui/macosx/controls.m

* another proof that the copy command in IE for Mac sucks. stupid stray chars.

------------------------------------------------------------------------
r3575 | titer | 2003-02-10 16:23:46 +0100 (Mon, 10 Feb 2003) | 3 lines
Changed paths:
   M /trunk/modules/gui/beos/InterfaceWindow.cpp
   M /trunk/modules/gui/beos/InterfaceWindow.h
   M /trunk/modules/gui/beos/MessagesWindow.cpp
   M /trunk/modules/gui/beos/MessagesWindow.h

  Move the messages update function to another thread. It prevents it from
 freezing the main window (cannot seek anymore, etc).

------------------------------------------------------------------------
r3576 | sam | 2003-02-10 17:53:34 +0100 (Mon, 10 Feb 2003) | 3 lines
Changed paths:
   M /trunk/src/misc/threads.c

  * ./src/misc/threads.c: fixed compilation of the gprof wrapper trick.
    (partially fixes #260)

------------------------------------------------------------------------
r3577 | massiot | 2003-02-10 18:43:21 +0100 (Mon, 10 Feb 2003) | 3 lines
Changed paths:
   M /trunk/modules/audio_output/alsa.c
   M /trunk/modules/audio_output/oss.c

* modules/audio_output/alsa.c: Fixed mono files output (thanks bozo !),
* Minor fixes.

------------------------------------------------------------------------
r3578 | sam | 2003-02-10 19:12:30 +0100 (Mon, 10 Feb 2003) | 4 lines
Changed paths:
   M /trunk/configure.ac.in

  * ./configure.ac.in: disabled the i420_yuy2_mmx plugin when profiling with
    gprof, because gcc is unable to build it without -fomit-frame-pointer
    (Closes: #260).

------------------------------------------------------------------------
r3579 | sam | 2003-02-10 21:11:14 +0100 (Mon, 10 Feb 2003) | 3 lines
Changed paths:
   M /trunk/src/misc/modules_plugin.h.in

  * ./src/misc/modules_plugin.h.in: when opening the KDE plugin, we first
    dlopen(libstdc++) to avoid dlopen(kde_plugin) from crashing. Call me evil.

------------------------------------------------------------------------
r3580 | sam | 2003-02-10 21:57:58 +0100 (Mon, 10 Feb 2003) | 3 lines
Changed paths:
   M /trunk/debian/control

  * ./debian/control: added the "VideoLAN" word in the long description so
    that "apt-cache search videolan" returns vlc.

------------------------------------------------------------------------
r3581 | sam | 2003-02-10 22:11:17 +0100 (Mon, 10 Feb 2003) | 3 lines
Changed paths:
   M /trunk/debian/rules

  * ./debian/rules: removed Debian kludges that do not really belong to the
    official VLC tree.

------------------------------------------------------------------------
r3582 | hartman | 2003-02-10 22:28:16 +0100 (Mon, 10 Feb 2003) | 3 lines
Changed paths:
   M /trunk/modules/gui/macosx/vout.m

* fixed the black bar issue with window half/normal/double window sizes in
  OSX. i had forgotten the aspectratio.

------------------------------------------------------------------------
r3583 | sam | 2003-02-10 22:46:45 +0100 (Mon, 10 Feb 2003) | 2 lines
Changed paths:
   M /trunk/debian/rules

  * ./debian/rules: added missing icon in the vlc and wxvlc packages.

------------------------------------------------------------------------
r3584 | hartman | 2003-02-10 22:54:03 +0100 (Mon, 10 Feb 2003) | 2 lines
Changed paths:
   M /trunk/modules/gui/macosx/playlist.m

* only show last part of of file/url name in the playlist.

------------------------------------------------------------------------
r3585 | sam | 2003-02-10 22:56:25 +0100 (Mon, 10 Feb 2003) | 2 lines
Changed paths:
   M /trunk/debian/rules

  * ./debian/rules: added code to avoid timestamp skews in the faad tree.

------------------------------------------------------------------------
r3586 | hartman | 2003-02-10 23:18:41 +0100 (Mon, 10 Feb 2003) | 2 lines
Changed paths:
   M /trunk/modules/gui/macosx/vout.m

* The dock should no longer be visible in fullscreen mode.

------------------------------------------------------------------------
r3587 | massiot | 2003-02-10 23:22:06 +0100 (Mon, 10 Feb 2003) | 3 lines
Changed paths:
   M /trunk/extras/MacOSX/vlc.pbproj/project.pbxproj
   M /trunk/po/de.po
   M /trunk/po/en_GB.po
   M /trunk/po/fr.po
   M /trunk/po/it.po
   M /trunk/po/ja.po
   M /trunk/po/nl.po
   M /trunk/po/no.po
   M /trunk/po/pl.po
   M /trunk/po/ru.po
   M /trunk/po/sv.po
   M /trunk/po/vlc.pot

* I ran --update-po for the last time before the 0.5.1 release (and I
mean it !)

------------------------------------------------------------------------
r3588 | hartman | 2003-02-11 00:04:40 +0100 (Tue, 11 Feb 2003) | 4 lines
Changed paths:
   M /trunk/modules/gui/macosx/vout.m

* the window of the video shows the official document icon, filename and
  when command-clicked the path if the stream is a local file.
  this is the expected window behaviour in osx.

------------------------------------------------------------------------
r3589 | marcari | 2003-02-11 00:16:37 +0100 (Tue, 11 Feb 2003) | 3 lines
Changed paths:
   M /trunk/modules/video_output/sdl.c

 * sdl.c : added includes (vlc/aout.h & aout_internal.h)
    => to make volumeup/down compile

------------------------------------------------------------------------
r3590 | massiot | 2003-02-11 00:50:08 +0100 (Tue, 11 Feb 2003) | 2 lines
Changed paths:
   M /trunk/modules/video_output/sdl.c

* modules/video_output/sdl.c: Real fix for the aout_Volume* problem.

------------------------------------------------------------------------
r3591 | massiot | 2003-02-11 12:16:04 +0100 (Tue, 11 Feb 2003) | 3 lines
Changed paths:
   M /trunk/include/audio_output.h
   M /trunk/modules/audio_filter/channel_mixer/headphone.c
   M /trunk/modules/codec/lpcm.c
   M /trunk/src/audio_output/common.c

* modules/codec/lpcm.c: Attempt at supporting all channel configurations,
* Support for 7 and 7.1 channel configurations.

------------------------------------------------------------------------
r3592 | hartman | 2003-02-11 16:24:58 +0100 (Tue, 11 Feb 2003) | 8 lines
Changed paths:
   M /trunk/README.MacOSX.rtf

* Updated ReadMe file
  - some spelling issues
  - remark about the current troubles with sound
  - readded deinterlace remark
  - Added info on multiple screens and sound devices
  - updated the bugreporting URL
  - Changed all occurences of vlc into VLC where appropriate

------------------------------------------------------------------------
r3593 | hartman | 2003-02-11 16:35:29 +0100 (Tue, 11 Feb 2003) | 4 lines
Changed paths:
   M /trunk/Makefile.am
   M /trunk/extras/MacOSX/Resources/English.lproj/InfoPlist.strings
   M /trunk/extras/MacOSX/vlc.pbproj/project.pbxproj
   M /trunk/modules/gui/macosx/intf.m
   M /trunk/modules/gui/macosx/vout.m

ALL: - changed vlc.app into VLC.app
modules/gui/macosx/vout.m: fixed a potential issue with the hiding of the
     mousecursor.

------------------------------------------------------------------------
r3594 | hartman | 2003-02-11 17:19:59 +0100 (Tue, 11 Feb 2003) | 2 lines
Changed paths:
   M /trunk/po/nl.po

* updated dutch strings

------------------------------------------------------------------------
r3595 | babal | 2003-02-11 18:20:44 +0100 (Tue, 11 Feb 2003) | 6 lines
Changed paths:
   M /trunk/modules/audio_filter/channel_mixer/headphone.c

- Dolby Surround fix
- support for 6.1, 7.1, and possibly even 8.1 ! Not so sure though about
  6.1 since there is a doubt about where should be the Rear Center
  coefficient in a decoded sample.
  -> if anybody has an idea or even better a test stream...

------------------------------------------------------------------------
r3596 | massiot | 2003-02-11 19:05:43 +0100 (Tue, 11 Feb 2003) | 2 lines
Changed paths:
   M /trunk/po/de.po

* 0.5.1 German translation, courtesy of Felix K?\239?\191?\189hne <FK@aenneburghardt.de>.

------------------------------------------------------------------------
r3597 | ipkiss | 2003-02-12 03:11:58 +0100 (Wed, 12 Feb 2003) | 4 lines
Changed paths:
   M /trunk/modules/gui/win32/about.cpp
   M /trunk/modules/gui/win32/mainframe.cpp
   M /trunk/modules/gui/win32/menu.cpp
   M /trunk/modules/gui/win32/menu.h
   M /trunk/modules/gui/win32/sout.h
   M /trunk/modules/gui/win32/subtitles.cpp
   M /trunk/modules/gui/win32/subtitles.h
   M /trunk/modules/gui/win32/win32.bpf
   M /trunk/modules/gui/win32/win32.cpp

 * compilation fix
 * all files are stored in dos mode, or Borland won't compile some of
   them...

------------------------------------------------------------------------
r3598 | massiot | 2003-02-12 14:42:43 +0100 (Wed, 12 Feb 2003) | 6 lines
Changed paths:
   M /trunk/modules/access/udp.c
   M /trunk/modules/demux/mpeg/ts.c

Patch courtesy of gibalou :
* demux/mpeg/ts.c, demux/mpeg/system.c: Proper initialization of
i_continuity_counter,
* access/udp.c: Fixed win32 behavior when --mtu is set to a too small value,
* demux/mpeg/ts.c: Fixed detection of PAT/PMT change.

------------------------------------------------------------------------
r3599 | hartman | 2003-02-12 15:22:23 +0100 (Wed, 12 Feb 2003) | 5 lines
Changed paths:
   M /trunk/modules/gui/macosx/controls.m
   M /trunk/src/audio_output/intf.c

* modules/gui/macosx/controls.m:
  - fixed the mute and volumeup volumedown when you use them mixed.
* src/audio_output/intf.c:
  - set "saved-volume" on volume up, volume down.

------------------------------------------------------------------------
r3600 | jobi | 2003-02-12 17:58:11 +0100 (Wed, 12 Feb 2003) | 4 lines
Changed paths:
   M /trunk/modules/access/vcd/vcd.c

    * modules/access/vcd/vcd.c: in entry points, track number should be read
      as BCD (it should fix #244). Also fixed chapter indexing, so that it
      correspond to the dvd one.

------------------------------------------------------------------------
r3601 | jobi | 2003-02-12 18:13:33 +0100 (Wed, 12 Feb 2003) | 2 lines
Changed paths:
   M /trunk/modules/access/vcd/vcd.c
   M /trunk/modules/access/vcd/vcd.h

    * modules/access/vcd/vcd.*: fixed a warning

------------------------------------------------------------------------
r3602 | jpsaman | 2003-02-13 00:09:23 +0100 (Thu, 13 Feb 2003) | 2 lines
Changed paths:
   M /trunk/modules/video_output/qte/qte.cpp
   M /trunk/modules/video_output/qte/qte.h

Fixed Qt Embedded video output placing of video stream in window. Also fixed additional spacing between video lines.

------------------------------------------------------------------------
r3603 | massiot | 2003-02-13 00:08:52 +0100 (Thu, 13 Feb 2003) | 2 lines
Changed paths:
   M /trunk/po/it.po

* Italien translation, courtesy of Bruno <allevb@tin.it>.

------------------------------------------------------------------------
r3604 | jpsaman | 2003-02-13 00:13:51 +0100 (Thu, 13 Feb 2003) | 2 lines
Changed paths:
   M /trunk/modules/video_output/qte/qte.cpp

The Qt Embedded video output plugin is now the preferred plugin when build for Opie or Qte environments.

------------------------------------------------------------------------
r3605 | jpsaman | 2003-02-13 00:26:05 +0100 (Thu, 13 Feb 2003) | 2 lines
Changed paths:
   M /trunk/ipkg/control
   M /trunk/ipkg/control.gpe
   M /trunk/ipkg/control.opie
   M /trunk/ipkg/rules
   M /trunk/ipkg/rules.gpe
   M /trunk/ipkg/rules.opie

Updated control files and buildscript for v0.5.1

------------------------------------------------------------------------
r3606 | jpsaman | 2003-02-13 00:26:54 +0100 (Thu, 13 Feb 2003) | 2 lines
Changed paths:
   A /trunk/ipkg/control.zaurus
   A /trunk/ipkg/postinst.zaurus
   A /trunk/ipkg/postrm.zaurus
   A /trunk/ipkg/rules.zaurus
   A /trunk/ipkg/vlc.zaurus

Scripts for building and packaging vlc on Zaurus PDA.

------------------------------------------------------------------------
r3607 | hartman | 2003-02-13 01:09:51 +0100 (Thu, 13 Feb 2003) | 8 lines
Changed paths:
   M /trunk/modules/gui/macosx/intf.h
   M /trunk/modules/gui/macosx/intf.m
   M /trunk/src/playlist/playlist.c

* src/playlist/playlist.c:
  - added an intf-change variable. This is set whenever you add or delete
    an item in the playlist. You need to unset it yourself.
* modules/gui/macosx/intf.?:
  - listen for external playlist changes. update view when playlist changes.
  - activate/deactivate previous and next buttons and menuitems,
    whenever the playlist gets changed.

------------------------------------------------------------------------
r3608 | hartman | 2003-02-13 02:14:55 +0100 (Thu, 13 Feb 2003) | 2 lines
Changed paths:
   M /trunk/modules/gui/macosx/playlist.m

* fixed a small bug

------------------------------------------------------------------------
r3609 | hartman | 2003-02-13 03:00:56 +0100 (Thu, 13 Feb 2003) | 2 lines
Changed paths:
   M /trunk/modules/gui/macosx/intf.m
   M /trunk/modules/gui/macosx/vout.h
   M /trunk/modules/gui/macosx/vout.m

*ALL: update the title of the window everytime the stream changes.

------------------------------------------------------------------------
r3610 | hartman | 2003-02-13 15:16:41 +0100 (Thu, 13 Feb 2003) | 6 lines
Changed paths:
   M /trunk/modules/gui/macosx/intf.h
   M /trunk/modules/gui/macosx/intf.m
   M /trunk/modules/gui/macosx/playlist.h
   M /trunk/modules/gui/macosx/playlist.m

ALL:
 - when a new stream is being loaded we select the current title in the
   playlist.
 - Cleaned up some of my previous commited code dealing with updating
   the window title.

------------------------------------------------------------------------
r3611 | sam | 2003-02-13 18:31:11 +0100 (Thu, 13 Feb 2003) | 2 lines
Changed paths:
   M /trunk/configure.ac.in

  * ./configure.ac.in: we should look for -lxvidcore, not -lxvid.

------------------------------------------------------------------------
r3612 | massiot | 2003-02-13 22:53:25 +0100 (Thu, 13 Feb 2003) | 3 lines
Changed paths:
   M /trunk/NEWS

Updated NEWS file for 0.5.1. PLEASE do your share and add what you think is
meaningful.

------------------------------------------------------------------------
r3613 | gbazin | 2003-02-14 10:50:12 +0100 (Fri, 14 Feb 2003) | 5 lines
Changed paths:
   M /trunk/modules/audio_output/waveout.c


* modules/audio_output/waveout.c: better buffer management and hopefully
   fixed the S/PDIF output (Still untested though. Anybody here could test
   this? ).

------------------------------------------------------------------------
r3614 | jpsaman | 2003-02-14 14:01:02 +0100 (Fri, 14 Feb 2003) | 2 lines
Changed paths:
   M /trunk/modules/misc/qte_main.cpp

Small improvement.

------------------------------------------------------------------------
r3615 | jpsaman | 2003-02-14 14:19:50 +0100 (Fri, 14 Feb 2003) | 2 lines
Changed paths:
   M /trunk/ipkg/control.opie

Updated opie control file for packaging.

------------------------------------------------------------------------
r3616 | jpsaman | 2003-02-14 14:44:42 +0100 (Fri, 14 Feb 2003) | 2 lines
Changed paths:
   M /trunk/ipkg/control.opie

Tuning package dependencies.

------------------------------------------------------------------------
r3617 | jpsaman | 2003-02-14 14:48:41 +0100 (Fri, 14 Feb 2003) | 3 lines
Changed paths:
   M /trunk/modules/misc/qte_main.cpp
   M /trunk/modules/video_output/qte/qte.cpp

Fixed deadlock upon unloading qte_main plugin.
Cleanup of debug messages.

------------------------------------------------------------------------
r3618 | ipkiss | 2003-02-14 18:00:02 +0100 (Fri, 14 Feb 2003) | 3 lines
Changed paths:
   M /trunk/modules/audio_output/directx.c
   M /trunk/modules/audio_output/waveout.c

 * exchanged directx' and waveout's capabilities because the latter
   seems to be more reliable

------------------------------------------------------------------------
r3619 | sam | 2003-02-14 19:22:23 +0100 (Fri, 14 Feb 2003) | 4 lines
Changed paths:
   M /trunk/src/libvlc.c

  * ./src/libvlc.c: the --help output is now word-wrapped (Closes: #142).
  * ./src/libvlc.c: removed unnecessary malloc() calls.
  * ./src/libvlc.c: used {a,b,c} for lists; [a|b|c] is for optional args.

------------------------------------------------------------------------
r3620 | hartman | 2003-02-15 00:07:41 +0100 (Sat, 15 Feb 2003) | 2 lines
Changed paths:
   M /trunk/modules/gui/macosx/vout.m

* Should fix an issue with multiple monitors and the hiding of the mousecursor

------------------------------------------------------------------------
r3621 | ipkiss | 2003-02-15 05:43:19 +0100 (Sat, 15 Feb 2003) | 2 lines
Changed paths:
   M /trunk/modules/video_output/fb.c

 - fixed a vicious bug

------------------------------------------------------------------------
r3622 | hartman | 2003-02-15 13:57:51 +0100 (Sat, 15 Feb 2003) | 2 lines
Changed paths:
   M /trunk/modules/gui/macosx/vout.m

* if we are paused in fullscreen, show cursor.

------------------------------------------------------------------------
r3623 | massiot | 2003-02-15 14:50:27 +0100 (Sat, 15 Feb 2003) | 3 lines
Changed paths:
   M /trunk/configure.ac.in
   M /trunk/extras/MacOSX/vlc.pbproj/project.pbxproj
   M /trunk/ipkg/control
   M /trunk/po/fr.po
   M /trunk/vlc.spec

* Bumped up revision number to 0.5.1
* Updated French translation

------------------------------------------------------------------------
r3624 | jpsaman | 2003-02-15 21:02:16 +0100 (Sat, 15 Feb 2003) | 6 lines
Changed paths:
   M /trunk/NEWS
   M /trunk/ipkg/control.gpe
   M /trunk/ipkg/control.opie
   M /trunk/ipkg/control.zaurus

Update iPaq packaging description files for:
- GPE port
- Opie port
- Zaurus
Updated NEWS file with OPIE port.

------------------------------------------------------------------------
r3625 | massiot | 2003-02-16 02:29:40 +0100 (Sun, 16 Feb 2003) | 4 lines
Changed paths:
   M /trunk/NEWS
   M /trunk/extras/MacOSX/Resources/English.lproj/MainMenu.nib/info.nib
   M /trunk/extras/MacOSX/Resources/English.lproj/MainMenu.nib/objects.nib
   M /trunk/modules/audio_filter/resampler/linear.c
   M /trunk/modules/gui/macosx/open.h
   M /trunk/modules/gui/macosx/open.m
   M /trunk/po/de.po
   M /trunk/po/en_GB.po
   M /trunk/po/fr.po
   M /trunk/po/it.po
   M /trunk/po/ja.po
   M /trunk/po/nl.po
   M /trunk/po/no.po
   M /trunk/po/pl.po
   M /trunk/po/ru.po
   M /trunk/po/sv.po
   M /trunk/po/vlc.pot

* modules/gui/macosx/open.m: Removed channel server support
* po/*: Updated po files just before the 0.5.1 release
* modules/audio_filter/resampler/linear.c: fixed an initialization bug

------------------------------------------------------------------------
r3626 | titer | 2003-02-16 02:38:36 +0100 (Sun, 16 Feb 2003) | 2 lines
Changed paths:
   M /trunk/NEWS

 NEWS: updated BeOS info for 0.5.1

------------------------------------------------------------------------
r3627 | fenrir | 2003-02-16 09:56:24 +0100 (Sun, 16 Feb 2003) | 2 lines
Changed paths:
   M /trunk/modules/codec/mpeg_audio.c
   M /trunk/modules/demux/mpeg/audio.c

 * all: fix mpeg2 handling.

------------------------------------------------------------------------
r3628 | fenrir | 2003-02-16 10:50:22 +0100 (Sun, 16 Feb 2003) | 3 lines
Changed paths:
   M /trunk/modules/codec/adpcm.c

 * adpcm: added DUCK 4 variant support. (thx M. Melanson who provided me
somes samples.)

------------------------------------------------------------------------
r3629 | sigmunau | 2003-02-16 11:25:57 +0100 (Sun, 16 Feb 2003) | 2 lines
Changed paths:
   M /trunk/doc/lirc/example.lircrc
   M /trunk/modules/control/lirc/lirc.c

Added support for volume up/down buttons.

------------------------------------------------------------------------
r3630 | fenrir | 2003-02-16 12:18:11 +0100 (Sun, 16 Feb 2003) | 2 lines
Changed paths:
   M /trunk/modules/codec/adpcm.c

 * adpcm: added dk3 too.

------------------------------------------------------------------------
r3631 | fenrir | 2003-02-16 15:03:56 +0100 (Sun, 16 Feb 2003) | 2 lines
Changed paths:
   M /trunk/modules/access_output/udp.c

 * Less checks on muxer type.

------------------------------------------------------------------------
r3632 | fenrir | 2003-02-16 15:10:44 +0100 (Sun, 16 Feb 2003) | 2 lines
Changed paths:
   M /trunk/include/stream_output.h
   M /trunk/include/vlc_common.h
   M /trunk/modules/access_output/dummy.c
   M /trunk/modules/access_output/file.c
   M /trunk/modules/mux/avi.c
   M /trunk/modules/mux/dummy.c
   M /trunk/modules/mux/mpeg/ps.c
   M /trunk/modules/mux/mpeg/ts.c
   M /trunk/src/stream_output/stream_output.c

 * all: split muxer and access into independant part.

------------------------------------------------------------------------
r3633 | fenrir | 2003-02-16 15:51:23 +0100 (Sun, 16 Feb 2003) | 2 lines
Changed paths:
   M /trunk/modules/access_output/udp.c

 * udp: forgot this file...

------------------------------------------------------------------------
r3634 | jpsaman | 2003-02-16 17:21:37 +0100 (Sun, 16 Feb 2003) | 2 lines
Changed paths:
   M /trunk/modules/video_output/qte/qte.cpp

Qte video output get is screen size from the QT Embedded environment now. This should produce fullscreen video on other QT Embedded configurations with other screen sizes (greater then 240x320).

------------------------------------------------------------------------
r3635 | jpsaman | 2003-02-16 17:22:13 +0100 (Sun, 16 Feb 2003) | 2 lines
Changed paths:
   M /trunk/ipkg/control
   M /trunk/ipkg/control.gpe
   M /trunk/ipkg/control.opie
   M /trunk/ipkg/control.zaurus

Updated release numbering for all ipk's

------------------------------------------------------------------------
r3636 | ipkiss | 2003-02-16 17:58:21 +0100 (Sun, 16 Feb 2003) | 2 lines
Changed paths:
   M /trunk/doc/faq/faq.sgml

 * added an entry for the "subtitles don"t work on windows" problem

------------------------------------------------------------------------
r3637 | sam | 2003-02-16 18:35:31 +0100 (Sun, 16 Feb 2003) | 6 lines
Changed paths:
   M /trunk/debian/changelog
   M /trunk/debian/control
   M /trunk/debian/rules
   M /trunk/debian/vlc.dirs
   M /trunk/doc/fortunes.txt

  * ./debian/changelog: updated for 0.5.1.
  * ./debian/control: vlc-glide is now Architecture: i386 only.
  * ./debian/control: vlc-plugin-mad Provides: mp3-decoder.
  * ./debian/rules: the deprecated vlc-* packages have a proper link to
    /usr/share/doc/vlc/.

------------------------------------------------------------------------
r3638 | hartman | 2003-02-17 00:32:06 +0100 (Mon, 17 Feb 2003) | 2 lines
Changed paths:
   M /trunk/NEWS
   M /trunk/extras/MacOSX/Resources/English.lproj/MainMenu.nib/classes.nib
   M /trunk/extras/MacOSX/Resources/English.lproj/MainMenu.nib/info.nib
   M /trunk/extras/MacOSX/Resources/English.lproj/MainMenu.nib/objects.nib
   M /trunk/extras/MacOSX/vlc.pbproj/project.pbxproj
   M /trunk/modules/gui/macosx/Modules.am
   M /trunk/modules/gui/macosx/intf.h
   M /trunk/modules/gui/macosx/intf.m

* Added an info panel to show movie info, etc.

------------------------------------------------------------------------
r3639 | asmax | 2003-02-17 00:57:48 +0100 (Mon, 17 Feb 2003) | 4 lines
Changed paths:
   A /trunk/python
   A /trunk/python/Makefile
   A /trunk/python/setup.py
   A /trunk/python/vlcmodule.c
   A /trunk/python/vlrs
   A /trunk/python/vlrs/cfg.py
   A /trunk/python/vlrs/playlist.py
   A /trunk/python/vlrs/rtsp.py
   A /trunk/python/vlrs/session.py
   A /trunk/python/vlrs/streamer.py
   A /trunk/python/vlrs/vlrs.py

* libvlc binding for python
* new VideoLAN RTSP Server, using libvlc.
  Not yet fully rfc2326-compliant, but it works ;)

------------------------------------------------------------------------
r3640 | asmax | 2003-02-17 01:04:34 +0100 (Mon, 17 Feb 2003) | 2 lines
Changed paths:
   A /trunk/python/vlrs/sample-playlist

* added a sample playlist. All fields must be separated with TABs

------------------------------------------------------------------------
r3641 | sam | 2003-02-17 05:21:42 +0100 (Mon, 17 Feb 2003) | 2 lines
Changed paths:
   M /trunk/configure.ac.in

  * ./configure.ac.in: fixed PLUGIN_PATH and DATA_PATH settings.

------------------------------------------------------------------------
r3642 | sam | 2003-02-17 06:50:31 +0100 (Mon, 17 Feb 2003) | 4 lines
Changed paths:
   M /trunk/include/main.h
   M /trunk/modules/codec/spudec/spudec.c
   M /trunk/src/misc/modules.c
   M /trunk/src/misc/win32_specific.c

  * ./src/misc/win32_specific.c: under Win32 we retrieve the executable's
    directory whenever possible, to use it for the spudec font or to load
    plugins.

------------------------------------------------------------------------
r3643 | sam | 2003-02-17 07:00:24 +0100 (Mon, 17 Feb 2003) | 3 lines
Changed paths:
   M /trunk/src/misc/modules.c

  * ./src/misc/modules.c: hmpf, Wine does not complain about "/"s in paths,
    but Windoze will certainly do.

------------------------------------------------------------------------
r3644 | sam | 2003-02-17 07:15:21 +0100 (Mon, 17 Feb 2003) | 2 lines
Changed paths:
   M /trunk/ChangeLog
   M /trunk/NEWS

  * Updated NEWS and ChangeLog.

------------------------------------------------------------------------
r3645 | sam | 2003-02-17 07:31:50 +0100 (Mon, 17 Feb 2003) | 2 lines
Changed paths:
   M /trunk/modules/gui/macosx/Modules.am

  * ./modules/gui/macosx/Modules.am: removed %#$@#!#@ non-existent file!

------------------------------------------------------------------------
r3646 | sam | 2003-02-17 08:22:05 +0100 (Mon, 17 Feb 2003) | 2 lines
Changed paths:
   M /trunk/debian/rules
   M /trunk/debian/woody-buildpackage

  * ./debian/woody-buildpackage: Debian package creation fixes.

------------------------------------------------------------------------
r3647 | gbazin | 2003-02-17 10:47:16 +0100 (Mon, 17 Feb 2003) | 6 lines
Changed paths:
   M /trunk/modules/audio_filter/resampler/linear.c


* modules/audio_filter/resampler/linear.c: lowered the priority of the linear
   resampler so the ugly resampler is once again the default. The quality of
   the ugly resampler is currently better than the linear one because of a
   design defect.

------------------------------------------------------------------------
r3648 | hartman | 2003-02-17 11:52:07 +0100 (Mon, 17 Feb 2003) | 2 lines
Changed paths:
   M /trunk/modules/gui/macosx/Modules.am
   A /trunk/modules/gui/macosx/info.h
   A /trunk/modules/gui/macosx/info.m

* Whoops. i forgot to add these files. sorry everyone.

------------------------------------------------------------------------
r3649 | massiot | 2003-02-17 15:43:37 +0100 (Mon, 17 Feb 2003) | 2 lines
Changed paths:
   M /trunk/NEWS
   M /trunk/configure.ac.in

Now 0.5.2-cvs (estimated release date in two weeks from now).

------------------------------------------------------------------------
r3650 | gbazin | 2003-02-17 17:56:02 +0100 (Mon, 17 Feb 2003) | 5 lines
Changed paths:
   M /trunk/modules/control/rc/rc.c


* modules/control/rc/rc.c: finally fixed the rc interface under win32 by
   using WaitForSingleObject() on the console handle and ReadConsoleInput().
   (Closes #59)

------------------------------------------------------------------------
r3651 | massiot | 2003-02-17 18:06:19 +0100 (Mon, 17 Feb 2003) | 2 lines
Changed paths:
   M /trunk/src/misc/darwin_specific.m

Fixed the "everything is in Japanese" bug. :p

------------------------------------------------------------------------
r3652 | hartman | 2003-02-17 19:58:46 +0100 (Mon, 17 Feb 2003) | 3 lines
Changed paths:
   M /trunk/NEWS
   M /trunk/extras/MacOSX/vlc.pbproj/project.pbxproj

* NEWS: added info about the new 0.5.1a release for OSX.
* extras/MacOSX/vlc.pbproj/project.pbxproj: bumped revision #

------------------------------------------------------------------------
r3653 | asmax | 2003-02-17 23:03:42 +0100 (Mon, 17 Feb 2003) | 3 lines
Changed paths:
   A /trunk/python/vlrs/announce.py
   M /trunk/python/vlrs/rtsp.py
   A /trunk/python/vlrs/sap.py
   M /trunk/python/vlrs/session.py
   M /trunk/python/vlrs/vlrs.py

* added a SAP server, with some kludges because the SAP client in vlc
  is not RFC-compliant...

------------------------------------------------------------------------
r3654 | gbazin | 2003-02-17 23:19:24 +0100 (Mon, 17 Feb 2003) | 7 lines
Changed paths:
   M /trunk/configure.ac.in
   M /trunk/modules/audio_output/directx.c
   M /trunk/modules/audio_output/waveout.c


* modules/audio_output/directx.c: added multichannel support to the
   directx plugin.
* modules/audio_output/waveout.c: fixed quad audio channels detection and
   a few misplaced debug messages.
* configure.ac.in: don't link anymore the rc plugin with the winsock lib.

------------------------------------------------------------------------
r3655 | jpsaman | 2003-02-18 00:10:46 +0100 (Tue, 18 Feb 2003) | 2 lines
Changed paths:
   M /trunk/ipkg/control
   M /trunk/ipkg/control.gpe
   M /trunk/ipkg/control.opie
   M /trunk/ipkg/control.zaurus
   M /trunk/ipkg/rules.zaurus

Juglin with dependencies.

------------------------------------------------------------------------
r3656 | hartman | 2003-02-18 00:47:29 +0100 (Tue, 18 Feb 2003) | 2 lines
Changed paths:
   M /trunk/src/misc/darwin_specific.m

* Fixed the localization issue on MacOSX.

------------------------------------------------------------------------
r3657 | massiot | 2003-02-18 01:17:06 +0100 (Tue, 18 Feb 2003) | 2 lines
Changed paths:
   M /trunk/modules/gui/macosx/intf.h
   M /trunk/modules/gui/macosx/intf.m
   M /trunk/modules/gui/macosx/prefs.m

* Fixed a segfault in the Japanese preferences panel.

------------------------------------------------------------------------
r3658 | hartman | 2003-02-18 01:20:01 +0100 (Tue, 18 Feb 2003) | 5 lines
Changed paths:
   M /trunk/src/input/input_dec.c

* Changed an Error message. Many people did not understand:
  no suitable decoder module for fourcc `IV31'
  I have appended:
  VLC probably does not support this sound or video format.

------------------------------------------------------------------------
r3659 | fenrir | 2003-02-18 01:51:40 +0100 (Tue, 18 Feb 2003) | 3 lines
Changed paths:
   M /trunk/modules/codec/mpeg_audio.c
   M /trunk/modules/demux/mpeg/audio.c
   M /trunk/modules/packetizer/mpegaudio.c

 * raah, corrected mpeg2-layer3 playback (and streaming). (that my last
fix had broken :p )

------------------------------------------------------------------------
r3660 | sam | 2003-02-18 14:13:12 +0100 (Tue, 18 Feb 2003) | 2 lines
Changed paths:
   M /trunk/mozilla/npvlc_rc.rc
   M /trunk/mozilla/vlcplugin.cpp
   M /trunk/mozilla/vlcplugin.h
   M /trunk/mozilla/vlcshell.cpp

  * ./mozilla/*: s/VideoLAN Client/VLC/g.

------------------------------------------------------------------------
r3661 | titer | 2003-02-18 19:33:44 +0100 (Tue, 18 Feb 2003) | 4 lines
Changed paths:
   A /trunk/modules/control/.cvsignore
   M /trunk/modules/misc/network/ipv4.c
   M /trunk/src/libvlc.h

 * ipv4.c, libvlc.h: add a --ttl option to set time-to-live when
                     multicasting with the stream output
 * modules/control/: missing cvsignore

------------------------------------------------------------------------
r3662 | fenrir | 2003-02-18 19:49:11 +0100 (Tue, 18 Feb 2003) | 2 lines
Changed paths:
   M /trunk/modules/codec/mpeg_audio.c

 * mpeg_audio.c: removed some fprintf...

------------------------------------------------------------------------
r3663 | gbazin | 2003-02-18 20:42:57 +0100 (Tue, 18 Feb 2003) | 6 lines
Changed paths:
   M /trunk/modules/codec/ffmpeg/ffmpeg.c
   M /trunk/modules/codec/ffmpeg/ffmpeg.h
   M /trunk/modules/demux/rawdv.c


* modules/demux/rawdv.c: added support for DV audio now that ffmpeg can
   decode this.
* modules/codec/ffmpeg/ffmpeg.h, modules/codec/ffmpeg/ffmpeg.c: added the
   necessary fourcc for DV audio.

------------------------------------------------------------------------
r3664 | hartman | 2003-02-18 21:54:02 +0100 (Tue, 18 Feb 2003) | 2 lines
Changed paths:
   M /trunk/modules/gui/macosx/info.m

* Only update the info window if it is visible

------------------------------------------------------------------------
r3665 | gbazin | 2003-02-18 23:33:54 +0100 (Tue, 18 Feb 2003) | 6 lines
Changed paths:
   M /trunk/modules/codec/ffmpeg/video.c


* modules/codec/ffmpeg/video.c: got rid of ffmpeg_ConvertPictureI410toI420()
   and use img_convert() from ffmpeg instead. Also added support for the
   PIX_FMT_YUV411P pixel format so we can now decode the DV Quicktime videos
   from media.xiph.org.

------------------------------------------------------------------------
r3666 | ipkiss | 2003-02-18 23:40:39 +0100 (Tue, 18 Feb 2003) | 4 lines
Changed paths:
   M /trunk/src/misc/modules.c

 * src/misc/modules.c: on Windows, we look for the plugins in vlc's root
   directory when there is no 'plugins' nor 'modules' subdirectory
   (may close #306)

------------------------------------------------------------------------
r3667 | gbazin | 2003-02-19 00:34:14 +0100 (Wed, 19 Feb 2003) | 4 lines
Changed paths:
   M /trunk/modules/demux/mp4/libmp4.c
   M /trunk/modules/demux/mp4/libmp4.h


* modules/demux/mp4/*: added FOURCC_dvc (DV - NTSC), FOURCC_dvp (DV - PAL)
   and FOURCC_twos (PCM audio).

------------------------------------------------------------------------
r3668 | gbazin | 2003-02-19 11:02:57 +0100 (Wed, 19 Feb 2003) | 4 lines
Changed paths:
   M /trunk/src/libvlc.c


* src/libvlc.c: "stty size" won't work on win32 so make ConsoleWidth()
   always return 80.

------------------------------------------------------------------------
r3669 | hartman | 2003-02-19 15:49:25 +0100 (Wed, 19 Feb 2003) | 3 lines
Changed paths:
   M /trunk/extras/MacOSX/Resources/English.lproj/MainMenu.nib/info.nib
   M /trunk/extras/MacOSX/Resources/English.lproj/MainMenu.nib/objects.nib
   M /trunk/modules/gui/macosx/intf.m

* increased accuracy of positionslider in OSX. although this will not solve
  all problems this will improve results a bit (by my own experience).

------------------------------------------------------------------------
r3670 | gbazin | 2003-02-19 23:08:39 +0100 (Wed, 19 Feb 2003) | 5 lines
Changed paths:
   M /trunk/modules/audio_output/directx.c
   M /trunk/modules/audio_output/waveout.c


* modules/audio_output/directx.c: forgot to enable channel re-ordering.
* modules/audio_output/waveout.c: fixed a crash that happened when probing
   devices supporting S/PDIF. (Should fix 354)

------------------------------------------------------------------------
r3671 | sigmunau | 2003-02-20 02:52:47 +0100 (Thu, 20 Feb 2003) | 21 lines
Changed paths:
   M /trunk/configure.ac.in
   M /trunk/include/configuration.h
   M /trunk/modules/access/dvd/dvd.c
   M /trunk/modules/access/dvdplay/dvd.c
   M /trunk/modules/access/dvdread/dvdread.c
   M /trunk/modules/access/file.c
   M /trunk/modules/access/ftp.c
   M /trunk/modules/access/http.c
   M /trunk/modules/access/mms/mms.c
   M /trunk/modules/access/satellite/satellite.c
   M /trunk/modules/access/slp.c
   M /trunk/modules/access/udp.c
   M /trunk/modules/audio_filter/converter/a52tofloat32.c
   M /trunk/modules/audio_filter/converter/mpgatofixed32.c
   M /trunk/modules/audio_output/alsa.c
   M /trunk/modules/audio_output/file.c
   M /trunk/modules/audio_output/oss.c
   M /trunk/modules/codec/a52old/a52old.c
   M /trunk/modules/codec/ffmpeg/ffmpeg.c
   M /trunk/modules/codec/mpeg_video/parser.c
   M /trunk/modules/codec/spudec/spudec.c
   M /trunk/modules/codec/xvid.c
   M /trunk/modules/control/gestures.c
   M /trunk/modules/control/rc/rc.c
   M /trunk/modules/demux/avi/avi.c
   M /trunk/modules/demux/demuxdump.c
   M /trunk/modules/demux/mpeg/ts.c
   M /trunk/modules/demux/util/id3.c
   M /trunk/modules/demux/util/sub.c
   M /trunk/modules/encoder/ffmpeg/encoder.c
   M /trunk/modules/encoder/xvid.c
   M /trunk/modules/gui/beos/BeOS.cpp
   M /trunk/modules/gui/familiar/familiar.c
   M /trunk/modules/gui/gtk/gnome.c
   M /trunk/modules/gui/gtk/gtk.c
   M /trunk/modules/gui/gtk/preferences.c
   M /trunk/modules/gui/kde/interface.h
   M /trunk/modules/gui/kde/kde.cpp
   M /trunk/modules/gui/macosx/macosx.m
   M /trunk/modules/gui/win32/win32.cpp
   M /trunk/modules/gui/wxwindows/fileinfo.cpp
   M /trunk/modules/gui/wxwindows/wxwindows.cpp
   M /trunk/modules/misc/dummy/dummy.c
   M /trunk/modules/misc/logger/logger.c
   M /trunk/modules/misc/sap.c
   M /trunk/modules/video_filter/adjust.c
   M /trunk/modules/video_filter/clone.c
   M /trunk/modules/video_filter/crop.c
   M /trunk/modules/video_filter/deinterlace/deinterlace.c
   M /trunk/modules/video_filter/distort.c
   M /trunk/modules/video_filter/motionblur.c
   M /trunk/modules/video_filter/transform.c
   M /trunk/modules/video_filter/wall.c
   M /trunk/modules/video_output/directx/directx.c
   M /trunk/modules/video_output/fb.c
   M /trunk/modules/video_output/ggi.c
   M /trunk/modules/video_output/mga/xmga.c
   M /trunk/modules/video_output/x11/x11.c
   M /trunk/modules/video_output/x11/xvideo.c
   M /trunk/modules/visualization/xosd/xosd.c
   M /trunk/src/libvlc.c
   M /trunk/src/libvlc.h
   M /trunk/src/misc/configuration.c

* include/configuration.h: added a new flag to the configuration stucture to
indicate wether it is an "advanced" option or not. The goal with this is to
hide the user from all the strange options that very seldom needs to be
changed. added an extra argument to all the add_* macros to indicate wether
the item is advanced or not.
* src/libvlc.h: added an "show advanced options" config option default
disabled
* src/libvlc.c: the advanced options are not listed by vlc --help and
friends unless --advanced is used
* modules/gtk/preferences.c: the gtk/gnome preferences dialog don't show
advanced options unless advanced is set
all: set the advanced flag to VLC_FALSE or VLC_TRUE for all options, by
using some common sense. Please check and correct

note: All interfaces should still work like they used to, see the change in
modules/gtk/preferences.c to find out how to "hide" options.

second note: I think I've changed all the modules, but I could not test
everyone for compilation, expect some broken modules (the fix is to add ",
VLC_TRUE" as last argument to the add_* I forgot)

------------------------------------------------------------------------
r3672 | gbazin | 2003-02-20 17:07:38 +0100 (Thu, 20 Feb 2003) | 9 lines
Changed paths:
   M /trunk/modules/audio_output/alsa.c
   M /trunk/modules/audio_output/directx.c
   M /trunk/modules/audio_output/oss.c
   M /trunk/modules/audio_output/waveout.c
   M /trunk/modules/codec/mpeg_audio.c
   M /trunk/modules/control/rc/rc.c
   M /trunk/modules/misc/dummy/dummy.c
   M /trunk/modules/misc/dummy/interface.c
   M /trunk/src/libvlc.h


* src/libvlc.h, modules/audio_output: added a global --spdif config option
   to allow using the spdif output by default if available.
* modules/misc/dummy/*: on win32 added a quiet mode that doesn't display
   a dos command box.
* modules/control/rc/rc.c: on win32 enabled the echo mode and the
   backspace key.
* modules/codec/mpeg_audio.c: fixed a sync bug.

------------------------------------------------------------------------
r3673 | hartman | 2003-02-20 19:10:16 +0100 (Thu, 20 Feb 2003) | 2 lines
Changed paths:
   M /trunk/modules/gui/macosx/prefs.m

* prefs obey the advanced option. Apply does not as of yet.

------------------------------------------------------------------------
r3674 | hartman | 2003-02-21 03:45:21 +0100 (Fri, 21 Feb 2003) | 3 lines
Changed paths:
   M /trunk/modules/gui/macosx/prefs.h
   M /trunk/modules/gui/macosx/prefs.m

* If the "show advanced" option has been changed and you press the Apply
  button, the preferences window is destroyed and created.

------------------------------------------------------------------------
r3675 | hartman | 2003-02-21 04:22:57 +0100 (Fri, 21 Feb 2003) | 3 lines
Changed paths:
   M /trunk/.cvsignore
   A /trunk/extras/MacOSX/Resources/English.lproj/.cvsignore
   A /trunk/extras/MacOSX/vlc.pbproj/.cvsignore

* ignore project Builder user files and backup .nib files.
* vlc.app changed to VLC.app. cvsignore changed to reflect this.

------------------------------------------------------------------------
r3676 | hartman | 2003-02-21 04:49:51 +0100 (Fri, 21 Feb 2003) | 4 lines
Changed paths:
   M /trunk/extras/MacOSX/Resources/English.lproj/InfoPlist.strings
   M /trunk/extras/MacOSX/vlc.pbproj/project.pbxproj

* VLC.app should show its version in the Finder now
  Meeuh, one more place that needs version string updated before a release.
  might be made automated ?

------------------------------------------------------------------------
r3677 | hartman | 2003-02-21 15:17:46 +0100 (Fri, 21 Feb 2003) | 3 lines
Changed paths:
   M /trunk/modules/audio_filter/converter/mpgatofixed32.c

* (float) 0 the buffer if it cannot be decoded and fixed32.
  right Meuuh ??? ;)

------------------------------------------------------------------------
r3678 | hartman | 2003-02-21 16:16:52 +0100 (Fri, 21 Feb 2003) | 2 lines
Changed paths:
   M /trunk/modules/audio_filter/converter/mpgatofixed32.c

* previous commit seems to break some things. reverting.

------------------------------------------------------------------------
r3679 | hartman | 2003-02-21 17:31:37 +0100 (Fri, 21 Feb 2003) | 8 lines
Changed paths:
   M /trunk/modules/audio_filter/converter/mpgatofixed32.c
   M /trunk/modules/gui/macosx/aout.m

DJ's first steps in C and vlc decoders ;)
* modules/audio_filter/converter/mpgatofixed32.c:
  - fixed an issue that could cause glitches when switching from one stream
    to another. the buffer wasn't entirely getting 0000 because multiple
    channels were not taken into account when doing this.
* ALL:
  - if float32 then clear the buffer with (float)0

------------------------------------------------------------------------
r3680 | gbazin | 2003-02-21 23:59:38 +0100 (Fri, 21 Feb 2003) | 4 lines
Changed paths:
   M /trunk/src/audio_output/input.c


* src/audio_output/input.c: fixed buffer allocation bug that was triggered
   when using "in place" resamplers.

------------------------------------------------------------------------
r3681 | sigmunau | 2003-02-22 15:11:38 +0100 (Sat, 22 Feb 2003) | 4 lines
Changed paths:
   M /trunk/modules/demux/util/id3tag.c

 Fixed seme seeking issues with http access module, fixed an error that
caused id3v2.4 tags at the end of the file to not work. Added checks to
avoid seeking off the ends of the file. Should close #325, please confirm

------------------------------------------------------------------------
r3682 | fenrir | 2003-02-22 17:10:31 +0100 (Sat, 22 Feb 2003) | 2 lines
Changed paths:
   M /trunk/modules/encoder/xvid.c

 * fix compilation.

------------------------------------------------------------------------
r3683 | massiot | 2003-02-23 02:25:26 +0100 (Sun, 23 Feb 2003) | 3 lines
Changed paths:
   M /trunk/src/audio_output/dec.c

* Destroy audio-device and audio-channels when no output plug-in is
  available.

------------------------------------------------------------------------
r3684 | jlj | 2003-02-23 06:53:53 +0100 (Sun, 23 Feb 2003) | 4 lines
Changed paths:
   M /trunk/extras/MacOSX/Resources/English.lproj/MainMenu.nib/classes.nib
   M /trunk/extras/MacOSX/Resources/English.lproj/MainMenu.nib/info.nib
   M /trunk/extras/MacOSX/Resources/English.lproj/MainMenu.nib/objects.nib
   M /trunk/modules/gui/macosx/aout.m
   M /trunk/modules/gui/macosx/info.h
   M /trunk/modules/gui/macosx/info.m
   M /trunk/modules/gui/macosx/intf.m
   M /trunk/modules/gui/macosx/macosx.m
   M /trunk/modules/gui/macosx/playlist.h
   M /trunk/modules/gui/macosx/playlist.m
   M /trunk/modules/gui/macosx/prefs.h
   M /trunk/modules/gui/macosx/prefs.m
   M /trunk/modules/gui/macosx/vout.m

  * ./modules/gui/macosx/aout.m: M-Audio Revolution fixes.
                                 Dynamic device support.
  * ./modules/gui/macosx: Minor fixes and cosmetic changes.

------------------------------------------------------------------------
r3685 | sigmunau | 2003-02-23 17:31:48 +0100 (Sun, 23 Feb 2003) | 3 lines
Changed paths:
   M /trunk/configure.ac.in
   M /trunk/modules/codec/Modules.am
   A /trunk/modules/codec/flacdec.c
   M /trunk/modules/demux/Modules.am
   A /trunk/modules/demux/flac.c

added a demux and decoder for flac files (disabled by default). Works for
16bit per sample streams, only tested with stereo

------------------------------------------------------------------------
r3686 | fenrir | 2003-02-23 19:07:30 +0100 (Sun, 23 Feb 2003) | 7 lines
Changed paths:
   M /trunk/modules/demux/mpeg/system.h
   M /trunk/modules/demux/mpeg/ts.c
   M /trunk/modules/mux/mpeg/ts.c

 * all : added streaming support for crappy ms video codec into TS.
 - Only vlc is able to read such TS.
 - I use stream id 0xa0 and descriptor 0xa0, I hope there aren't used.
 - DivX1/2/3, wmv1/2, h/i263 should be supported, others could be
   quickly added.
 - Please test.

------------------------------------------------------------------------
r3687 | fenrir | 2003-02-23 20:05:22 +0100 (Sun, 23 Feb 2003) | 3 lines
Changed paths:
   A /trunk/include/httpd.h
   A /trunk/modules/access_output/http.c
   A /trunk/modules/misc/httpd.c

 * modules/access_output/http : http output.
 * httpd : mini http server (be carefull about security issue...)

------------------------------------------------------------------------
r3688 | fenrir | 2003-02-23 20:07:02 +0100 (Sun, 23 Feb 2003) | 2 lines
Changed paths:
   M /trunk/Makefile.am
   M /trunk/include/vlc_objects.h
   M /trunk/modules/access_output/Modules.am
   M /trunk/modules/misc/Modules.am
   M /trunk/src/misc/objects.c

 * all : declaration of http and httpd.

------------------------------------------------------------------------
r3689 | fenrir | 2003-02-23 23:35:34 +0100 (Sun, 23 Feb 2003) | 2 lines
Changed paths:
   M /trunk/configure.ac.in

 * enable httpd(by default) and http.

------------------------------------------------------------------------
r3690 | fenrir | 2003-02-24 10:18:07 +0100 (Mon, 24 Feb 2003) | 2 lines
Changed paths:
   M /trunk/modules/demux/wav/wav.c
   M /trunk/modules/demux/wav/wav.h

 * wav: proper seek handling. (wav file readable over http).

------------------------------------------------------------------------
r3691 | fenrir | 2003-02-24 10:26:26 +0100 (Mon, 24 Feb 2003) | 2 lines
Changed paths:
   M /trunk/modules/demux/asf/libasf.c

 * asf: fix seek for http.

------------------------------------------------------------------------
r3692 | fenrir | 2003-02-24 11:45:55 +0100 (Mon, 24 Feb 2003) | 4 lines
Changed paths:
   M /trunk/include/stream_output.h
   M /trunk/modules/demux/wav/wav.c
   M /trunk/modules/mux/avi.c
   M /trunk/modules/mux/dummy.c
   M /trunk/modules/mux/mpeg/ps.c
   M /trunk/modules/mux/mpeg/ts.c

 * stream output: fixed name inconsistency, added a new exported
functions by muxer.
 * wav: fixed a warning.

------------------------------------------------------------------------
r3693 | fenrir | 2003-02-24 12:00:54 +0100 (Mon, 24 Feb 2003) | 3 lines
Changed paths:
   M /trunk/include/stream_output.h

 * stream_output.h : add a private parameter to sout_instance_t only used
by src/stream_output.c (avoid changing every time stream_output.h...)

------------------------------------------------------------------------
r3694 | gbazin | 2003-02-24 12:14:16 +0100 (Mon, 24 Feb 2003) | 3 lines
Changed paths:
   M /trunk/configure.ac.in
   M /trunk/modules/misc/httpd.c


* configure.ac.in, modules/misc/httpd.c: compilation fixes for win32.

------------------------------------------------------------------------
r3695 | fenrir | 2003-02-24 13:34:29 +0100 (Mon, 24 Feb 2003) | 3 lines
Changed paths:
   M /trunk/modules/mux/avi.c
   M /trunk/modules/mux/dummy.c
   M /trunk/modules/mux/mpeg/ps.c
   M /trunk/modules/mux/mpeg/ts.c
   M /trunk/src/stream_output/stream_output.c

 * stream_output.c : fixed compilation.
 * mux/* implemented pf_mux_capacity.

------------------------------------------------------------------------
r3696 | fenrir | 2003-02-24 15:14:43 +0100 (Mon, 24 Feb 2003) | 2 lines
Changed paths:
   M /trunk/modules/mux/avi.c
   M /trunk/modules/mux/dummy.c
   M /trunk/modules/mux/mpeg/ps.c
   M /trunk/modules/mux/mpeg/ts.c

 * all : fix compilation.

------------------------------------------------------------------------
r3697 | sigmunau | 2003-02-24 15:40:22 +0100 (Mon, 24 Feb 2003) | 3 lines
Changed paths:
   M /trunk/src/input/input_ext-plugins.c

updated documentation to reflect that input_AccessReinit should be called
before, and not after a random seek

------------------------------------------------------------------------
r3698 | jlj | 2003-02-24 18:06:21 +0100 (Mon, 24 Feb 2003) | 2 lines
Changed paths:
   M /trunk/modules/audio_filter/converter/a52tofloat32.c

  * a52tofloat32.c: changed an error into warning.

------------------------------------------------------------------------
r3699 | fenrir | 2003-02-25 00:27:20 +0100 (Tue, 25 Feb 2003) | 3 lines
Changed paths:
   M /trunk/configure.ac.in
   M /trunk/modules/mux/Modules.am
   A /trunk/modules/mux/ogg.c

 * all : ogg/ogm muxer. Yet very limited as it accepts only mp3/a52 audio
and mpeg4/divx3 video streams. (Created files seem to work only with vlc).

------------------------------------------------------------------------
r3700 | fenrir | 2003-02-25 00:28:18 +0100 (Tue, 25 Feb 2003) | 2 lines
Changed paths:
   M /trunk/src/stream_output/stream_output.c

 * stream_output.c : added a sanity check.

------------------------------------------------------------------------
r3701 | gbazin | 2003-02-25 18:15:32 +0100 (Tue, 25 Feb 2003) | 6 lines
Changed paths:
   M /trunk/configure.ac.in
   M /trunk/modules/codec/Modules.am
   A /trunk/modules/codec/libmpeg2.c


* configure.ac.in, modules/codec/Modules.am, modules/codec/libmpeg2.c:
   Added a simple mpeg video decoder based on libmpeg2. It is mainly useful
   for comparing the performance against our custom decoder as it is currently
   missing some important features like the synchro stuff.

------------------------------------------------------------------------
r3702 | fenrir | 2003-02-25 18:17:43 +0100 (Tue, 25 Feb 2003) | 8 lines
Changed paths:
   M /trunk/include/httpd.h
   M /trunk/include/stream_output.h
   M /trunk/modules/access_output/http.c
   M /trunk/modules/misc/httpd.c
   M /trunk/modules/mux/ogg.c
   M /trunk/src/stream_output/stream_output.c

 * stream_output.* : added a flags variable to sout_buffer_t, allowing to
mark headers.
 * httpd : added a way to use stream header, and changed the way that
stream data are stored (allow better client handling).
 * http : use stream header, and add mime type detection by looking
at file extention (could be improved).
 * ogg: fixed a segfault when removing a stream, mark header.

------------------------------------------------------------------------
r3703 | gbazin | 2003-02-25 19:26:12 +0100 (Tue, 25 Feb 2003) | 5 lines
Changed paths:
   M /trunk/configure.ac.in
   A /trunk/po/Makevars


* configure.ac.in: accidentaly changed AM_GNU_GETTEXT_VERSION to 0.11.5 in
   my last commit.
* po/Makevars: file needed by newer versions of gettext.

------------------------------------------------------------------------
r3704 | gbazin | 2003-02-25 22:09:34 +0100 (Tue, 25 Feb 2003) | 3 lines
Changed paths:
   M /trunk/modules/codec/libmpeg2.c


* modules/codec/libmpeg2.c: fixed pts handling.

------------------------------------------------------------------------
r3705 | babal | 2003-02-26 05:23:55 +0100 (Wed, 26 Feb 2003) | 2 lines
Changed paths:
   M /trunk/configure.ac.in

- link the headphone channel mixer with the math library

------------------------------------------------------------------------
r3706 | fenrir | 2003-02-26 13:38:17 +0100 (Wed, 26 Feb 2003) | 2 lines
Changed paths:
   M /trunk/modules/mux/mpeg/ts.c

 * ts.c: added "ts" shorcut for ts_dvbpsi.

------------------------------------------------------------------------
r3707 | gbazin | 2003-02-26 14:51:36 +0100 (Wed, 26 Feb 2003) | 6 lines
Changed paths:
   M /trunk/modules/packetizer/mpegvideo.c
   M /trunk/src/input/input_ext-dec.c


* src/input/input_ext-dec.c: added a few sanity checks that avoid crashing
   badly when we reach the end of the stream (decoder stream).
* modules/packetizer/mpegvideo.c: fixed a bug that was causing an infinite
   loop when the end of the stream was reached.

------------------------------------------------------------------------
r3708 | marcari | 2003-02-26 16:44:22 +0100 (Wed, 26 Feb 2003) | 5 lines
Changed paths:
   M /trunk/modules/gui/familiar/familiar.c

* small modification for linupy :
    - added a pixmpa directory
    - added a set_usize (how do we maximize cleanly a gtk-window ?)
    - chdir to '.' instead of '/mnt' (should it be '~' or '/' ?)

------------------------------------------------------------------------
r3709 | marcari | 2003-02-26 16:47:26 +0100 (Wed, 26 Feb 2003) | 6 lines
Changed paths:
   M /trunk/modules/gui/familiar/callbacks.c

* implementation of the 'autoplay file' button callback
* when clicking a link : follows the link and don't try to open it
* yopy does not always sees the '.' and '..', so workaround :
    - all the hidden files are not displayed
    - the '..' directory is each time added by hand

------------------------------------------------------------------------
r3710 | massiot | 2003-02-26 19:15:33 +0100 (Wed, 26 Feb 2003) | 2 lines
Changed paths:
   M /trunk/include/vlc_config.h
   M /trunk/src/audio_output/dec.c
   M /trunk/src/video_output/video_output.c

* Added sanity checks for PTS in the future.

------------------------------------------------------------------------
r3711 | gbazin | 2003-02-26 20:39:43 +0100 (Wed, 26 Feb 2003) | 5 lines
Changed paths:
   M /trunk/Makefile.am
   M /trunk/configure.ac.in
   M /trunk/install-win32
   M /trunk/src/libvlc.c


* configure.ac.in, Makefile.am, install-win32: fixed the package-win32 make
   target, and included the locales in the installer script.
* src/libvlc.c: on win32 we look for the locales in vlc's directory.

------------------------------------------------------------------------
r3712 | asmax | 2003-02-26 22:00:53 +0100 (Wed, 26 Feb 2003) | 2 lines
Changed paths:
   M /trunk/python/vlcmodule.c
   M /trunk/python/vlrs/announce.py
   M /trunk/python/vlrs/streamer.py

* compilation fixes...

------------------------------------------------------------------------
r3713 | massiot | 2003-02-27 09:19:02 +0100 (Thu, 27 Feb 2003) | 4 lines
Changed paths:
   M /trunk/configure.ac.in
   M /trunk/extras/MacOSX/vlc.pbproj/project.pbxproj
   M /trunk/include/vlc_threads.h
   M /trunk/modules/gui/macosx/intf.m
   M /trunk/po/de.po
   M /trunk/po/en_GB.po
   M /trunk/po/fr.po
   M /trunk/po/it.po
   M /trunk/po/ja.po
   M /trunk/po/nl.po
   M /trunk/po/no.po
   M /trunk/po/pl.po
   M /trunk/po/ru.po
   M /trunk/po/sv.po
   M /trunk/po/vlc.pot
   M /trunk/src/libvlc.c

* Bumped up revision number to 0.5.2-test2
* Another attempt at fixing the "VLC is locking up OS X" problem
* Updated po files

------------------------------------------------------------------------
r3714 | marcari | 2003-02-27 13:44:01 +0100 (Thu, 27 Feb 2003) | 2 lines
Changed paths:
   M /trunk/AUTHORS
   M /trunk/MAINTAINERS
   M /trunk/THANKS

* updates for the YOPY ports (thx to Sebastien Chaumat !)

------------------------------------------------------------------------
r3715 | gbazin | 2003-02-27 14:19:44 +0100 (Thu, 27 Feb 2003) | 3 lines
Changed paths:
   M /trunk/modules/access/dvdplay/dvd.c
   M /trunk/modules/codec/cinepak/cinepak.c
   M /trunk/modules/demux/a52sys.c
   M /trunk/modules/demux/asf/asf.c
   M /trunk/modules/demux/avi/avi.c
   M /trunk/modules/demux/flac.c
   M /trunk/modules/demux/m3u.c
   M /trunk/modules/demux/mp4/mp4.c
   M /trunk/modules/demux/wav/wav.c
   M /trunk/modules/gui/wxwindows/open.cpp
   M /trunk/po/POTFILES.in
   M /trunk/po/de.po
   M /trunk/po/en_GB.po
   M /trunk/po/fr.po
   M /trunk/po/it.po
   M /trunk/po/ja.po
   M /trunk/po/nl.po
   M /trunk/po/no.po
   M /trunk/po/pl.po
   M /trunk/po/ru.po
   M /trunk/po/sv.po
   M /trunk/po/vlc.pot


* ALL: i18n updates and fixes.

------------------------------------------------------------------------
r3716 | fenrir | 2003-02-27 16:07:48 +0100 (Thu, 27 Feb 2003) | 3 lines
Changed paths:
   M /trunk/modules/misc/httpd.c

 * httpd: clean up, kick up unused connection (it waits 10s), use select
to way (instead of a hard coded sleep ;)

------------------------------------------------------------------------
r3717 | gbazin | 2003-02-27 17:38:39 +0100 (Thu, 27 Feb 2003) | 3 lines
Changed paths:
   M /trunk/modules/demux/avi/avi.c


* modules/demux/avi/avi.c: compilation fix.

------------------------------------------------------------------------
r3718 | ipkiss | 2003-02-27 23:09:24 +0100 (Thu, 27 Feb 2003) | 2 lines
Changed paths:
   M /trunk/modules/gui/win32/misc.cpp
   M /trunk/modules/gui/win32/win32.bpr

A few modifications to get closer to i18n in the win32 interface

------------------------------------------------------------------------
r3719 | ipkiss | 2003-02-28 05:31:24 +0100 (Fri, 28 Feb 2003) | 4 lines
Changed paths:
   M /trunk/include/vlc_common.h
   M /trunk/modules/gui/win32/misc.cpp

Internationalization now works for the win32 interface (thanks Gildas).
I've voluntarily disabled the translation of the toolbar buttons
strings, because it looks really awful...

------------------------------------------------------------------------
r3720 | massiot | 2003-02-28 11:19:02 +0100 (Fri, 28 Feb 2003) | 2 lines
Changed paths:
   M /trunk/po/de.po

German translation, courtesy of Felix K?\239?\191?\189hne <FK@aenneburghardt.de>.

------------------------------------------------------------------------
r3721 | fenrir | 2003-02-28 18:23:35 +0100 (Fri, 28 Feb 2003) | 2 lines
Changed paths:
   M /trunk/modules/demux/avi/avi.c

 * try a workaround for BeOS MediaKit files.

------------------------------------------------------------------------
r3722 | gbazin | 2003-03-01 20:25:13 +0100 (Sat, 01 Mar 2003) | 6 lines
Changed paths:
   M /trunk/Makefile.am
   M /trunk/install-win32
   M /trunk/msvc/config.h.in
   M /trunk/msvc/vlc.dsw
   M /trunk/toolbox


* install-win32, Makefile.am: added the html faq to the win32 package.
* toolbox, msvc/*: few fixes to the msvc project files generation.
   (compiling plugins won't work yet because there are a few hacks that
    need to be done in order to compile dlls that use the c-runtime)

------------------------------------------------------------------------
r3723 | ipkiss | 2003-03-01 22:32:49 +0100 (Sat, 01 Mar 2003) | 8 lines
Changed paths:
   M /trunk/modules/gui/win32/about.dfm
   M /trunk/modules/gui/win32/mainframe.cpp
   M /trunk/modules/gui/win32/mainframe.dfm
   M /trunk/modules/gui/win32/mainframe.h
   M /trunk/modules/gui/win32/misc.cpp
   M /trunk/modules/gui/win32/preferences.cpp
   M /trunk/modules/gui/win32/win32.cpp

 - about.dfm: the layout of the "About" dialog box is slightly different
 - misc.cpp: toolbar buttons are translated too
 - mainframe.dfm: removed the "Back" and "Eject" toolbar buttons, which
   were rather useless, and added an "Eject disc" menu entry
   Also hid the caption for all the toolbar buttons
 - win32.cpp: Added a config option to display or not these captions
 - preferences.cpp: small modification to support non-advanced mode

------------------------------------------------------------------------
r3724 | gbazin | 2003-03-02 00:26:08 +0100 (Sun, 02 Mar 2003) | 4 lines
Changed paths:
   M /trunk/include/vlc_threads_funcs.h
   M /trunk/src/misc/threads.c


* src/misc/threads.c, include/vlc_threads_funcs.h: fixed gnu-pth thread
   implementation and fixed an initialization bug in libvlc.

------------------------------------------------------------------------
r3725 | gbazin | 2003-03-02 02:35:30 +0100 (Sun, 02 Mar 2003) | 4 lines
Changed paths:
   M /trunk/include/vlc_threads_funcs.h
   M /trunk/src/misc/threads.c


* src/misc/threads.c, include/vlc_threads_funcs.h: another bunch of fixes
   for the GNU-pth implementation.

------------------------------------------------------------------------
r3726 | gbazin | 2003-03-02 03:47:19 +0100 (Sun, 02 Mar 2003) | 5 lines
Changed paths:
   M /trunk/configure.ac.in


* configure.ac.in: Removed unused options.
   We also don't link with lrt anymore when using GNU-pth (lrt depends on
   lpthread).

------------------------------------------------------------------------
r3727 | gbazin | 2003-03-02 13:10:46 +0100 (Sun, 02 Mar 2003) | 3 lines
Changed paths:
   M /trunk/NEWS


* NEWS: started filling in the NEWS file for the 0.5.2 release.

------------------------------------------------------------------------
r3728 | fenrir | 2003-03-02 18:12:21 +0100 (Sun, 02 Mar 2003) | 2 lines
Changed paths:
   M /trunk/modules/misc/httpd.c

 * fixed a bug.

------------------------------------------------------------------------
r3729 | fenrir | 2003-03-02 18:13:33 +0100 (Sun, 02 Mar 2003) | 2 lines
Changed paths:
   M /trunk/modules/demux/asf/asf.c

 * forgot to initialize a variable.

------------------------------------------------------------------------
r3730 | fenrir | 2003-03-02 19:17:58 +0100 (Sun, 02 Mar 2003) | 2 lines
Changed paths:
   M /trunk/modules/access/mms/asf.h
   M /trunk/modules/access/mms/mms.c

 * fixed seek flag with broadcasted data.

------------------------------------------------------------------------
r3731 | gbazin | 2003-03-02 20:07:01 +0100 (Sun, 02 Mar 2003) | 3 lines
Changed paths:
   M /trunk/configure.ac.in


* configure.ac.in: fixed libid3tag detection.

------------------------------------------------------------------------
r3732 | fenrir | 2003-03-03 02:38:07 +0100 (Mon, 03 Mar 2003) | 3 lines
Changed paths:
   M /trunk/modules/access/mms/mms.c
   M /trunk/modules/access/mms/mms.h

 * fixed play back of  mms://viptvr.yacast.fr/encoderfranceinfo (asf
header send over multiples packets).

------------------------------------------------------------------------
r3733 | massiot | 2003-03-03 15:19:09 +0100 (Mon, 03 Mar 2003) | 3 lines
Changed paths:
   M /trunk/modules/codec/lpcm.c
   M /trunk/modules/demux/mpeg/ps.c

* Fixed a bug in LPCM codec.
* Changed an error into a warning.

------------------------------------------------------------------------
r3734 | gbazin | 2003-03-03 15:21:08 +0100 (Mon, 03 Mar 2003) | 8 lines
Changed paths:
   M /trunk/modules/access/dvd/ifo.c
   M /trunk/modules/access/dvd/udf.c
   M /trunk/modules/access/file.c
   M /trunk/modules/access/ftp.c
   M /trunk/modules/access/http.c
   M /trunk/modules/access/mms/mms.c
   M /trunk/modules/access/udp.c
   M /trunk/modules/access_output/dummy.c
   M /trunk/modules/access_output/file.c
   M /trunk/modules/access_output/udp.c
   M /trunk/modules/audio_output/directx.c
   M /trunk/modules/control/rc/rc.c
   M /trunk/modules/misc/httpd.c
   M /trunk/modules/misc/network/ipv4.c
   M /trunk/modules/mux/avi.c
   M /trunk/modules/mux/dummy.c
   M /trunk/modules/mux/mpeg/pes.c
   M /trunk/modules/mux/mpeg/ps.c
   M /trunk/modules/mux/mpeg/ts.c
   M /trunk/msvc/config.h.in
   M /trunk/msvc/libvlc.dsp.in
   M /trunk/msvc/plugins.dsp.in
   M /trunk/msvc/vlc.dsp.in
   M /trunk/msvc/vlc.dsw
   M /trunk/src/libvlc.c
   M /trunk/src/misc/netutils.c
   M /trunk/src/misc/win32_specific.c


* ALL: Finally fixed the MSVC project files.
       Don't include io.h on win32 when not necessary.
       A few build fixes for MSVC.

* src/misc/win32_specific.c: try to load winsock2 instead of winsock1 when
   present.

------------------------------------------------------------------------
r3735 | gbazin | 2003-03-03 17:49:14 +0100 (Mon, 03 Mar 2003) | 3 lines
Changed paths:
   M /trunk/include/vlc_common.h
   M /trunk/modules/misc/dummy/decoder.c
   M /trunk/msvc/vlc.dsp.in
   M /trunk/src/misc/modules.c
   M /trunk/toolbox


* ALL: another bunch of fixes for the MSVC build.

------------------------------------------------------------------------
r3736 | hartman | 2003-03-03 20:39:48 +0100 (Mon, 03 Mar 2003) | 8 lines
Changed paths:
   M /trunk/NEWS
   M /trunk/README.MacOSX.rtf
   M /trunk/extras/MacOSX/Resources/English.lproj/MainMenu.nib/info.nib
   M /trunk/extras/MacOSX/Resources/English.lproj/MainMenu.nib/objects.nib

* NEWS:
  - added remarks on m-audio fixes and other OSX specific fixes.
  - added improved ID3 detection item
* README.MacOSX.rtf
  - updated to reflect M-Audio fixes.
* ./extras/MacOSX/Resources/English.lproj/MainMenu.nib/*:
  - widened the Browse.. button to allow for the german word: durchsuchen.

------------------------------------------------------------------------
r3737 | massiot | 2003-03-04 00:48:41 +0100 (Tue, 04 Mar 2003) | 4 lines
Changed paths:
   M /trunk/configure.ac.in
   M /trunk/include/vlc_threads.h
   M /trunk/modules/demux/avi/avi.c

* mpeg_video is back as a built-in because it is reproduceably faster than
  as a plug-in,
* Another desperate attempt at fixing OS X lock-ups.

------------------------------------------------------------------------
r3738 | hartman | 2003-03-04 00:58:34 +0100 (Tue, 04 Mar 2003) | 2 lines
Changed paths:
   M /trunk/po/nl.po

* updated dutch strings.

------------------------------------------------------------------------
r3739 | gbazin | 2003-03-04 04:27:40 +0100 (Tue, 04 Mar 2003) | 12 lines
Changed paths:
   M /trunk/include/aout_internal.h
   M /trunk/modules/audio_filter/resampler/Modules.am
   A /trunk/modules/audio_filter/resampler/bandlimited.c
   A /trunk/modules/audio_filter/resampler/bandlimited.h
   M /trunk/modules/audio_filter/resampler/linear.c
   M /trunk/modules/audio_filter/resampler/trivial.c
   M /trunk/modules/audio_filter/resampler/ugly.c
   M /trunk/src/audio_output/filters.c
   M /trunk/src/audio_output/input.c


* modules/audio_filter/resampler/bandlimited.[ch]: new high-quality
   bandlimited interpolation resampler.
   It is not yet enabled by default because it requires a bit more works
   (not fully stable yet because of buffer overflows under certain conditions).

* src/audio_output/input.c: the resamplers are now always active (expcept
   in spdif mode).

* modules/audio_filter/resampler/*: modified the resampler to return the
   input buffer when no resampling is needed.

------------------------------------------------------------------------
r3740 | massiot | 2003-03-04 14:21:19 +0100 (Tue, 04 Mar 2003) | 3 lines
Changed paths:
   M /trunk/include/input_ext-dec.h
   M /trunk/include/input_ext-plugins.h
   M /trunk/modules/codec/lpcm.c
   M /trunk/src/input/input_dec.c
   M /trunk/src/input/input_ext-dec.c

* Fixed a major bug in the LPCM codec.
* Moved input_ExtractPES to where it belongs, input_ext-dec.c.

------------------------------------------------------------------------
r3741 | hartman | 2003-03-04 18:31:45 +0100 (Tue, 04 Mar 2003) | 9 lines
Changed paths:
   M /trunk/configure.ac.in
   M /trunk/modules/gui/macosx/intf.h
   M /trunk/modules/gui/macosx/intf.m
   M /trunk/modules/gui/win32/strings.cpp
   M /trunk/po/de.po
   M /trunk/po/en_GB.po
   M /trunk/po/fr.po
   M /trunk/po/it.po
   M /trunk/po/ja.po
   M /trunk/po/nl.po
   M /trunk/po/no.po
   M /trunk/po/pl.po
   M /trunk/po/ru.po
   M /trunk/po/sv.po
   M /trunk/po/vlc.pot

ALL:
 - the german translation requires two different translations of the word
   File. I added a _ANS() function to the macosx version that gets the
   translation of 1:File and strips the first two characters of this
   alternate translation.
 - updated all .po files to make sure we don't break anything
 - committed the March 1 version of the german translation by Felix
   Kuhne <FK@aenneburghardt.de>

------------------------------------------------------------------------
r3742 | gbazin | 2003-03-04 20:28:39 +0100 (Tue, 04 Mar 2003) | 5 lines
Changed paths:
   M /trunk/modules/audio_filter/resampler/bandlimited.c


* modules/audio_filter/resampler/bandlimited.c: fix bug that was affecting
   quality badly + some clean-up.
   Changed the module priority so it is now the default resampler.

------------------------------------------------------------------------
r3743 | gbazin | 2003-03-04 22:12:04 +0100 (Tue, 04 Mar 2003) | 6 lines
Changed paths:
   M /trunk/include/vlc_common.h
   M /trunk/modules/access/file.c


* include/vlc_common.h: on win32 we include malloc.h (otherwise alloca is
   not declared).
* modules/access/file.c: use _lseeki64 instead of lseek on win32. This
   should allow seeking on files > 1.2Gb (Hopefully closes #168).

------------------------------------------------------------------------
r3744 | hartman | 2003-03-04 22:54:03 +0100 (Tue, 04 Mar 2003) | 6 lines
Changed paths:
   M /trunk/NEWS
   M /trunk/configure.ac.in
   M /trunk/extras/MacOSX/Resources/English.lproj/InfoPlist.strings
   M /trunk/extras/MacOSX/vlc.pbproj/project.pbxproj

* NEWS:
  - added item on fix of 'clicking' sound between stream changes.
  - added item on new bandlimited resampler
* ALL:
  - bumped up revision number to 0.5.2-test3

------------------------------------------------------------------------
r3745 | gbazin | 2003-03-04 23:08:33 +0100 (Tue, 04 Mar 2003) | 4 lines
Changed paths:
   M /trunk/NEWS
   M /trunk/modules/audio_filter/resampler/bandlimited.c


* modules/audio_filter/resampler/bandlimited.c: small bug-fixes.
* NEWS: added a note for the fixed MSVC project files.

------------------------------------------------------------------------
r3746 | hartman | 2003-03-04 23:36:18 +0100 (Tue, 04 Mar 2003) | 2 lines
Changed paths:
   M /trunk/modules/gui/macosx/intf.m

* grrr debug message in the wild.

------------------------------------------------------------------------
r3747 | gbazin | 2003-03-04 23:48:55 +0100 (Tue, 04 Mar 2003) | 3 lines
Changed paths:
   M /trunk/modules/video_output/directx/directx.c
   M /trunk/modules/video_output/directx/events.c


* modules/video_output/directx: added support for the mouse gestures interface.

------------------------------------------------------------------------
r3748 | hartman | 2003-03-05 00:32:06 +0100 (Wed, 05 Mar 2003) | 2 lines
Changed paths:
   M /trunk/modules/gui/macosx/vout.m

* this code should allow for the use of gestures under OS X.

------------------------------------------------------------------------
r3749 | massiot | 2003-03-05 00:36:57 +0100 (Wed, 05 Mar 2003) | 3 lines
Changed paths:
   M /trunk/modules/gui/macosx/intf.m
   M /trunk/src/libvlc.c
   M /trunk/src/libvlc.h
   M /trunk/src/misc/threads.c

* Made rt-priority a real-time variable (shut-up sam) and misc attempts
  to improve responsiveness under OS X

------------------------------------------------------------------------
r3750 | massiot | 2003-03-05 00:37:19 +0100 (Wed, 05 Mar 2003) | 2 lines
Changed paths:
   M /trunk/extras/MacOSX/vlc.pbproj/project.pbxproj

Bumped up to 0.5.2-test3

------------------------------------------------------------------------
r3751 | sigmunau | 2003-03-05 01:05:23 +0100 (Wed, 05 Mar 2003) | 3 lines
Changed paths:
   M /trunk/NEWS

added not that gestures are now supported on osx and windows, with a comment
telling that this isn't really useful yet.

------------------------------------------------------------------------
r3752 | massiot | 2003-03-05 01:11:18 +0100 (Wed, 05 Mar 2003) | 2 lines
Changed paths:
   M /trunk/configure.ac.in

* Fixed LDFLAGS_mp4 variable.

------------------------------------------------------------------------
r3753 | gbazin | 2003-03-05 18:55:13 +0100 (Wed, 05 Mar 2003) | 6 lines
Changed paths:
   M /trunk/src/input/input_ext-plugins.c


* src/input/input_ext-plugins.c: added an msleep() call in case we fail to
   allocate a new buffer in input_FillBuffer(). This is necessary because
   the input thread has an high priority and we don't want it to loop
   without any interruption.

------------------------------------------------------------------------
r3754 | hartman | 2003-03-05 20:16:42 +0100 (Wed, 05 Mar 2003) | 3 lines
Changed paths:
   M /trunk/po/it.po

* updated italian translation by Bruno <allevb@tin.it>
  i had to merge it by hand, because it was pretty outdated.

------------------------------------------------------------------------
r3755 | gbazin | 2003-03-05 20:31:32 +0100 (Wed, 05 Mar 2003) | 3 lines
Changed paths:
   M /trunk/modules/audio_filter/resampler/bandlimited.c


* modules/audio_filter/resampler/bandlimited.c: added a few more sanity checks.

------------------------------------------------------------------------
r3756 | gbazin | 2003-03-05 20:58:47 +0100 (Wed, 05 Mar 2003) | 3 lines
Changed paths:
   M /trunk/Makefile.am


* Makefile.am: make package-win32 creates FAQ.htm not faq.htm.

------------------------------------------------------------------------
r3757 | gbazin | 2003-03-05 23:37:05 +0100 (Wed, 05 Mar 2003) | 4 lines
Changed paths:
   M /trunk/install-win32
   M /trunk/modules/audio_filter/resampler/bandlimited.c


* modules/audio_filter/resampler/bandlimited.c: another bug-fix ( should be the last one ;)
* install-win32: the FAQ wasn't being included in the package.

------------------------------------------------------------------------
r3758 | sigmunau | 2003-03-06 01:10:33 +0100 (Thu, 06 Mar 2003) | 4 lines
Changed paths:
   M /trunk/modules/demux/m3u.c

we now insert playlist entries right after the playlist file, and not at the
end of playlist. Should close bug reported on mailing list by Stepan Roh
about "redirection".

------------------------------------------------------------------------
r3759 | jpsaman | 2003-03-06 10:27:13 +0100 (Thu, 06 Mar 2003) | 2 lines
Changed paths:
   M /trunk/ipkg/control
   M /trunk/ipkg/control.gpe
   M /trunk/ipkg/control.opie
   M /trunk/ipkg/control.zaurus
   M /trunk/ipkg/rules
   M /trunk/ipkg/rules.gpe
   M /trunk/ipkg/rules.opie
   M /trunk/ipkg/rules.zaurus

Updated version number.

------------------------------------------------------------------------
r3760 | massiot | 2003-03-06 10:58:00 +0100 (Thu, 06 Mar 2003) | 2 lines
Changed paths:
   M /trunk/src/libvlc.h

Fixed a segfault in the OS X preferences panel.

------------------------------------------------------------------------
r3761 | jpsaman | 2003-03-06 11:11:33 +0100 (Thu, 06 Mar 2003) | 2 lines
Changed paths:
   M /trunk/modules/misc/qte_main.cpp
   M /trunk/modules/video_output/qte/qte.cpp

More sizing stuff.

------------------------------------------------------------------------
r3762 | hartman | 2003-03-06 11:15:37 +0100 (Thu, 06 Mar 2003) | 3 lines
Changed paths:
   M /trunk/modules/gui/macosx/prefs.m

* If labels are nil, then it shouldn't disable the entire preference panel.
  fixes #428 more permenantly. the cause was a missing rt-priority desc.

------------------------------------------------------------------------
r3763 | fenrir | 2003-03-06 12:09:56 +0100 (Thu, 06 Mar 2003) | 2 lines
Changed paths:
   M /trunk/include/httpd.h
   M /trunk/modules/misc/httpd.c

 * http: fixed a segfault while using it more than once.

------------------------------------------------------------------------
r3764 | fenrir | 2003-03-06 12:15:55 +0100 (Thu, 06 Mar 2003) | 2 lines
Changed paths:
   M /trunk/modules/access_output/http.c

 * http: lalala, forgot one line :)

------------------------------------------------------------------------
r3765 | hartman | 2003-03-06 12:43:07 +0100 (Thu, 06 Mar 2003) | 28 lines
Changed paths:
   M /trunk/extras/MacOSX/Resources/English.lproj/vlc.scriptTerminology
   M /trunk/extras/MacOSX/Resources/vlc.scriptSuite
   M /trunk/extras/MacOSX/vlc.pbproj/project.pbxproj
   M /trunk/modules/gui/macosx/Modules.am
   A /trunk/modules/gui/macosx/applescript.h
   A /trunk/modules/gui/macosx/applescript.m
   A /trunk/modules/gui/macosx/controls.h
   M /trunk/modules/gui/macosx/controls.m
   M /trunk/modules/gui/macosx/intf.h
   M /trunk/modules/gui/macosx/intf.m
   M /trunk/modules/gui/macosx/open.h
   M /trunk/modules/gui/macosx/open.m
   M /trunk/modules/gui/macosx/playlist.m
   M /trunk/modules/gui/macosx/vout.h
   M /trunk/modules/gui/macosx/vout.m

* modules/gui/macosx/applescript.?
* extras/MacOSX/Resources/vlc.scriptSuite
* extras/MacOSX/Resources/English.lproj/vlc.scriptTerminology
  - moved existing applescript commands to these files
  - added several control commands. supported are: play/pause, stop,
    previous, next, fullscreen, mute, volumeUp and volumeDown.
    These correspond to the existing menuitems. This still requires work
    in the future to make it more correct AppleScript, but it works for now.

* modules/gui/macosx/controls.?
  - split up the controls.m into a .m and a .h

* modules/gui/macosx/intf.?
  - added a getControls method to gain access to the controller object from
    the AppleScript commands.

* modules/gui/macosx/open.?
  - removed the applescript support existing here and moved it to applescript.?

* modules/gui/macosx/playlist.m
  - made the tooltips for the add and remove buttons localizable.

* modules/gui/macosx/vout.m
  - added a comment on the meaning of otherMouse events.

* ALL:
  - updated copyright information to include the current year ;)

------------------------------------------------------------------------
r3766 | hartman | 2003-03-06 13:05:05 +0100 (Thu, 06 Mar 2003) | 3 lines
Changed paths:
   M /trunk/NEWS
   M /trunk/extras/MacOSX/Resources/English.lproj/MainMenu.nib/classes.nib
   M /trunk/extras/MacOSX/Resources/English.lproj/MainMenu.nib/info.nib
   M /trunk/extras/MacOSX/Resources/English.lproj/MainMenu.nib/objects.nib
   M /trunk/modules/gui/macosx/intf.h
   M /trunk/modules/gui/macosx/intf.m

ALL: fixed: http://bugzilla.videolan.org/cgi-bin/bugzilla/show_bug.cgi?id=425
     having two close buttons in one window goes against Apple's UIG.

------------------------------------------------------------------------
r3767 | hartman | 2003-03-06 13:52:32 +0100 (Thu, 06 Mar 2003) | 3 lines
Changed paths:
   M /trunk/modules/gui/macosx/vout.m

* fixed an issue with blackbars at certain aspect ratios when you resize
  the video window. (half, double)

------------------------------------------------------------------------
r3768 | hartman | 2003-03-06 15:40:43 +0100 (Thu, 06 Mar 2003) | 3 lines
Changed paths:
   M /trunk/modules/gui/macosx/vout.m

* not < but > ;)
  time to stop for today

------------------------------------------------------------------------
r3769 | hartman | 2003-03-06 16:24:12 +0100 (Thu, 06 Mar 2003) | 3 lines
Changed paths:
   M /trunk/modules/gui/macosx/playlist.m

* the close window command was reacting irratic because of my meddling
  with the responder chain. HANDS OFF you little devil ;)

------------------------------------------------------------------------
r3770 | sigmunau | 2003-03-06 16:30:42 +0100 (Thu, 06 Mar 2003) | 2 lines
Changed paths:
   M /trunk/modules/demux/m3u.c

the m3u demux now reads the pls files shoutcast uses.

------------------------------------------------------------------------
r3771 | hartman | 2003-03-06 23:17:11 +0100 (Thu, 06 Mar 2003) | 2 lines
Changed paths:
   M /trunk/README.MacOSX.rtf

* Updated README on Mac OS X issues.

------------------------------------------------------------------------
r3772 | gbazin | 2003-03-07 00:10:11 +0100 (Fri, 07 Mar 2003) | 7 lines
Changed paths:
   M /trunk/include/aout_internal.h
   M /trunk/src/audio_output/dec.c


* src/audio_output/dec.c, include/aout_internal.h: the aout core was
automatically discarding audio samples that were above AOUT_MAX_ADVANCE_TIME
in the future. Problem is that p_input->i_pts_delay isn't a fixed value. We
now fetch this value from the input thread when we create an aout_instance_t.
This solves problems with the http access plugin.

------------------------------------------------------------------------
r3773 | sigmunau | 2003-03-07 00:52:31 +0100 (Fri, 07 Mar 2003) | 2 lines
Changed paths:
   M /trunk/NEWS

NEWS: added note about .pls handeling and the http audio fix

------------------------------------------------------------------------
r3774 | gbazin | 2003-03-07 01:53:09 +0100 (Fri, 07 Mar 2003) | 4 lines
Changed paths:
   M /trunk/modules/gui/gtk/gnome.c
   M /trunk/modules/gui/gtk/gtk.c


* modules/gui/gtk/gnome.c, modules/gui/gtk/gtk.c: clean up the gtk/gnome
messages window regularly.

------------------------------------------------------------------------
r3775 | sigmunau | 2003-03-08 02:55:28 +0100 (Sat, 08 Mar 2003) | 4 lines
Changed paths:
   M /trunk/modules/control/gestures.c

added a down, right gesture to quit vlc and an up, right gesture that swaps
fullscreen on/off, removed the down gesture as it is now covered by the up,
right gesture

------------------------------------------------------------------------
r3776 | fenrir | 2003-03-09 17:22:35 +0100 (Sun, 09 Mar 2003) | 4 lines
Changed paths:
   M /trunk/modules/demux/mp4/libmp4.c
   M /trunk/modules/demux/mp4/libmp4.h

 * fixed a really stupid bug with compressed header, improved parsing
of audio stsd box. (handle qt3+ audio box)
 (I still need to fix mp4.c to read audio track that aren't mp4a)

------------------------------------------------------------------------
r3777 | gbazin | 2003-03-09 20:25:09 +0100 (Sun, 09 Mar 2003) | 6 lines
Changed paths:
   M /trunk/configure.ac.in
   M /trunk/modules/access/dvdplay/access.c
   M /trunk/modules/codec/spudec/parse.c
   M /trunk/src/misc/variables.c


* configure.ac.in: don't include the screensaver plugin on win32.
* src/misc/variables.c: fixed a bug in var_Change() and in var_DelCallback().
* modules/codec/spudec/parse.c: removed unnessecary code.
* modules/access/dvdplay/access.c: fixed some navigation problems.

------------------------------------------------------------------------
r3778 | gbazin | 2003-03-09 20:44:16 +0100 (Sun, 09 Mar 2003) | 4 lines
Changed paths:
   M /trunk/NEWS
   M /trunk/configure.ac.in


* configure.ac.in: fixed my previous commit.
* NEWS: added an entry about fixes in the dvd menu support.

------------------------------------------------------------------------
r3779 | jlj | 2003-03-09 21:07:47 +0100 (Sun, 09 Mar 2003) | 2 lines
Changed paths:
   M /trunk/configure.ac.in
   M /trunk/modules/audio_filter/converter/Modules.am
   A /trunk/modules/audio_filter/converter/dtstospdif.c
   M /trunk/modules/codec/Modules.am
   A /trunk/modules/codec/dts.c

  * DTS S/PDIF support.

------------------------------------------------------------------------
r3780 | jlj | 2003-03-10 00:39:05 +0100 (Mon, 10 Mar 2003) | 2 lines
Changed paths:
   M /trunk/include/input_ext-intf.h
   M /trunk/modules/demux/mpeg/ps.c
   M /trunk/modules/demux/mpeg/system.c

  * ./modules/demux/mpeg: DTS support.

------------------------------------------------------------------------
r3781 | massiot | 2003-03-10 01:04:14 +0100 (Mon, 10 Mar 2003) | 4 lines
Changed paths:
   M /trunk/NEWS
   M /trunk/configure.ac.in
   M /trunk/doc/release-howto.txt
   M /trunk/extras/MacOSX/vlc.pbproj/project.pbxproj
   M /trunk/include/vlc_threads.h
   M /trunk/modules/audio_output/file.c
   M /trunk/src/libvlc.h
   M /trunk/src/misc/threads.c

* Bumped up version number to 0.5.2
* Fix for the "lock-up" problem under MacOS X. Removed the rt-priority
  configuration variable.

------------------------------------------------------------------------
r3782 | gbazin | 2003-03-10 01:12:53 +0100 (Mon, 10 Mar 2003) | 4 lines
Changed paths:
   M /trunk/configure.ac.in
   M /trunk/modules/access/vcd/cdrom.c


* modules/access/vcd/cdrom.c: small win32 bugfix.
* configure.ac.in: on win32 we link ws2_32 with the slp plugin.

------------------------------------------------------------------------
r3783 | fenrir | 2003-03-10 02:07:09 +0100 (Mon, 10 Mar 2003) | 3 lines
Changed paths:
   M /trunk/modules/demux/avi/libavi.c

 * improved seeking and fixed play back when reading from stdin (when
reported size is null).

------------------------------------------------------------------------
r3784 | jlj | 2003-03-10 09:23:45 +0100 (Mon, 10 Mar 2003) | 2 lines
Changed paths:
   M /trunk/modules/codec/dts.c

  * ./modules/codec/dts.c: minor fix.

------------------------------------------------------------------------
r3785 | massiot | 2003-03-10 11:41:22 +0100 (Mon, 10 Mar 2003) | 2 lines
Changed paths:
   M /trunk/modules/audio_output/oss.c

Fixed a major bug with 5.1 output and the OSS plug-in.

------------------------------------------------------------------------
r3786 | sam | 2003-03-10 18:12:08 +0100 (Mon, 10 Mar 2003) | 2 lines
Changed paths:
   M /trunk/configure.ac.in

  * ./configure.ac.in: moved an extra -lws2_32 to a win32 specific case.

------------------------------------------------------------------------
r3787 | gbazin | 2003-03-10 19:17:19 +0100 (Mon, 10 Mar 2003) | 3 lines
Changed paths:
   M /trunk/modules/gui/gtk/gnome.c
   M /trunk/modules/gui/gtk/gtk.c


* modules/gui/gtk/gnome.c, modules/gui/gtk/gtk.c: small change to the slider behaviour.

------------------------------------------------------------------------
r3788 | gbazin | 2003-03-10 19:26:33 +0100 (Mon, 10 Mar 2003) | 3 lines
Changed paths:
   M /trunk/src/video_output/vout_pictures.c


* src/video_output/vout_pictures.c: declaration of FOURCC_RV24, courtesy of Olivier Aubert.

------------------------------------------------------------------------
r3789 | sam | 2003-03-10 20:30:35 +0100 (Mon, 10 Mar 2003) | 2 lines
Changed paths:
   M /trunk/toolbox

  * ./toolbox: added --update-changelog flag.

------------------------------------------------------------------------
r3790 | gbazin | 2003-03-10 20:37:53 +0100 (Mon, 10 Mar 2003) | 3 lines
Changed paths:
   M /trunk/ChangeLog


* ChangeLog: updated the changelog for the 0.5.2 release.

------------------------------------------------------------------------
r3791 | alexis | 2003-03-10 21:08:00 +0100 (Mon, 10 Mar 2003) | 2 lines
Changed paths:
   M /trunk/vlc.spec

vlc.spec: Bumped up version number to 0.5.2

------------------------------------------------------------------------
r3792 | alexis | 2003-03-10 22:01:26 +0100 (Mon, 10 Mar 2003) | 4 lines
Changed paths:
   M /trunk/m4/Makefile.am

Fix so that compilation works with a tarball made with "make dist-all".

Sam, can you check that my fix is OK ?

------------------------------------------------------------------------
r3793 | alexis | 2003-03-10 22:24:11 +0100 (Mon, 10 Mar 2003) | 2 lines
Changed paths:
   M /trunk/m4/Makefile.am

Reverted my previous commit (the bug was coming from my old gettext version)

------------------------------------------------------------------------
r3794 | fenrir | 2003-03-11 06:52:37 +0100 (Tue, 11 Mar 2003) | 2 lines
Changed paths:
   M /trunk/modules/codec/ffmpeg/ffmpeg.c

 * ffmpeg support mace 3/6 audio codec. (quicktime)

------------------------------------------------------------------------
r3795 | fenrir | 2003-03-11 07:14:16 +0100 (Tue, 11 Mar 2003) | 4 lines
Changed paths:
   M /trunk/modules/codec/araw.c

 * Hugly hack: break huge block of samples into smaller ones else
some avi/mov file with raw audio can't be played, *BUT* it's not the
good fix (as the problem seems to be elsewhere).

------------------------------------------------------------------------
r3796 | fenrir | 2003-03-11 07:45:59 +0100 (Tue, 11 Mar 2003) | 2 lines
Changed paths:
   M /trunk/modules/demux/wav/wav.c

 * wav: Support for alaw/ulaw data. (untested)

------------------------------------------------------------------------
r3797 | fenrir | 2003-03-11 07:58:06 +0100 (Tue, 11 Mar 2003) | 3 lines
Changed paths:
   M /trunk/modules/codec/araw.c
   M /trunk/modules/codec/ffmpeg/ffmpeg.h

 * ffmpeg.h: added missing fourcc.
 * araw.c: fixed a warning.

------------------------------------------------------------------------
r3798 | fenrir | 2003-03-11 07:58:49 +0100 (Tue, 11 Mar 2003) | 2 lines
Changed paths:
   M /trunk/modules/codec/adpcm.c

 * adpcm: added IMA4 support.

------------------------------------------------------------------------
r3799 | fenrir | 2003-03-11 08:03:16 +0100 (Tue, 11 Mar 2003) | 3 lines
Changed paths:
   M /trunk/configure.ac.in
   M /trunk/modules/demux/Modules.am
   A /trunk/modules/demux/au.c

 * au.c : added au demuxer. Only ulaw/alaw/raw pcm data are supported.
( I need some samples to do special adpcm support).

------------------------------------------------------------------------
r3800 | alexis | 2003-03-11 14:12:42 +0100 (Tue, 11 Mar 2003) | 2 lines
Changed paths:
   M /trunk/modules/gui/win32/Modules.am

Added sout.* and subtitles.*

------------------------------------------------------------------------
r3801 | titer | 2003-03-11 14:52:25 +0100 (Tue, 11 Mar 2003) | 2 lines
Changed paths:
   M /trunk/modules/misc/network/ipv4.c

 modules/misc/network/ipv4.c: BeOS compile fix

------------------------------------------------------------------------
r3802 | fenrir | 2003-03-11 18:40:40 +0100 (Tue, 11 Mar 2003) | 2 lines
Changed paths:
   M /trunk/modules/codec/araw.c

 * Clean up. (Sigmund, does it work ?).

------------------------------------------------------------------------
r3803 | fenrir | 2003-03-11 19:14:27 +0100 (Tue, 11 Mar 2003) | 2 lines
Changed paths:
   M /trunk/modules/access/mms/mms.c

 * mms: converted a warning into a dbg message.

------------------------------------------------------------------------
r3804 | gbazin | 2003-03-11 19:16:10 +0100 (Tue, 11 Mar 2003) | 3 lines
Changed paths:
   M /trunk/Makefile.am


* Makefile.am: Fixed problem with the package-win32 target.

------------------------------------------------------------------------
r3805 | alexis | 2003-03-11 19:54:47 +0100 (Tue, 11 Mar 2003) | 2 lines
Changed paths:
   M /trunk/doc/Makefile.am

Added missing files.

------------------------------------------------------------------------
r3806 | sam | 2003-03-11 19:57:30 +0100 (Tue, 11 Mar 2003) | 3 lines
Changed paths:
   M /trunk/debian/control
   M /trunk/debian/rules
   M /trunk/debian/woody-buildpackage

  * ./debian/control: added the FLAC decoder to the Debian package (sid-only,
    because the API changed too much since the version in woody).

------------------------------------------------------------------------
r3807 | fenrir | 2003-03-11 19:57:51 +0100 (Tue, 11 Mar 2003) | 4 lines
Changed paths:
   M /trunk/modules/demux/mp4/libmp4.c
   M /trunk/modules/demux/mp4/libmp4.h
   M /trunk/modules/demux/mp4/mp4.c
   M /trunk/modules/demux/mp4/mp4.h

 * mp4: I have reworked a lot the demuxer. Now it should handle gracefully
the audio part of mov file. I'm really interested by any regression you
could find, please _test_ all .mp4/.mov file you have.

------------------------------------------------------------------------
r3808 | fenrir | 2003-03-11 20:02:31 +0100 (Tue, 11 Mar 2003) | 5 lines
Changed paths:
   M /trunk/include/stream_output.h
   M /trunk/include/vlc_common.h
   M /trunk/modules/access_output/udp.c
   M /trunk/modules/mux/avi.c
   M /trunk/modules/mux/dummy.c
   M /trunk/modules/mux/mpeg/ps.c
   M /trunk/modules/mux/mpeg/ts.c
   M /trunk/modules/mux/ogg.c
   M /trunk/modules/packetizer/a52.c
   M /trunk/modules/packetizer/copy.c
   M /trunk/modules/packetizer/mpeg4audio.c
   M /trunk/modules/packetizer/mpeg4video.c
   M /trunk/modules/packetizer/mpegaudio.c
   M /trunk/modules/packetizer/mpegvideo.c
   M /trunk/src/stream_output/stream_output.c

 * all: reworked stream output. Now it handles mutliples outputs from
one input, just type --sout "<first url>#<second url>#..." (Yes it
is awfull, but I need suggestion).
   udp: correctly update sequence number in rtp.

------------------------------------------------------------------------
r3809 | sam | 2003-03-11 20:14:09 +0100 (Tue, 11 Mar 2003) | 6 lines
Changed paths:
   M /trunk/debian/Makefile.am
   M /trunk/debian/control
   M /trunk/debian/rules
   D /trunk/debian/vlc-plugin-a52.dirs
   D /trunk/debian/vlc-plugin-dv.dirs
   D /trunk/debian/vlc-plugin-dvb.dirs
   D /trunk/debian/vlc-plugin-mad.dirs
   D /trunk/debian/vlc-plugin-ogg.dirs
   D /trunk/debian/vlc-plugin-xosd.dirs

  * ./debian/*: removed the vlc-plugin-dvb, vlc-plugin-xosd and vlc-plugin-dv
    packages (because the dependencies are very small), and the vlc-plugin-mad,
    vlc-plugin-a52 and vlc-plugin-ogg packages (because vlc depends on them
    anyway).
  * ./debian/*: changed vlc-plugin-svgalib to x86-only.

------------------------------------------------------------------------
r3810 | sam | 2003-03-11 20:30:04 +0100 (Tue, 11 Mar 2003) | 6 lines
Changed paths:
   M /trunk/debian/control
   M /trunk/debian/rules
   D /trunk/debian/vlc-plugin-aa.dirs
   D /trunk/debian/vlc-plugin-lirc.dirs

  * ./debian/*: additional Debian butchery; merged vlc-plugin-aa and
    vlc-plugin-lirc into vlc, and removed vlc-mad, vlc-arts, vlc-lirc and
    vlc-aa legacy packages because they were not in woody.
  * ./debian/control: tuned the control file to provide smooth upgrades from
    woody, from sarge, and from the local VideoLAN repository.

------------------------------------------------------------------------
r3811 | sam | 2003-03-11 20:57:29 +0100 (Tue, 11 Mar 2003) | 2 lines
Changed paths:
   M /trunk/debian/changelog
   M /trunk/debian/control

  * ./debian/control: vlc provides the mp3-decoder metapackage.

------------------------------------------------------------------------
r3812 | sam | 2003-03-11 20:58:35 +0100 (Tue, 11 Mar 2003) | 2 lines
Changed paths:
   M /trunk/debian/Makefile.am

  * ./debian/Makefile.am: removed spurious entries.

------------------------------------------------------------------------
r3813 | fenrir | 2003-03-11 21:01:23 +0100 (Tue, 11 Mar 2003) | 2 lines
Changed paths:
   M /trunk/modules/demux/util/sub.c
   M /trunk/modules/demux/util/sub.h

 * Added support of vplayer subtitles files.

------------------------------------------------------------------------
r3814 | sam | 2003-03-11 21:40:50 +0100 (Tue, 11 Mar 2003) | 2 lines
Changed paths:
   M /trunk/debian/control
   M /trunk/debian/woody-buildpackage

  * ./debian/control: we build-depend on libqt3-mt-dev instead of libqt3-dev.

------------------------------------------------------------------------
r3815 | sam | 2003-03-11 21:53:28 +0100 (Tue, 11 Mar 2003) | 2 lines
Changed paths:
   M /trunk/src/stream_output/stream_output.c

  * ./src/stream_output/stream_output.c: fixed a minor format string issue.

------------------------------------------------------------------------
r3816 | sam | 2003-03-11 22:23:42 +0100 (Tue, 11 Mar 2003) | 2 lines
Changed paths:
   M /trunk/configure.ac.in

  * ./configure.ac.in: quick and dirty workaround for qt3 headers location.

------------------------------------------------------------------------
r3817 | fenrir | 2003-03-11 22:52:05 +0100 (Tue, 11 Mar 2003) | 2 lines
Changed paths:
   M /trunk/src/stream_output/stream_output.c

 * removed strdupa.

------------------------------------------------------------------------
r3818 | sam | 2003-03-11 23:44:48 +0100 (Tue, 11 Mar 2003) | 4 lines
Changed paths:
   M /trunk/debian/control
